## FB Alpha - What's New

https://www.fbalpha.com
http://neosource.1emu.net/forums

### v0.2.97.43

#### Fixes and new features

- Use real MCU for Tokio [Barry]
- Fix state issues with Slap Fight/Tiger Heli [dink]
- Fix incremental search and sort alphabetically w/"Use Zipnames". [dink]
- Improve incremental search in the game list. This search is when you type at the game list (not the search box) for example: to get to "Super Cobra" really fast, type "superco" - or - "doublew" for "Double Wings". Whatever you are searching for - just leave out the space. If "Use Zipnames" is selected, type in the romset name or a subset of it. [dink]
- Fix a few video bugs and state issues in "The Lost Castle in Dark Mist" [dink]
- Fix dac sounds in Ultimate Mortal Kombat 3 Trilogy hack [dink]
- Fix B-Wings (Alt) set boot issue [dink]
- Fix color issues in Gold Medalist [iq_132]
- Z80 Core, small improvement to vector handling [dink]
- Parents Only option for driver icons (for systems that have problems with driver icons) [dink]
- Create new interface and port eke-eke's high quality ym2612 core from Genplus-gx [dink]
  - Fixes SFX sounds in Streets of Rage 2
  - Fixes lead and percussive guitar sounds in Mega Turrican's intro
- Fix crash with NBA Jam Tournament Edition on Megadrive [dink]
- Improve 68k timing for Megadrive, fixes... [dink]
  - Graphics issues/corruption in Galahad
  - Flickery separator line in VS mode on Sonic 2 and 3
  - Fix freeze with Desert Strike on Megadrive
  - Overall, probably improves everything
- Fix music hangs in Sonic 3 when Sonic is underwater (Z80 timing) [dink]
- Fix PGM Arm7 crash on 64bit systems w/theglad, kov* [dink]
- Sync. romsets with MAME 0.188 [Barry]
- Sync. some romsets with MAME 0.189 [JacKc]
- Fix Robocop2 ending credits scrolltext (8x8 offset masking) [iq_132]
- Fix for replays desynching with games that use SRAM/NVRAM [dink]
- Strikers 1945 Plus music fix [dink]
- Fix Palette Viewer for games with BDF_16BIT_ONLY flag [dink]
- Port Z180 Core from MAME and create FBAlpha-style cpu interface [Barry, iq_132]
- Hook-up Z180 sound-cpu in GHOX [Barry]
- Games using flag BDF_16BIT_ONLY are no longer 1-frame behind emulation, other projects using FBAlpha please take note (see intf/video/vid_interface.cpp) [dink]
- Fix DAC(psg) sounds in Afterburner II Megadrive [dink]
- Added define to log ram usage in src/burn/burn_memory.cpp [iq_132]
- Fixed Archery level in Konami's '88 Games [dink, Gab75]
- Fixed inputs for Nayade Resistance and Crazy Buggy on MSX [dink]
- Hooked up protected versions of Alligator hunt, Touch & Go, Maniac Square in Gaelco2 Hardware [iq_132]
- Fixed Music/SFX pitch in Arbalester, and occasional "Illegal Inst." error when playing w/Keyboard [dink]
- Hook up protection MCU for protected version of Glass [iq_132]
- Fixed palette recalc issue w/some Taito-Z games, fixes weird colors when switching BPP during game [dink]
- Fixed cut-short continue message in Data East's Breakthru [dink]
- Fixed small memory leaks in dynamic Huffman compression [dink]
- Hook up MCU to Tough Turf (U) and Wrestle War, fix Tough Turf (J) [Barry]
- Fixed 2-Player mode in Wonder Boy in Monster Land (System1) [dink]
- Fixed distorted sounds in Time Pilot, Time Pilot '84, Tutanham and Commando Sega [dink]
- Added Single-Screen modes (DIPS) to Gaelco's World Rally 2 and Data East's Backfire! [dink]
- Fixed screen corruption at end of race in Hang-On Jr. / v-scrolling issue in Sega System E [dink]
- Added notaz's BCD fixes to the Musashi 68k cpu core [dink]
- Added i8x41/UPI-41 cpu core [iq_132]
- Sync. romsets with MAME 0.191 [Barry]
- Fixed occasional distorted graphics in Konami's Jail Break when playing w/Keyboard [dink]
- Fixed deroon's inputs (irq timing) [dink]
- New feature for Lord of Gun: shoot any side to reload [dink]
- Added support for Multi/Connected sprites in Toaplan GP9001 emulation, fixes GHOX's Highscore background [dink]
- UI Change, the search box text will be preserved between game loads [dink]
- Fix for Use and Select buttons were erraneously swapped in Dungeons & Dragons - Shadow Over Mystara [dink]
- Fix spritelag issue in Ryu Jin [dink]
- Add missing third button to Life Force (Japan) [dink, gamezfan]
- Improve paddle emulation in Gee Bee, Bomb Bee and Cutie Q [dink]
- Fix sound issues with Phoenix and savestates [dink]
- Fix freeze in Kaitei Takara Sagashi while starting a new game [dink]
- Increase the sound level for all Taito F3 games [dink]
- Small improvement to the search box. Now, for example "namco system 1", "namco system 2" or "taito f3" can be searched for [dink]
- Fix color issues and impliment transmask groups for Mad Gear / Led Storm, fixing level 2+ [dink]
- Fix missing tiles and scrolling issues in Last Duel level 2 [dink]
- Fixed many graphical issues in Magical Crystals [dink]
- Fixed input and sound issues in Zoar [dink]
- Fixed timing issue in Burnin' Rubber / Bump 'n Jump [dink]
- Fixed p3 / p4 inputs in Bucky and Moo Mesa [dink]
- Fixed Kaiser Knuckle 2p Kick buttons [shine]
- Fixed transparency issue in Motos [iq_132]
- Fixed an input issue in CPS3 when opposite directions are pressed [dink]
- Converted 1942 and Gun.Smoke over to the new tilemap system [iq_132]
- Updated the ARM core to fix problems with Deco MLC and Deco 156 games [dink]
- Fix byte, word, and quad-long DMA Transfers in SH-2 [dink]
- Added stereo mode to DAC [dink]
- Added bsmt2k and decobsmt soundcores [iq_132, dink]
- Fixed sounds/sfx in Gouketsuji Gaiden Legends [dink]
- Fixed occasional clicks/pops at the beginning of emulation if the last game played was exited while the msm6295 was playing something [dink]
- Fixed the fog-fadeout in the end-boss scene and other alpha-transparency issues in Moo Mesa [dink]
- Fixed several minor graphic bugs in Hangzo [dink]
- Slight drawing optimization for Robocop 2 and Edrandy [dink]
- Fixed bad fades in Ninja Baseball Batman and occasional tilemap studder in R-Type LEO [dink]
- Enabled High Score saves for most Irem M72 games [dink]
- Fixed k054539 savestates and reverb function [dink]
- Fixed graphics issues in Irem's Major Title making the game fully playable [dink]
- Fixed music issues in Sol Divide [dink, barbudreadmon]
- Added speedhack dip options for Psikyo SH-2 games [barbudreadmon]
- Fixed k054539 pt.2: Use 3 different techniques (ramp to 0, check for bad last sample, slight modification to dpcm table) to get rid of clicky noises in 4bit dpcm sfx/voice samples (Moo Mesa, Bucky O'Hare, Mystic Warriors, Violent Storm, etc.) [dink]
- Fixed alpha effects in Bucky O'Hare title fadeout, and other transitional scene fades (tile layer 3 over/under sprites priority mode) [dink]
- Added Z180 support to BurnTimer [iq_132]
- Rewrite/Modernize drivers for 1943, Commando, Jack and the Giantkiller, Mole Attack, Mr. Flea, Route 16, and Bomb Jack [iq_132]
- Fixed Safari Hunting on SG-1000, thanks to Eke of Genesis Plus GX for info! [dink]
- Fixed palette/color issues in Spelunker 1 and 2 [dink]
- Added proper Draw handler to Irem M62 so paused games don't advance a frame during a window update/redraw [dink]
- Fixed Input Dialog: Populate the combo list with preset name when saving [Barry]
- Fixed broken lines in the boss tank for the M82 version of Air Duel [dink]
- Removed rom patch and added proper protection simulation to Route 16 [iq_132]
- Removed rom patch and added proper protection simulation to Meta Fox [iq_132]
- Fixed Tetrise and Hang-On Jr. dips [dink]
- Slight timing improvement for Kicker / Shaolin's Road [dink]
- Use event semaphores instead of polling for better DirectSound performance and timing [Jan Klaassen]
- Fix another cycle-related issue with ZetRunEnd, fixes sound issues with certain Neo-Geo games [dink]
- Enabled High Score saving for most CPS3 games [barbudreadmon]
- Fixed some palette issues in Super Burger Time [dink]
- Added M6502SetAddressMask() to the M6502 cpu core [iq_132]
- Added cubic resampling interpolater to the samples core [Jan Klaassen]
- Added speedhack dip options for Deco32 games [gamezfan, dink]
- Enabled High Score saving for Raiden [barbudreadmon]
- Updated K054539 pt.3, use cubic resampling for high quality sound [dink]
- Fixed timers in SN76477 sound core [dink]
- Fixed missing cut-scene graphics in Pretty Soldier Sailor Moon [Jan Klaassen]
- Update Namco System 2's soundcore w/cubic resampling for high quality sound [dink]
- Update Gaelco2 soundcore w/cubic resampling and fix crackle/pop!'s at beginning of samples [dink]
- Fixed layer priority masking in Black Tiger [vbt]
- Fixed the MSM6295 sampling rate in Batsugun and Truxton2 [yukaritamura (libretro-fba), dink]
- Add high-quality ICS2115 (pgm) soundcore from Jan, superior sound quality for all PGM games, fixes KOV2 music [Jan Klaassen]
- Update ES5505/6 soundcore w/cubic interp. resampling [dink]
- Increase volume in Gyruss and Monster Slider [dink]
- Fixed sound loss, palette fade bug and sprite clipping issues in Double Wings [dink]
- Added new interface for AY8910, updated all drivers to use it [iq_132]
- Emulated sound cpu and hooked up all sounds in Mario Bros. (mario) [dink]
- Added Sega TeamPlayer support to the Megadrive driver, enabling it for: Columns 3, Gauntlet 4, Mega Bomberman, Street Racer (...more to come..) [dink]
- Fixed player sprite color in Millipede [dink]
- Added speech to Gauntlet I and II - TMS5220 sound core ported to FBA [dink]
- Added save state support to the Irem M90 driver [dink]
- Cleaned up the sound in Donkey Kong to get rid of clicks in some sounds [dink]
- Fixed sound hz in Triple Punch and clones [dink]
- Standardize savestate calls amongst soundcores [iq_132]
- Fixed tilemap and sound synchronization issues in Rohga [dink]
- Hook up sound cpu and fix sprite offsets in Pipi & Bibis / Whoopee!! on Teki Paki hardware [dink]
- Fixed video and audio issues in Risky Challenge, game now playable [dink, iq_132]
- Updated all FM soundcores using the timer system to require a lot less support code per driver (internalized *GetTime and *Synch.Stream) [dink]
- Fix the SRam implimentation on Megadrive [dink]
- Added EA "Four Way Play" support to Megadrive, enabled for General Chaos and Mutant League Hockey [dink]
- Added resampling to the ymf278b sound core, sounds right regardless of user sound rate [dink]
- Added a English fan-translations of the following Megadrive games: Battle Mania Daiginjou, Gleylancer, Tougiou King Colossus, Langrisser II, Phantasy Star II Adventure series games, Pulse Man, Twinkle Tale and Undead Line [barbudreadmon]
- Fixed color issues on Jupiter and occasional missing pixels on Neptune in Gyruss [dink]
- Added CPU_IRQSTATUS_HOLD to hd6309 cpu core [dink]
- Fixed ending scene and movement of the rock-wall dragon boss in Labyrinth Runner/Trick Trap [dink]
- Use a common timer value when starting netgames on Neo-Geo for better netgame sync. [Ponder]
- Added menu option (Misc -> Options) to enable/disable the High Resolution Timer - defaults to ON [dink]
- Added Sync. to DWM option for Windows 7 - 10 windowed mode [dink]
- Street Fighter II' - Champion Edition now runs at the right speed [dink, Barry]
- Fixed crash w/DX9 Blitters when going to the task manager in Win7+ when Auto Pause is off [dink]
- Updates to the uPD7810 cpu core [dink, iq_132]
- uPD7810 core, update some opcodes and add analog port reading for c-chip [dink, iq_132]
- Emulate Taito C-Chip for Superman, Bonze Adventure, Mega Blast, Rainbow Islands / Rainbow Islands Extra and Volfied [dink]
- Use 4-Way inputs for Volfied, making the game playable [dink]
- Fixed a problem where Bonze Adventure wasn't reading the dips [dink]
- Re-work tile:sprite priority system in Taito F2 [dink]
  - Pulirula: fixes tile:sprite priorities and blending effects in level 2
  - Liquid Kids: fixes the cut-scene/story between levels
  - Metal Black: fixes missing moving letters before the titlescreen appears
- Improved DonPachi and DoDonPachi timing to respond to inputs in 2 frames instead of 4 [dink]
- Changed aspect ratio on Tecmo Bowl to look less squished [dink]
- Sync. romsets with MAME 0.197 [Barry]
- Analog input improvement for Konami GT and RF2 [dink]
- Fixed click when paused/dc offset issue in Cheeky Mouse [dink]
- Removed busyloop hacks from M6809, HD6309 and M6805 CPU Cores [dink]
- Update libpng to 1.6.34 [Barry]
- Improved timing in Heavy Unit and Ghosts'n Goblins (revisited) [dink]
- Fixed several bugs in the M6805 cpu core [dink]
- Fixed "BAD HARDWARE" error message in most versions of Arkanoid [dink]

#### New drivers

- Added driver for Pit n Run and Jump Kun [iq_132]
- Added driver for Glass by OMK/Gaelco [iq_132]
- Added driver for Thunder Hoop 2: TH Strikes Back [iq_132]
- Added driver for Manhattan, Highway Chase, Terranean, Astro Fantasia, Super Astro Fighter, Flash Boy, Lock 'n Chase, on Deco Cassette System hardware [iq_132, dink]
- Added driver for Pata Pata Panic [iq_132]
- Added driver for Pacman - 25th Anniversary Edition and Ms.Pac-Man/Galaga - 20th Anniversary Class of 1981 Reunion [iq_132]
- Added driver for Data East's Dream Ball [iq_132]
- Added driver for Heavy Smash and World Cup Volly '95 on Deco 156 hardware [iq_132]
- Added driver for Avengers in Galactic Storm, Stadium Hero '96, Skull Fang, Hoops '96, Dunk Dream '95 and Hoops on Deco MLC hardware [iq_132]
- Added driver for Captain America and The Avengers, Fighter's History, Night Slashers, Tattoo Assassins, and Dragon Gun on Deco 32 hardware [iq_132, dink]
- Added driver for Popper [iq_132]
- Added driver for Mosaic and Golden Fire II [iq_132]
- Added driver for Pipe Dream and Hatris [iq_132]
- Added driver for The Pit, Round Up/Fitter, Dockman/Portman, Super Mouse/Funny Mouse, Desert Dan and Intrepid [iq_132]
- Added driver for 3x3Puzzle and Casanova [iq_132]
- Added driver for Toaplan-1 games: Vimana, Outzone, Same! Same! Same!/FireShark, Demon's World, Zero Wing, Hellfire, Truxton and Rally Bike, replacing the older individual drivers [iq_132]
- Added driver for Konami's Double Dribble [iq_132, dink]
- Added driver for Nibbler, Pioneer Balloon, Fantasy, Vanguard, Sasuke and Commader and Satan of Saturn on RockOla/SNK6502 hardware [iq_132, dink]
- Added driver for Car Jamboree [iq_132]
- Added driver for Metal Clash by Data East [iq_132]
- Added driver for Jibun wo Migaku Culture School Mahjong Hen [iq_132]
- Added driver for Metal Soldier Isaac II [iq_132]
- Added driver for Xyonix [iq_132]
- Added driver and sound core for Flower [iq_132, dink]
- Added driver for Mad Motor Prototype [iq_132]
- Added driver for Monkey Magic [iq_132]
- Added driver for Kangaroo, replacing the old one [iq_132]
- Added driver for Pirate Ship Higemaru, replacing the old one [iq_132]
- Added driver for Cop 01 and Mighty Guy, due to protection issues, Mighty Guy is without sound [iq_132]
- Added driver for Oli-Boo-Chu [iq_132]
- Added driver for Super Cross II [iq_132]
- Added driver for V-Ball [iq_132]
- Added driver for PK Scramble [iq_132]
- Added driver for games on Vic Dual hardware *no sound yet* [iq_132]
- Added driver for Super Speed Race Jr. [iq_132]
- Added driver for American Speedway [iq_132]
- Added driver for Space Stranger / 2 [iq_132]
- Added driver for Crazy Ballon [iq_132, dink]
- Added driver for Clash Road and Fire Battle [iq_132]
- Added driver for Flack Attack / MX5000 by Konami [iq_132, dink]
- Added driver for Master Boy (older/Z80 HW) [iq_132]
- Added driver for Beam Invader *WIP/not working* [iq_132]
- Added driver for Dribling [iq_132]
- Added driver for Dora-Chan [iq_132]
- Added driver for Combat School by Konami [iq_132]
- Added driver for Fast Lane by Konami [iq_132]
- Added driver for Konami's Super Basketball [iq_132]
- Added driver for WarpSpeed *WIP/not working* [iq_132]
- Added driver for Food Fight by GCC/Atari [iq_132]
- Added driver for Data East's 18 Holes Pro Golf [iq_132]

#### New additions / updates to existing drivers

- Add World Rally 2 [Morten Shearman Kirkegaard, Peter Wilhelmsen, David Haywood, iq_132]
- Add Mortal Kombat II (World) Unlimited Hack by Smoke on Megadrive [dink]
- Add Streets of Rage 2 (USA) Syndicate Wars 2016 Hack by Gsaurus on Megadrive [dink]
- Add Streets of Rage 3 - The Bare Knuckle 3 Project Hack on Megadrive [dink]
- Add Rock n` Roll Racing v15 Hack by Ti [Combone]
- Add several great Sonic 1,2&3 Hacks [Combone]
- Add Mortal Kombat Revelations, Mortal Kombat 3 and Ultimate Hacks [Combone]
- Add Monster World IV English Translation Hack on Megadrive [dink]
- Add Bubble Bobble (prototype on Tokio hardware) [Barry]
- Added DoDonPachi III (World, 2002.05.15 Master Ver) [neohyphengeo productions] to d_pgm.cpp [JacKc]
- Added B.Rap Boys Special (World) [Phill @NES4Life, JacKc]
- Added Super Street Fighter II sound and color improvement hack on Megadrive [Combone]
- Added Mega Cheril Perils homebrew game to Megadrive [dink]
- Added Alex Kidd in Miracle World 2 Hack to Mastersystem [dink]
- Added Dahna - Goddess` Birth (English Hack) to Megadrive [dink]
- Added Masiaka (Demo[scene]) by Resistance 2017 to Megadrive [dink]
- Added Turrican fix/hack by linkuei & helder to Megadrive [dink]
- Added Street Fighter 2 Special Champion Edition color and sound hack on Megadrive [Combone]
- Added FlameWing's BCD Test program to the Megadrive Driver [dink]
- Added Fantasy Zone 2 (Working) and Opa-Opa (not working) to System E driver [dink]
- Removed all garbage/hacks by GSC2007, as they should be avoided like the plague anyway. [n/a]
- Add Riddle of Pythoragas and Slap Shooter to Sega System E [vbt]
- Added Omega to the Freekick driver [dink]
- Add Contra, NES2PCE conversion to PCE [Combone]
- Added several Megadrive game hacks: Teenage Mutant Ninja Turtles - Tournament Fighters Hack, Streets of Rage 2 - Bare Knuckle 3 Boss Edition, Streets of Rage 2 - TMNT Hack, Streets of Rage 3 - Extreme Edition, Golden Axe III - New Character, International Superstar Soccer Deluxe - Real Names+Extras, and UEFA Euro 2004 Portugal (ISSDX Hack) [Combone]
- Added In Your Face [iq_132], created a handcrafted priority prom so the game works (for all emulators!) [dink]
- Added Weka Invaders 1.0 to the Sega Master System driver [dink]
- Added A-Blast to the Seta 2 driver [gamezfan]
- Added Silver Valley by Enrique Ruiz / MIKGAMES to the Sega Master System driver [dink]
- Added Last KM to the Gaelco driver [iq_132]
- Added Sonic 3D Blast: The Director's Cut to the Megadrive driver [dink]
- Added Bioplaything Cop to Gaelco [iq_132]
- Updated kof99ae to 20170909 Final version [JacKc]
- Added Mario Bros. revision G, making it the new parent [dink]
- Added Pier Solar to the Megadrive driver [iq_132]
- Added KOF2002 OMG and Omega hacks to the Neo-Geo driver [barbudreadmon]
- Added KOF98 mix hack to the Neo-Geo driver [iq_132]
- Added Metal Slug 5W hack to the Neo-Geo driver [iq_132]
- Added World Rally 2: Twin Racing (mask ROM version) to d_gaelco.2.cpp [Barry]

#### Clones and updated romsets in existing drivers

- Add clone of Act-Fancer Cybernetick Hyper Weapon [Barry]
- Add clone of Kageki [Barry]
- Add two clones of Return of the Invaders [Barry]
- Added clone of Street Fighter II: The World Warrior (Quicken, bootleg) [Moffitt] to d_cps1.cpp [JacKc]
- Added clone of Street Fighter (World) (protected) [Corrado Tomaselli] to d_cps1.cpp [JacKc]
- Added World clone of Ordyne [Barry]
- Added clone of Carrier Air Wing (USA 901130) [mastercello] to d_cps1.cpp [JacKc]
- Added missing Popeye clones [JacKc]
- Added clone of WWF Superstars (US revision 6) [JacKc]
- Added 1943: Midway Kaisen (Japan) to d_1943.cpp [JacKc]
- Added Chuka Taisen (Japan) (P0-025-A PCB) and correct color proms [pacman70] to d_tzns.cpp [JacKc]
- Added Alligator Hunt (World, protected) [Pablo] to d_gaelco2.cpp [JacKc]
- Added Alligator Hunt (unprotected, set 2) [David Haywood, Peter Wilhelmsen] to d_gaelco2.cpp [JacKc]
- Added Super Athena (bootleg) [Hammy] to d_snk.cpp [JacKc]
- Added Crazy Climber (US set 2) [John of http://www.johnsarcade.com] to d_cclimber.cpp [JacKc]
- Added clone of Beast Busters (Japan, Version 2, J3) [Layer @ jammaplus, JacKc]
- Added clone of Lady Master of Kung Fu (set 2, older) [Corrado Tomaselli, The Dumping Union, JacKc]
- Added clone of Athena (bootleg) [Porchy, The Dumping Union, JacKc]
- Added clone of Cabal (UK, Joystick) [hammy, The Dumping Union, JacKc]
- Added clone of Super Hang-On (Hang-On conversion, Beta bootleg) [Cmonkey, JacKc]
- Added clone of Rod-Land (World, set 2) [frsj8112, JacKc]
- Added clone of Bucky O'Hare (ver AA) [Bill D., The Dumping Union, JacKc]
- Added clone of '99: The Last War (bootleg) [ShouTime, JacKc]
- Added clone of Martial Masters (ver. 102, 101, 101TW) [skate323k137, The Dumping Union, JacKc]
- Added clone of Gunbird 2 (set 2) [Hyid Choi, JacKc]
- Added clone of Biomechanical Toy (Ver. 1.0.1878) [Jorge Silva, JacKc]
- Added clone of TH Strikes Back (Non North America, Version 1.0, Checksum 020EB356) [caius, The Dumping Union, JacKc]
- Added clones of Action Fighter (afightera, afighterb) to Sega System 16A driver [Barry]
- Added clone of Blood Bros. (US) [Bill D., The Dumping Union, JacKc]
- Added clone of West Story (bootleg of Blood Bros., set 2) [Osso, caius, The Dumping Union, JacKc]
- Added clone of Teki Paki (location test) [ShouTime, Mouloud Bessaad, Dulleron, Christian Ricolleau, Marisol Nunez Serrano, Renato Mucciarelli, Jeffrey Gray, John Wilke, Darksoft, Ryan Holtz, Smitdogg, The Dumping Union, JacKc]
- Added clone of Galaxian Growing Galaxip / Galaxian Nave Creciente (Recreativos Covadonga Spanish bootleg) [ARPA, Recreativas.org, The Dumping Union, JacKc]
- Added clone of Blue's Journey / Raguy (ALH-001) [Razoola, JacKc]
- Added clone of X-Men: Children of the Atom (Brazil 950331) [SHVB, Haze, smf, JacKc]
- Added clone of Four Trax (Asia) [Arzeno Fabrice, The Dumping Union, JacKc]
- Added clone of Pretty Soldier Sailor Moon (Ver. 95/03/21) and Pretty Soldier Sailor Moon (Ver. 95/03/22, Europe) [rtw, ShouTime, The Dumping Union, JacKc]
- Added clone of G.I. Joe (Asia, AA) [coolmod, The Dumping Union, JacKc]
- Added clone of Knights of Valour 2 / Sangoku Senki 2 (ver. 104, 102, 100HK) [twistedsymphony, JacKc]
- Added clone of Samurai Shodown V / Samurai Spirits Zero (NGM-2700, set 2) [Sugoi Helsinki, JacKc]
- Added clone of Gee Bee (UK) [Andrew Welburn, The Dumping Union, JacKc]
- Added clone of Pac-Man (bootleg, Video Game SA) [Arcade Vintage, Recreativas.org, The Dumping Union, JacKc]
- Added clone of Turbo Force (World, set 2) [Corrado Tomaselli, The Dumping Union, JacKc]
- Added clone of Cadash (Spain, version 1) [caius, The Dumping Union, JacKc]
- Added clone of Cookie & Bibi 2 (set 2) [Hammy, JacKc]
- Added clone of Pac-Land (Bally-Midway) [Andrea Palazzetti, JacKc]
- Added clone of Ares no Tsubasa (Japan, rev. A) [Corrado Tomaselli, The Dumping Union, JacKc]
- Added clone of Ghox (joystick, older) [caius, JacKc]
- Added clone of Opa Opa (Rev A, unprotected) [ShouTime, Charles MacDonald, Smitdogg, The Dumping Union, JacKc]
- Added clone of Street Fighter II' - Champion Edition (street fighter 2' 920313 Taiwan) [sampson, JacKc]
- Added clone of Moon Shuttle (US, version A) [ShouTime, The Dumping Union, JacKc]
- Added clone of Gigas Mark II (MC-8123, 317-5002) [jacKc]
- Added clone of Tecmo Bowl (World, set 2) [coolmod, JacKc]
- Added clone of Garou - Mark of the Wolves (NGH-2530) [Razoola, JacKc]
- Added clone of Pochi and Nyaa (Ver 2.02) [Razoola, JacKc]
- Added clone of Enduro Racer (YM2151) (mask ROM sprites, FD1089B 317-0013A) [coolmod, The Dumping Union, JacKc]
- Added clone of Street Fighter II': Champion Edition (Playmark bootleg) [f205v, maru79, JacKc]
- Added clone of Explosive Breaker (Korea) [Jorge Silva, JacKc]
- Added clone of WWF: Wrestlemania (proto 2.01 06/07/95) [Jorge Silva, JacKc]
- Added clone of Super Cobra (bootleg, set 2) [Belike, JacKc]
- Added clone of Street Fighter II: The World Warrior (Thunder Edition, bootleg, set 2) [coolmod, The Dumping Union, JacKc]

### v0.2.97.42

#### Fixes and new features

- Restore MSVC full optimisation (should see slightly faster performance) [Barry]

### v0.2.97.41

#### Fixes and new features

- Speed-up the Game List (F6) window considerably [dink]
- Fixed 16-bit rendering for most games on Konami and Metro hardware [iq_132]
- Fixed 16-bit RGB555 rendering in Taito F3 [dink]
- Separate Force 16-Bit Video option between D3D Enhanced blitter and DX9 Alt blitter [Barry]
- Fixed scfinals coin-up issue with a kludge [dink]
- Fixed missing background layer in Bio-ship Paladin level 2 [dink]
- Fixed an issue with Pururun's sound [dink]
- Massive Taito-F3 video fix-a-thon
  - Arabian Magic: ugly line down the screen at stage start, caused by off-by-one clipping
  - Arabian Magic: missing text in the cutscenes
  - Puzzle Bobble 4: missing end-of-round you won/lost animations
  - Land Maker: missing you won/lost text
  - Land Maker: tilemap alignment issues
  - Grid Seeker: missing continue screen
- Remove unneeded DWM and MDI code, causes issues in Win10 [Barry]
- Updated modern Windows builds to use the Segoe font recommended by Microsoft [Barry]
- Fixed broken background issue in Ashura Blaster [dink]
- Fixed animated background in Universal's Space Raider [dink]
- Added experimental SekBurnUntilInt() code to the 68k core [dink]
- Fixed layer alignments and screensize in Ajax / Typhoon [dink]
- Fix shadow/highlights for 2-cell column vscroll in Megadrive, in particular fixes the intro to Trouble Shooter / Battle Mania [dink]
- Fix Super Real Darwin sprite:tile priorities [dink]
- Fix timing inconsistencies / framerate issues on some Win 10 machines (high precision timer) [dink]
- Fix Galaxian-custom sound that dink broke [Barry]
- Add ability to rotate player digitally in Forgotten Worlds [dink]
- Fix layer priorities in G-Loc (gloc) [Barry]
- Fix cutscene crystal ball in some sets of Altered Beast [Barry]
- Fixed broken sound in Puzzle King (4in1boot) [dink]
- Disabled Force 16-bit emulation by default, can still be enabled by user, but causes issues with some systems, eg, Taito F3 [Barry]
- Made the Enhanced blitter the default for normal builds [Barry]
- Made force flip a default option for the Direct Draw blitter [Barry]
- Set the full-screen resolution to the desktop resolution on first program start [Barry]
- Fixed blue squares in Street Fighter Alpha 2 high score entry screen [Barry]
- Added a message to install the Direct X runtimes if the DLLs are missing when starting the DirectX9 blitters, removed the message that showed at every FB Alpha start [Barry]
- Added ability to choose which monitor (separated for Horizontal and Vertical games) to use for fullscreen in the DirectX 9 blitters [Barry]
- Added alpha transparencies to Raiga Strato Fighter [iq_132]
- Fixed video offset issue in Gundhara [dink]
- Fixed alpha blending and many sprite:tile priority issues in Nitro Ball [dink]
- Fixed MSM6295 Banking in Boogie Wings [dink]
- For debug builds: show negative numbers with the debug counter ('m' and 'n') [dink]
- Fixed the road and sky levels (broken raster effects) in Ed Randy / The Cliffhanger [dink]
- Fixed "stuck" sprites in Pitfall II on Sega System 1 hardware [dink]
- Fixed slow music tempo when sound rate set to 44100 in Contra, Jaleco Megasystem 1 games, Konami's Surprise Attack and several Data East 16-Bit games [dink]
- Fixed strange music tempo in Route 16 [dink]
- Fixed un-smooth scrolling and cut-off end-of-level message in Konami's Surprise Attack [dink]
- Fixed video offset issue in X-Multiply m81 version [dink]
- Ported the Namco C140 sound core to FBAlpha [dink]
- Added resampling to the Konami K054539 Soundcore, now most later Konami games (Xexex, Moo Mesa, Bucky O'Hare, etc) will sound great at any user-selected soundrate [dink]
- Fixed occasional sprite flickering in Mystic Warriors [dink]
- Fixed occasional freeze in Atomic Robo-Kid when playing via keyboard and up+down or left+right is pressed at the same time [dink]
- Fixed music, graphics, timing and color issues in Psychic 5 [dink]
- Added CPU_IRQSTATUS_HOLD support to m6809 cpu core [dink]
- Add watchdog device. Hook it up to Momoko 120% driver as an example. [iq_132]
- Use real MCU for Nekketsu Kouha Kunio-kun, Guardian/Get Star, Fairy Land Story, Rumba Lumber, Onna Sansirou - Typhoon Gal, Chack'n Pop, Golden Axe (set 2, US) [Barry]
- Added BurnRandom() / BurnRandomScan(), a predictable random number generator based on old BSD LCG [dink]
- Hooked up BurnRandom() to games using rand() to allow for reliable input recordings and states [dink]
- Enabled Alpha Transparency effects in Mystic Warriors [dink]
- Fixed music issues in DJ Boy [dink]
- Fixed a palette issue and possibly(?) fixed a timing issue in Heavy Unit [dink]
- EEPROM saves path now configurable [Barry]
- General source tidy-up/maintenance, and conversion to BurnMalloc/BurnFree [Barry]
- Add support for the new format hiscore.dat file [Barry]
- Fix issue with IPS Manager sometimes saving ini file incorrectly [Barry]
- Added Generate All .dat file function [Barry]
- Added checkbox filters to the HTML debug log, and added ten new output levels [Barry]
- Added extra compile step to link drivers separately to avoid Windows 32KB process limit [Barry]
- Updated the documentation [Barry]

#### New drivers

- Add driver for Mappy, Dig Dug II, Super Pacman, Pac & Pal, Grobda and The Tower of Druaga [iq_132, dink]
- Add driver for Gaplus / Galaga 3 [iq_132]
- Added driver for Toypop and Libble Rabble on misc. Namco Hardware [iq_132]
- Added driver for Cannon Ball, Magix / Rock and Rock Tris on Yun Sung 8 hardware [iq_132]
- Added driver for US Games trivia [iq_132]
- Added driver for Double Wings on Data East 16-bit Hardware [iq_132]
- Added driver for Assault, Burning Force, Cosmo Gang: The Video, Dragon Saber, Mirai Ninja, Valkyrie no Densetsu, Ordyne, Phelios, Rolling Thunder 2, Marvel Land, Metal Hawk, Kyuukai Douchuuki, Super World Stadium 92 and 93, Steel Gunner, Steel Gunner 2, Dirt Fox, Finest Hour and Lucky and Wild on Namco System 2 Hardware [iq_132, dink]
- Add driver for Time Soldiers/Battle Field, Sky Soldiers, Sky Adventure, Gang Wars, Super Champion Baseball on Alpha68k II and VI hardware [iq_132, dink]
- Added driver for Sauro and Tricky Doc [iq_132]
- Added driver and sound core for Wiping / Rug Rats [iq_132, dink]

#### New additions to existing drivers

- Added Dottori-Man Jr. to the Dottori Kun driver [hap, JacKc]
- Added Revenger '84 to the EPOS driver [dink]
- Added Ultimate Mortal Kombat Trilogy Hack r.5149 to Megadrive [dink]
- Added Shinobi III M.I.J.E.T. Enhancement Hack to Megadrive [dink]

#### Clones and updated romsets in existing drivers

- Added clone of Gals Panic DX (Asia) [arcade mod bios]
- Added American Horseshoes (Taito-L) - was missing from the .40 release by accident [dink]
- Added clone of Macross II (Korea) [CoolMod, CS, The Dumping Union, JacKc]
- Added clone of The Last Blade (Special 2017, hack from GSC2007) [GSC2007, JacKc, iq_132]
- Added clone of Street Fighter II: The World Warrior (Japan 911210, CPS-B-17) [ShouTime, Bonky, MetalliC, JacKc]
- Added clone of Operation Wolf (Japan, SC) [ShouTime, JacKc]
- Added clone of Operation Thunderbolt (Japan, SC) [ShouTime, JacKc]
- Added clone of Silk Worm (prototype?) [frsj8112, JacKc]
- Added clone of Double Dragon (Special 2017, hack from GSC2007) [GSC2007, JacKc, iq_132]
- Added clone of Palamedes (US) [caius, The Dumping Union, JacKc]
- Added Nebulous Bee, clone of Galaga [JacKc]
- Added clone of Jackal (bootleg, Rotary Joystick) [f205v, The Iron Goat, JacKc]
- Added clone of Rastan Saga (Japan Rev 1) [Michel BLANCO, JacKc]
- Added clone of Captain Silver (Japan, revision 1) [Apocalypse, The Dumping Union, JacKc]
- Added clone of Super Street Fighter II to the CPS-2 driver [Barry, idc/Team Avalaunch]
- Added clone of Bucky O'Hare (ver JA) [ShouTime, The Dumping Union, JacKc]
- Added Samurai Shodown IV - Amakusa's Revenge / Samurai Spirits - Amakusa Kourin (Special 2017, hack from GSC2007) [GSC2007, JacKc]
- Updated The King of Fighters '98 (Combo) to Ver. 2017/04/08 [Ivex, JacKc]
- Sync. romsets with MAME 0.187 [Barry]

### v0.2.97.40

#### Fixes and new features

- Added Favorites feature: mark games as favorite from the Game Info window, or right-click in the list. Toggle favorites mode in the "Filters" section [dink]
- Added right-click context menu (Play game, View in Progetto Emma, Game Info and Mark as Favorite) [Barry]
- Added a gear-shifter display for Chequered Flag, Contental Circus, Super Chase, Chase HQ, SCI, Double Axle, Racing Beat, Top Speed, KonamiGT / RF2, OutRun / Turbo Outrun and Power Drift. Can be enabled/disabled in Misc -> Options. [dink]
- Hooked up newly dumped sound-MCU's in Fire Shark, Vimana and Teki Paki, giving these games sound! Thank you CapsOff!! [dink]
- Added bSkipStartupCheck - hidden .ini option for developers or those who never scan their romsets [dink]
- Fixed odd-word/long reads and writes in the m68000 cpu interface which in turn fixes the nasty 68x020 bug that has been plaguing us for ages. This fixes freeze-ups in Asura Buster and other 68ec020-based games. [iq_132/dink]
- Fixed in Asura Buster / Blade: Sprite & tile glitches, music synchronization [dink]
- Fixed several issues which caused FBAlpha to crash when loading romsets with missing roms [dink]
- Fixed Tail 2 Nose missing backgrounds [dink]
- Added TMS32010 cpu core for the Flying Shark/Twin Cobra/Wardner drivers [dink]
- Fixed Demon World sprite and tile offsets, also hooked up TMS32010 cpu and removed the no-TMS32010 hack [iq_132 / dink]
- Fixed Flicky on SG-1000 hw [dink]
- Fixed default eeprom settings for Charlie Ninja [dink]
- Fixed sound in regulusu [dink]
- Fixed Head Panic default settings, game is now playable [dink]
- Fixed broken graphics/corruption in Mille Miglia 2: Great 1000 Miles Rally [dink]
- Increased the Icon limit [dink]
- Fixed P2 Start in Asterix [dink]
- Added 1-bit dac/key clicker, map joy to cursor keys, Swap tape side A/B and lots of games to the MSX driver [dink]
- Improved savestate stability/reliability with the MSX driver [dink]
- Improved the MSM5205 interface w/MSM5205NewFrame() and MSM5205UpdateScanline(), for games that need a 256 interleave. [dink]
- Fixed diagonal movements in Toaplan/Taito's GetStar / Guardian [dink]
- Fixed a crash-scenario w/DonPachi on ARM and 64-bit systems [dink]
- Fixed sound in Speed Spin [iq_132]
- Added encrypted DataEast cpus to the M6502 core [iq_132]
- Fixed service mode, sprite offsets and corrupt tilemaps in G.I.Joe [dink]
- Fixed audio issues, movement issues, slowdowns in Captain Silver [dink]
- Mega-update to the ES5506 core: dynamic resampling, volume functions [iq_132], 5505-interface fix, clipping issues and savestate support [dink]
- Add NEC-V60 CPU Core [iq_132 / Romhack]
- Add UPD-7725 DSP Core [iq_132]
- Fixed sound, video issues and crash issues in Welltris [dink]
- Fixed sound and hooked up proper analogue inputs for Taito's Super Chase [dink]
- Fixed DAC speech and reboot issues in Baraduke / Alien Sector [dink]
- Fixed missing sounds in Pac-Land and Sky Kid [dink]
- Fixed a bug in the M6502 core where it wouldn't save the subtype and instruction handler [dink]
- Added rotation code for Caliber 50 and DownTown [dink]
- Fixed video layer offsets in namcos86 driver, improving video for Rolling Thunder, Hopping Mappy and SkyKid DX [dink]
- Fixed Taito/Toaplan's RallyBike titlescreen [dink]
- Added M6502ReleaseSlice() the the M6502 cpu core interface [dink]
- Add UPD-7810 CPU Core [iq_132]
- Fixed Thunder Cross 2 Japan and Asian versions [dink]
- Fixed dim palette in Lightning Fighters [dink]
- Enhanced the glass effect in Surprise Attack [dink]
- Fixed grapics issues in Konami's Xexex: Sprite masking effect in intro, flashes between scene changes, offset issue in the highscore table, missing effect in Japanese version continue screen [dink]
- Added new tilemap system with all the bells & whistles [iq_132]
- Fixed dips in Dam Busters [dink]
- Fixed gameover animation in Vapor Trail [rb6502]
- Fixed titlescreen raster effect in R-Type Leo [dink]
- Fixed sprite glitching in Shogun Warriors [dink]
- Fixed strangely flipped tiles in Cosmic Cop [dink]
- Ported latest i8051 core with DS5002FP support [dink]
- Added support for 6821 PIA devices [dink]
- Added apan callback support to the K054539 soundchip [dink]
- Fixed service mode in Xexex. Bucky O`Hare and Moo Mesa [dink]
- Fixed tile priority issue in Shackled [dink]
- Re-wrote driver for Shadow Force and added raster effects [iq_132]
- Re-wrote driver for Exed Exes [iq_132]
- Fixed screen priority & graphics issues in Chase HQ, SCI and Night Striker [dink]
- Fixed DIPs for Mars by Artic [dink]
- Added proper MCU emulation on Heavy Barrel with the new i8051 core [dink]
- Fixed Speed Coin - freezes up when the coin breaks if audio set to 48khz [dink]
- timer.cpp: added ability to attach a timer to a NULL cpu for for instances where the main cpu cycles possibly vary [dink]
- Added BDF_GAME_NOT_WORKING flag to burn.h [dink]
- Fixed 8-way movements in Jump Shot [dink]
- System 16 Updates [Barry]
  - Added support for the Sega 315 5195 Memory Mapper chip
    - Hooked up in Sega System 16B driver
    - Hooked up in Sega OutRun driver
    - Hooked up in Sega System 18 driver
    - Added Moonwalker and clones to the Sega System 18 driver now they can be supported
  - Properly emulate the shadow/hilight palettes in Sega System 16 and associated drivers
  - Emulate priority buffer for Y-Board driver when mixing in System 16B sprites
  - Added Lock On (Philko) to the Sega System 16B driver
  - Fixed tile banking in some Altered Beast sets
  - Emulated the I8751 MCU in the parent set of Altered Beast
  - Emulated the I8751 MCU in the parent set of Golden Axe
  - Emulated the I8751 MCU in the parent set of Body Slam
  - Emulated the I8751 MCU in the clone Quartet 2 (8751 317-0010)
  - Added 5 bootlegs of SDI to the Sega System 16B driver
  - Fixed game ini saving for SDI & clones
  - Implemented full controls in Ace Attacker in the Sega System 16B driver
  - Fix outrundxj
  - Hooked up PPI8255 reads in Major League
  - Fix life counter in Space Harrier
  - Added support for screen flipping in Sega System 16A/16B drivers - fixes some levels of SDI which rely on it
- Added a module for Resister Networks (Palette Generation) [Barry]
- Update lzma sdk to 16.04 [Barry]
- Update libpng to 1.6.28 [Barry]
- Update zlib to 1.2.11 [Barry]
- Synchronize romsets with the latest MAME [Barry]
- Fixed sprite priority issues in Task Force Harrier [dink]
- Fixed alignment issues in Swat Police and Head Panic, x-scroll issues, and added missing flashing sprite effect on ESD16 Hardware [dink]
- Synthesized a proper color palette for Time Limit [dink]
- Improvements/Fixes for Super Kaneko Nova System: [dink]
  - New cpu-based speedhack for most games - dip option
  - Fixed Music and SFX in Gals Panic S
  - Fixed attract-mode music cut short in VS Block Breaker/Saru Kani
  - Fixed garbage on screen when the game starts in VS Block Breaker/Saru Kani
- Updated KonamiBlendCopy() to be faster/more efficient [iq_132]
- Fixed a crash in Donkey Kong 3 Japanese version [dink]
- Fixed Z80's ZetRunEnd(); *revisited*. This fixes slowdown issues with Strikers 1945 Plus [dink]
- Added newer-style VezMapMemory() function to the NEC V20-35 cpu interfaces. [dink]
- Fixed a masking issue in NEC V20-35's read port interface [dink]
- Fixed a blitter issue in Kangaroo, fixed savestates: video banking and lost music [dink]
- Fixed nasty crackling/popping noises in Darius 2 [dink]
- Hooked up shot and explosion samples to Seibu Stinger and Scion[c] [dink]
- Fixed sprite flickering and freeze-ups in Xain'd Sleena [dink]
- Front-End fix: when starting a game from the commandline, only init the blitter once. also don't get stuck in fullscreen when loading fails due to a bad romset [dink]
- Fix some structure alignment issues so drivers can benefit from vectorization/SIMD optimizations present in latest gcc w/ -O3 and other recent compilers [dink, barbudreadmon]
- Fix dipswitch issues in several games thanks to info from the libretro/fba guys [barbudreadmon, dink]
- Fixed Dac and scrolling issues in Konami's Finalizer [dink]
- Fixed a crash issue in Super-X (NTC) when up + down was pressed [dink]
- Default Full Screen depth to 32bpp [dink]
- Fixed DAC DC Offset on some System16 games: Shinobi, Quartet 1 and 2, eliminating pops and clicks [dink]
- Added proper inputs for Wall Crash [dink]
- Add default gun calibrations and fix sprite:tile priority issues in Operation Wolf 3 [dink]
- Reduce the time duration "state loaded/saved" is displayed on the screen [dink]
- Fixed mosaic tile effect on scene transitions in FixEight [dink]
- Fixed sound synchronization issues in Batrider [dink]
- Improvements and Fixes to the Input (re)Recording/Playback feature: [dink]
  - Add Record from Power On option to replay/input recording
  - Shift+Backspace to disable/enable the frame counter while recording or playing back recordings
  - Fix a nasty bug that caused desynchs in some recordings
- Add original author(s) credit to each driver and core [iq_132]
- Add trackball support to Capcom Bowling and Krazy Bowl [dink]
- Fix crash with Force 16bit Emulation and Megadrive [dink]
- Fix Gun & Frontier sprite lag issue [dink]
- Fix Zero Point 1 and 2 Sprite priorities and sound effects in Zero Point 2 [dink]
- Slight speedup with the search function [tumu]
- Fix Demon World savestates [dink]
- Fix timing issue in D-Con [dink]
- Fix sprite alignment in oisipuzl [dink]
- Fix savestate compatibility between 32bit/64bit systems [barbudreadmon & libretro guys, dink]
- Fix Ghost 'n Goblins savestate banking issue, improve timing [dink]
- Fix timing issue in Toki that occasionally caused tiles in the map-screen to jitter [dink]
- Fix Hit the Ice inputs and graphics issues [dink]
- Fix timing issues in 4 En Raya [dink]
- Fix missing button #3 and video issues in Strategy X [dink]
- Hook up trackball and fix palette issues - U.S. Classic now playable [dink]
- Fix music and banking issues in Funny Bubble [dink]
- Fix soundfx and timing in Tripool [dink]
- Fixed soundcpu communications in Gauntlet, hooked up the Pokey sound generator and savestates [dink]
- Improved M6502 core by properly handling indexed read/writes, fixed pulsing the nmi line with CPU_IRQSTATUS_AUTO [dink]

#### New drivers

- Konami's The Main Event and Cosmo Police Galivan / Ninja Emaki / UFO Robo Dangar were accidentally left out of the last release, sorry!
- Added driver for Twin Cobra, Flying Shark / Sky Shark / Gulf War II [iq_132]
- Added driver for Wardner [iq_132]
- Added driver for Taito System-L (Fighting Hawk, Raimais, Champion Wrestler, Puzznic, Kuri Kinton, Evil Stone, etc) [iq_132]
- Added driver for Dacholer / KickBoy and Itazura Tenshi [iq_132]
- Add driver for games on SSV hardware: Twin Eagle 2, Vasara I and II, Change Air Blade, Dyna Gear, Survival Arts, Drift Out '94, Mobil Suit Gundam Final Shooting, Ultra-X-Weapons, Storm Blade and more [iq_132]
- Added driver for FireTrap by WoodPlace [iq_132]
- Added driver for games on Metro hardware: Blazing Tornado, Gun Master, Pang Poms, Sky Alert, Puzzli, Mouse Shooter GoGo/Bang Bang Ball/Battle Bubble, Bal Cube, Dharma Doujou [iq_132]
- Added driver for Bogey Manor by Technos on modified Data East hardware [iq_132]
- Added driver for Cloak and Dagger [iq_132 w/dink]
- Added driver for B-Wings and Zaviga [iq_132]
- Added driver for Sigma's Submarine [iq_132]
- Added driver for Macross Plus [iq_132]
- Added driver for Atari's Canyon Bomber [iq_132]
- Added driver for Gaelco's World Rally [iq_132, dink]
- Added driver for Dream World, Cute Fighter, Baryon Future Assault, Rolling Crush, Gaia on SemiCom DreamWorld Hardware [iq_132]
- Added driver for Puzzle Bobble 2, 3 & 4, Gunlock/Rayforce, Bubble Bobble 2 & 3, Gekirindan, Grid Seeker, Twin Cobra II, Recalhorn, Land Maker and a whole bunch more on Taito F3 hardware [iq_132, dink]
- Added driver for Shadow Land, Dragon Spirit, Pac-Mania, Galaga '88, Splatter House and others on Namco System 1 Hardware [iq_132, dink]
- Added driver for Fantasy Land, Galaxy Gunner and Wheels Runner [iq_132, dink]
- Added driver for Susume! / Go Go! Mile Smile and Gyakuten! Puzzle Bancho on Fuuki 16-bit Hardware [iq_132, dink]
- Added driver for Karate Champ by Data East [iq_132, dink]
- Added driver for Shot Rider, Zippy Race / Traverse USA [iq_132, dink]
- Added driver for Konami's Hyper Sports and Road Fighter [iq_132]
- Added driver for Konami's Juno First [iq_132]
- Added driver for Battle Cross and DodgeMan [iq_132]
- Added driver for Shoot Out by Data East [iq_132, dink]
- Added driver for Acrobatic Dog Fight [iq_132, dink]
- Added driver for Tetris, Hang-On Jr. and Transformer on Sega System E hardware [vbt]
- Added drivers for Big Striker bootlegs [iq_132]
- Added driver for Kusayakyuu (Baseball) [iq_132]
- Added driver for Paddle Mania and The Next Space on Alpha 68k I hardware [iq_132]

#### New additions to existing drivers

- Added Mini Planets (REV02) to the Megadrive driver [dink]
- Added Miss World 2002 [NeoGeo de Ahuizotla, Artemio Urbina, The Dumping Union, JacKc]
- Added Eeekk!! on pacman hardware [iq_132]
- Added Sky Robo and Tatakae! Big Fighter to the armedf driver. Thanks to CapsOff for dumping the impossible protection MCU! [dink]
- Added Hangzo! to the DataEast Rohga driver [iq_132]
- Added Gals Panic S2 (Europe), now its the parent [rtw, JacKc]
- Added Samurai Shodown II (Spacial 2017, hack from GSC2007) [GSC2007, JacKc, iq_132]
- Finished emulation of early Seta games: Caliber 50, ThunderCade, Twin Eagle, DownTown, Meta Fox and Arbalester [dink]
- Added Ken Sei Mogura: Street Fighter II (Japan 940418, Ver 1.00) [Barry]

#### Clones and updated romsets in existing drivers

- Update kof98cb to 20170108 version [JacKc]
- Replaced Mutant Night (mnight) with World version, Kawakus license now mnightj [JacKc]
- Added clone of Burning Fight (prototype, ver 23.3, 910326) [Collin Foust, JacKc]
- Added clone of WWF WrestleFest (World) [Hammy, The Dumping Union, JacKc]
- Added clone of Mustache Boy (Italy) [ShouTime, JacKc]
- Added clone of ORIENTAL SOFT 1945k III OPCX1 2000 Version (Korea) [ShouTime, JacKc]
- Added clone of Forgotten Worlds (USA, B-Board 88618B-2, Rev. E) [Corrado Tomaselli, The Dumping Union, JacKc]
- Added clone of Vendetta (World, 2 Players, ver. ?) [Corrado Tomaselli, The Dumping Union, JacKc]
- Added clone of Sol Divide - The Sword Of Darkness (Korea) [Nomax, The Dumping Union, JacKc, dink]
- Added clone of Raiden (Korea, bootleg) [Tirino73, JacKc]
- Added clone of Real Bout Fatal Fury / Real Bout Garou Densetsu (Korean release) [Brian Hargrove, JacKc]
- Added clone of Flicky (128k Version, 315-5051, larger roms) [system11, JacKc]
- Added clone of Momoko 120% (English text) [Paul Hogger, JacKc]
- Added clone of The NewZealand Story (World, old version) (older PCB) [Porchy, The Dumping Union, JacKc]
- Added clone of Dynamite Duke (Japan, 25JUL89) [Corrado Tomaselli, The Dumping Union, JacKc]
- Added clone of Fighting Fantasy (Japan revision ?) [Hammy, The Dumping Union, JacKc]
- Added clone of King of the Monsters 2 - The Next Thing (older) [NeoSD, JacKc]
- Added clone of Three Wonders (3wondersha) [Barry]
- Added clone of The King of Fighters '99 - Millennium Battle (Korean release) [Brian Hargrove, JacKc]
- Added clone of Deroon DeroDero (alt set) [arcademodbios, JacKc]
- Added clone of Puzznic (US) [Coolmod, JacKc]
- Added clone of Head Panic (ver. 0702, 02/07/1999) [hammy, Brian Troha, The Dumping Union, JacKc]
- Added clone of Red Hawk (Greece) [Abelardator2, JacKc, iq_132]
- Added clone of Dungeons & Dragons: Shadow over Mystara (Japan 960223) [ShouTime, Steven Fairbrother, Smitdogg, The Dumping Union, JacKc]
- Added clone of Raiden II (Germany) [Caius, JacKc]
- Update Samurai Shodown II Special to v1.0.0311 [GSC2007, JacKc]
- Added clone of Street Fighter II: The World Warrior (World 910129) [Janniz, JacKc]
- Added clone of Radical Radial (Japan) [ShouTime, JacKc]
- Added clone of Flashgal (set 1, Kyugo logo) [Corrado Tomaselli, The Dumping Union, JacKc]
- Added clone of Martial Masters / Xing Yi (V103, 102, 102, China) [kuze, JacKc]
- Added clone of Rastan (World, Earlier code base) [System11, The Dumping Union, JacKc]
- Added clone of Street Fighter II - The World Warrior (911210 Japan, rev L) [Bonky0013, The Dumping Union, JacKc]
- Added clone of Sonic Blast Man (US) [coolmod, The Dumping Union, JacKc]
- Added clone of Street Fighter II' - Champion Edition (UPL bootleg) [Shoutime, The Dumping Union, JacKc]
- Added clone of Prehistoric Isle in 1930 (World, bootleg) [The Iron Goat, JacKc]
- Added clone of Knights of Valour - Sangoku Senki (V100, Hong Kong) [Pasky Junk, JacKc]
- Added clone of Sangokushi II: Sheng Jian Sanguo (Chinese bootleg set 4, 921005 Asia) [Unknown, Barry]
- Sync. PGM romsets with MAME 0.184 [JacKc]
- Added clone of Bionic Commandos (bootleg, set 2) [The Dumping Union, JacKc]

### v0.2.97.39

#### Fixes and new features

- Shots Factory update: esc to close window, change "All Sprites" to "Layer 1" [dink]
- Fixed Palette Viewer color issues [dink]
- Fixed Clear and ClearLock for Analogue & Mouse in the Input Editor [dink]
- Fixed regression in FB Alpha v0.2.97.38 for E.D.F. : Earth Defense Force (Parent and Clones) [dink]
- Fixed graphics issues for Heavyweight Champ (Japan, FD1094 317-0046 decrypted) in SEGA System16B driver [JacKc]
- Haunted Castle is most likely-probably fixed now (sorry!) [dink]
- Fixed Van Van Car [dink]
- Added nsc8105 mcu support to the m6800 cpu core [dink]
- Fixed road issues with Turbo Outrun [Barry]
- Added i8051 mcu core [iq_132]
- Fixed rowscrolling issues in Caveman Ninja (tree level and ending), Joe and Mac Returns (ending), Mutant Fighter intro [dink]
- Sync. romsets with MAME 0.175 [Barry]
- Fixed sprite issues on the Hacha Mecha Fighter bootleg titlescreen [dink]
- When writing an .avi, don't lose frames when F1 (ffwd) is pressed [dink]
- Added SN76477 soundcore [dink]
- Fixed explosions and missing SFX in Stratovox / Speak and Rescue by hooking up the SN76477 soundcore [dink]
- Fixed sound in Porky [dink]
- Fixed booting & DIP issues with Main Event (SNK) [dink]
- Fixed P2 inputs in Cabal [dink]
- Fixed Gwar (Japanese version) [dink]
- Fixed the apple sprite in Pooyan [dink, Zazzone]
- Fixed the music tempo in Darkseal and used this new fix for Vapor Trail and Crude Buster as well [dink, Gab75]
- Fixed Konami's The Main Event, it had sprite and priority issues (K052109 custom) [dink]
- Fixed Highlight mode in Sunset Riders, fix also needed by Chequered Flag [iq_132, dink]
- Operation Wolf, allow continue by default [dink, gamezfan]
- Added re-recording functionality [blip, dink]
- Split avi files every 2 gig while recording to prevent corrupted video [dink]
- Added selectable 1x, 2x and 3x pixel modes to the avi writer [dink]
- Fixed Warriors of Fate 3rd fire button on clones [gxb]
- Improved the speed of the search function [dink]
- Fixed crash loading a savestate or replay while a different game is running [dink]
- Improved desynch issues with netplay and input recording of Capcom CPS1, CPS2, PGM and certain Cave games [dink]
- Fixed possible crash with Battle Bakraid loading a state when the game isn't running [dink]
- Made the recording icon smaller to be less intrusive while playing games and recording inputs [dink]
- Added an option to display joystick/button movements while playing input recordings. [dink]
- Fixed choppy sound on music fade-outs in DoDonPachi II: Bee Storm [dink]
- Fixed gear shifting in Continental Circus [dink, Gab75]
- Added new feature: Shift+F1 toggles FFWD on/off [dink]
- Temporary work-around to Data East Backfire! to prevent crash [dink]
- Under some circumstances certain macros could not be mapped [dink]
- Fixed "smoke" and "dust" sprites in Super Hangon [dink]
- Fixed crash when dieing in certain situations in Bonze Adventure [dink]
- Fixed gear shifter in Contental Circus, Chase HQ, SCI, Racing Beat, Double Axle and Top Speed [dink]
- Fixed missing SFX and graphics glitches in Top Speed [dink]
- Fixed the adventure world in UFO Senshi Yohko Chan [dink]
- Fixed video issues with savestates for certain Kaneko Supernova games [dink]
- Fixed some broken sprites in Guwange [dink]
- Fixed the big alien in Turbo Force (revisited) [dink]
- Allow movement of the "Scanning ROMs" window [dink]
- Fixed remaining lives issue in Woodpecker [dink]
- Fixed missing line of pixels at the top of the screen in Air Gallete [dink]
- Fixed some missing samples in Seta games w/ X1-010 soundchip [dink]
- Fixed crash issue with X1-010 soundchip and 64bit systems [dink, Gab75]
- Fixed graphics issues in US AAF Mustang and Twin Action in the NMK16 driver [dink]
- Fixed analog controls and shifting in Konami GT / RF2 and Hyper Crash [dink]
- Fixed crash issue with xx-in-1 Megadrive pirate carts [dink]
- Fixed "BAD HARDWARE" issue with Arkanoid [dink]
- Fixed life counter in Zzyzzyxx [dink]
- Fixed dips and possible crash issue on 64bit systems with the Seta2 hunting games [dink]
- Fixed the HUD face icon in Warrior Blade [dink]
- Fixed several graphics issues in Gaiapolis [dink]
- Fixed transparent color issue in Metamorphic Force and Violent Storm [dink]
- Added YM2610 ADPCM samplebanking support for KOF98AE [dink]
- Fixed choppy scrolling on the left side of the screen in Blazing Star [dink]
- Fixed minor graphic glitch in X-Men [dink]
- Fixed Funky Bee and Sky Lancer palette issues [dink]
- Fixed timing issues in Martial Champion, now works but with graphical issues [dink]
- Updated the cheat engine to support more modes: Watch, Wait for Modification, Level Selection and One-Shot [dink]
- Fixed "Break the Statue" text in Metamorphic Force and spotlight on the belly dancer in Violent Storm [dink]
- Fixed oddly-placed black lines and opaque windows in Lethal Enforcers [dink]
- Fixed several bugs in the Konami-scc (K051649) core [dink]
- Updated the Quiz Olympic driver [iq_132]
- Updated the TMS9928a vdp to a newer core/line-based version [dink]
- - Fixes Magical Tree in SG-1000
  - Fixes the Radar screen in Colecovision Defender
- Updated the Sunset Riders protection chip emulation, fixes walking on slanted surfaces [Angelo Salese]
- Fixed the sprite offsets in Konami's Vendetta/Crime Fighters [dink]
- Fixed the roms of Moon Alien 2 (Older Version) [JacKc]
- Added configurable clipping to generic tile drawing [iq_132]

#### Clones and updated romsets in existing drivers

- Added clone of Street Fighter II' - Magic Delta Turbo (bootleg set 4 (with YM2151 + 2xMSM5205), 920313 etc) [f205v, maru79, JacKc]
- Added clone of Street Fighter II' - Champion Edition (920313 etc bootleg set 3) [f205v, maru79, JacKc]
- Added clone of Street Fighter II' - Champion Edition (920313 etc bootleg set 4) [f205v, maru79, JacKc]
- Added clone of Street Fighter II' - Champion Edition (920313 etc bootleg set 5) [Janniz, f205v, JacKc]
- Added clone of 1945k III (older, OPCX1 PCB) [system11, iq_132]
- Added clone of Operation Thunderbolt (World, rev 1) [Muddymusic, The Dumping Union, JacKc]
- Added clone of Fighting Fantasy world rev. 3 [bmcphail, JacKc]
- Added clone of The NewZealand Story (US, old version) (older PCB) [Alex Cmaylo, The Dumping Union, JacKc]
- Added clone of Metamorphic Force (ver AAA) [Abelardo Vidal, JacKc]
- Added clone of Super Street Fighter II X: Grand Master Challenge (Japan 940311) [undamned, ShouTime, JacKc]
- Added clone of Air Gallet (Europe, older) [Artemio Urbina, JacKc]
- Added clone of New Zero Team (V33 SYSTEM TYPE_B hardware) [caius, JacKc]
- Added clone of Teenage Mutant Ninja Turtles (US 4 Players, version H) [The Iron Goat, JacKc]
- Added clone of Gulf Storm (Korea) to the Dooyong driver [system11, JacKc]
- Updated The King of Fighters '99 (15th Anniversary Edition) to 20160827 Build [JacKc]
- Updated The King of Fighters '98 (Combo/Ivex Hack) to 20161004 Build [JacKc]
- Added clone of Street Fighter (Japan, pneumatic buttons) [ShouTime, Smitdogg, Jan Stuhler, Paul Thacker, Sean Sutton, The Dumping Union, JacKc]
- Added 2 new Phoenix clones: Amstar Set 2 and Condor (S C Novar bootleg of Phoenix) [f205v, JacKc]
- Added clone of Bubble Bobble: Ultra (Hack by Penta Penguin) [dink]
- Added clone of Demon's World / Horror Story (set 2) [Sugoi Helsinki, JacKc]
- Added clone of Teenage Mutant Ninja Turtles (Asia 4 Players, version ?) [Abelardo Vidal, The Dumping Union, JacKc]

#### New additions to existing drivers

- Added Triki Triki (Lover Boy bootleg) [Rafael Alonso (from ARCADE VINTAGE), JacKc]
- Added Mercenario (Commando bootleg) [Rockman, JacKc]
- Added Super Street Fighter II: The Tournament Battle (Japan 931005) [ShouTime, JacKc]
- Added Mutant Warrior ( Altered Beast Datsu bootleg) [The Dumping Union, JacKc]
- Added Shogun Warriors (Korea?) to the Kaneko 16 driver [Barry]
- Added Dai Makai Mura debug edition to the PCE-SGX driver [dink]
- Added Jungler, Tactician, Commando (Sega) & Loco-Motion to the RallyX driver [dink]
- Added Bang!, Snowboard Championship and Touch 'n Go (Korea, Unprotected) to the Gaelco2 driver [dink, iq_132]
- Added '96 Flag Rally to the 1945kiii driver [dink]
- Added Mega Q-Bert to the Megadrive driver [dink]
- Added Sega Master System Brawl to the Megadrive driver [dink]
- Added Bomb on Basic City by vetea to the Megadrive driver [dink]
- Added Bara Buru to the Sega MasterSystem driver [dink]
- Added Data Storm to the Sega MasterSystem driver [dink]
- Added Deluxe 4 U and Deluxe 5 to the ESD16 driver [JacKc]
- Added Super UWOL! SG-1000 to the SG-1000 driver [dink]

#### New drivers

- Added driver for Parallel Turn [iq_132, dink]
- Added driver for Breakthru and Darwin 4078 [iq_132, dink]
- Added driver for Crazy Climber, Guzzler, Swimmer, River Patrol, Silver Land and Yamato [dink, iq_132]
- Added driver for Zodiack, Mogu Chan, Dogfight, The Bounty, The Percussor. [dink]
- Added driver for Dr. Micro [dink]
- Added driver for Seicross, Radical Radial and Frisky Tom [iq_132]
- Added driver for Calorie Kun [iq_132, dink]
- Added driver for Jr. PacMan [iq_132, dink]
- Added driver for Burger Time, Lock 'n Chase, Bump 'n Jump / Burnin' Rubber, Minky Monkey, Disco no.1 [dink, iq_132]
- Added driver for Metal Freezer [Angelo Salese, iq_132]
- Added driver for Fast Freddie / Fly Boy, Jump Coaster, Boggy '84, Red Robin, Imago [dink, iq_132]
- Added driver for Heavy Unit [iq_132]
- Added driver for Dangar, Galivan and Ninja Emaki [iq_132]
- Added driver fot The Deep [Lucia Elia, iq_132]
- Added driver for Zero Team 2000, New Zero Team and Raiden2DX v33 [iq_132]
- Added driver for Chequered Flag [iq_132]
- Added driver for Naughty Boy, Pop Flamer, Trivia Master/Genius [iq_132, dink]
- Added driver for Cheeky Mouse [dink]
- Added driver for Zodiack, Mogu Chan, Dogfight, The Bounty, The Percussor [dink]
- Added driver for Jaleco's City Connection [iq_132]
- Added driver for Phoenix & Pleiads [iq_132, dink (sound)]
- Added driver for Syusse Oozumou [iq_132]
- Added driver for Aeroboto / Formation Z [iq_132]
- Added driver for Syvalion, Tetristh, Record Breaker and Dynamite League on Taito H hardware [iq_132]
- Added driver for Track and Field / Hyper Olympic, Masters of Kin, Reaktor and Yie Ar Kung-Fu (GX361 conversion) [iq_132, dink]
- Added driver for Gigas, Freekick, Counter Run and Perfect Billiard [vbt]
- Added driver for MSX1-based games [dink]
- Added driver for Konami's Ping Pong [iq_132]
- Added driver for One + Two [iq_132]

### v0.2.97.38

#### Fixes and new features

- Fixed BurnSamplesSetLoop() in the sample core [dink]
- Added the Toki devlopers' debug mode to Toki [dink]
- Added several behind-the-scene improvements to the Galaga/Dig-Dug driver [dink]
- Fixed a crash-situation with the Namco sound-core that only seemed to affect 64bit systems [dink, Gab75]
- Capcom CPS3 is now friendly towards slower/embedded systems (Raspberry Pi etc.) [dink]
- Fixed Capcom's The Speed Rumber: broken Boot-up messages, random slowdowns, screen priority issues [dink]
- Fixed music in SD Gundam Psycho Salamander [dink]
- Fixed extra buttons in Olds [iq_132]
- Added default rom paths for SMS & GameGear systems [dink]
- Fixed music in Haunted Castle [dink, SNK_Dude]
- Fixed display of total sets in game selection dialog [Barry]
- Fixed missing tiles in Sand Scorpion due to incorrect 2-D pointer indexing in kaneko_tmap.cpp, possibly improving other games that use this. [dink]
- Fixed missing music in Pass level 3+ [dink]
- Fixed music tempo in Nostradamus [dink]
- Tidy up makefiles and fix for non C++11 compilers [Barry]
- Fixed Skyarmy, sometimes the bridge-piece chinook (heli w/2 props) doesn`t deliver the pieces when at home base. [dink]
- Fixed Oki MSM6295 banking in Shadow Force [dink]
- Fixed a crash issue when using savestates in Taito's Master of Weapon [dink]
- Fixed music in Knuckle Bash 2 [dink]
- Fixed Oops: forgot to mark Air Duel's parent as Working. [dink]
- Fixed missing sprites in ZigZagb [dink, Zazzone]
- Fixed endgame boss & stage 6 boss in Nostradamus [dink, Haze]
- Fixed doorway/scene transitions in Tiger Road [iq_132]
- Fixed graphics issues in Varia Metal [iq_132, dink]
- Added unicode titles and service dips to several Toaplan games [BisonSAS]
- Fixed the analog speed setting in config/games/game.ini was getting clobbered [dink]
- Fixed sprite priority issues in Blood Brothers, most notably in the mine-level [dink]
- Fixed music updated palette handling in Mysterious Stones [dink]
- Fixed the bitmap layer alignment in Chak 'n Pop [dink]
- Added the breakable-background fix to 64th Street [Haze]
- Fixed PCM sounds in Rohga / Wolf Fang [dink]
- Fixed crash in Shadow force in the Laboratory level when the bridge breaks apart [dink, Pityesz]
- Fixed clicking noise when a replayed input ends [dink]
- Fixed many Megadrive games: The Chaos Engine, Ooze, Rock 'n Roll Racing, Outrunners, Buck Rogers, Dragon Slayer I & II, Krusty's Super Funhouse, S.S. Lucifer, The Earth Defense, Super Mario Bros. and Battle City, Klax, Feng Shen Ying Jie Chuan (Chi), Tiny Toon Adventures 3, Back to the Future part III (USA), Mickey Mania and possibly others. [dink]
- Mega Megadrive Overhaul pt.2: [dink]
- - Added support for mid-frame palette changes (For water effects in Sonic, Rocket Knight Adventures, Burning Force scrolls now..etc.)
  - Fixed audio glitches in Doom Troopers and Battle Squadron
  - Fixed Mickey Mania Moose level
  - Fixed Sonic 3D jittery SEGA logo
  - Fixed flickering in Ayrton Senna's Super Monaco GP II and Gunstar Heroes
- Enabled Hi-Score saving in most classic/pre-90's Capcom games [dink]
- Added 3x-sized avi output, for 720p/60hz Youtube video uploads [dink, Barry]
- New Rotary-button feature for Midnight Resistance, Heavy Barrel, Ikari/Victory Road and other games in the new SNK 3xZ80 driver, Ikari III, SAR Search and Rescue and Jackal [dink]
- - When this button is pressed: rotary direction becomes joystick direction
- Fixed some screen-related quirks in the legendary classic: Ambush [dink]
- Fixed Donkey Kong III save states [dink]
- Fixed sample engine broken since the last version of FBAlpha [dink]
- Fixed graphics and timing issues in Gradius III [dink]
- Fixed some issues with the cheat engine - some cheats would not disable [dink]
- Fixed coin inputs for Kamen Riders [dink, Gab75]
- Fixed music in Guardians / Denjin Makai II [dink]
- Fixed music in The Punisher (change cps1 qsound cpu to proper 8mhz) [dink]
- Fixed music in Karnov's Revenge [dink]
- Updated lzma lib. to 15.14 [Barry]
- Updated the libpng library to v1.6.21 [Barry]

#### Clones and updated romsets in existing drivers

- Sync. romsets with current MAME [Barry, JacKc]
- Added clone of Sengoku Ace (Japan, set 2) [Alex Cmaylo, JacKc]
- Added clone of Final Fight US [Coolmod, JacKc]
- Added clone of Rolling Thunder (rev 3, alternate?) [caius, JacKc]
- Added clone of 1943 (US) [caius, The Dumping Union, JacKc]
- Added clone of Out Run (deluxe sitdown) (Enhanced Edition v1.0.3) [JacKc]
- Added clone of Out Run (sitdown/upright, Rev B) (Enhanced Edition v1.1.0) [JacKc]
- Added clone of Lethal Enforcers (ver EAA, 09/09/92 09:44) [caius, JacKc]
- Added clone of Orius (ver UAA) / clone of Xexex [Ryan Holtz, Smitdogg, The Dumping Union, JacKc]
- Added clone of Super Street Fighter II Turbo (Hispanic 940223) [Artemio Urbina, JacKc]
- Added clone of Ninja-Kid II / NinjaKun Ashura no Shou (set 4) [system11, JacKc]
- Added clone of Ring of Destruction: Slammasters II (Hispanic 940902) [Raul Delgado, JacKc]
- Added clone of Miss World 96 Nude (alt) [system11, JacKc]
- Added clone of Double Dragon II - The Revenge (US, bootleg) [system11, JacKc]
- Added clone of Pirates (set 2) [caius, JacKc]
- Added clone of Street Fighter II' - Champion Edition (920313 'Taiwan' bootleg with PAL) [rtw, Smitdogg, The Dumping Union, JacKc]
- Added clone of Strider (USA, B-Board 90629B-3, Street Fighter II conversion) [system11, JacKc]
- Added clone of Sangokushi III Gaiden: Kakou-On's Revenge DX (hack) [system11, JacKc]
- Added clone of Multi Game '96 (Italy) [system11, JacKc]
- Added clone of Halfway To Hell: Progear Red label (2016-1-17 Red Label Ver) [The Halfway House, JacKc]
- Added clone of Multi Champ (World, older) [f205v, JacKc]
- Added clone of 1000 Miglia: Great 1000 Miles Rally (94/05/26) [caius, JacKc]
- Added clone of 64th. Street - A Detective Story (Japan, set 2) [Corrado Tomaselli, JacKc]
- Added clone of Donkey Kong - Arcade Rainbow (hack) [John Kowlski, JacKc]
- Added clone of Block Block (World 911219 Joystick) [caius, The Dumping Union, JacKc]
- Added clone of The King of Fighters '98 (Anniversary Edition 2016, EGHT hack) [EGCG 2016, JacKc]
- Added clone of The King of Fighters '98 (Combo) to 2016/03/21 version [Ivex, JacKc]
- Added clone of Armed Police Batrider - A Version (Hong Kong) (Mon Dec 22 1997) [Trap15, JacKc]
- Added clone of Batsugun (Korean PCB) [Alex Cmaylo, iq_132]
- Added clone of Last Resort (prototype) [Chris Ransley, JacKc]
- Added clone of Moon Cresta (SegaSA / Sonic) [Roselson (from AUMAP), JacKc]
- Added clone of Major Title 2 (World, alt sound CPU) [Mathieu Patard, JacKc]
- Added clone of Pac-Man (SegaSA / Sonic) [A.R.P.A., JacKc]
- Added clone of Come Come (Petaco SA bootleg of Puck Man) [Manuel Giron, JacKc]
- Added clone of Come-Cocos (Ms. Pac-Man) ('Made in Greece' Herle SA bootleg) [Heckler, JacKc]
- Added clone of My Hero (bootleg, 315-5132 encryption) [Andrew Welburn, JacKc]
- Added clone of Toki (US, prototype?) [Kevin Eshbach, JacKc]
- Added clone of Super Bishi Bashi Championship (ver KAB, 3 Players) [Skate, JacKc]
- Added clone of Majestic Twelve - The Space Invaders Part IV (US) [Artemio Urbina, The Dumping Union, JacKc]
- Added clone of Major Title 2 (World, set 2) [Porchy, JacKc]
- Added clone of Atomic Robo-kid (Japan) [Alex Cmaylo, JacKc]
- Added clone of Beast Busters (Japan, Version 2) [ShouTime, JacKc]
- Added clone of Mystic Warriors (ver AAB) [Bill D / The Dumping Union, JacKc]
- Added clone of Raiden DX (Japan, set 2) [Alex Cmaylo, JacKc]
- Updated the NeoGeo driver with the latest Unibios [JacKc]

#### New additions to existing drivers

- Added Fix-it Felix Jr. to the Megadrive driver [dink]
- Added Waimanu: Scary Monsters Saga to SMS driver [dink]
- Added Wing Force to the Kaneko16 driver [dink]
- Added MegaCart support to the Colecovision driver [dink]
- Added Princess Quest (MegaCart), Digger and Quest for the Golden Chalice to the Colecovision driver [dink]
- Added T*GunII, Chase and Papi CommandoMD to the Megadrive driver [dink]
- Added Big's Fishing Derby and Thunderbolt II to the Megadrive driver [dink]
- Added FatalSmarties to the Megadrive driver [dink]
- Added '96 Flag Rally to 1945kiii driver [dink]
- Added Ozma Wars to the Space Invaders driver [iq_132]
- Added Fire Ball (FM Work) to the Legendary Wings driver [iq_132]
- Added Unknown Neo-Geo Vs. Fighter (prototype) [Brian Hargrove, JacKc] to the NeoGeo driver

#### New drivers

- Added driver for Appoooh [vbt]
- Added driver for Cabal [iq_132, dink]
- Added driver for Fighting Roller [iq_132]
- Added driver for Battle Lane [iq_132]
- Added driver for Alligator Hunt and Maniac Square on Gaelco CG-1V/GAE1-based hardware [iq_132, dink]
- Added driver for Ikari Warriors, Victory Road, TNK3, Guerilla War, Chopper I, Bermuda Triangle, Psycho Soldier, Athena, ASO/Alpha Mission, Fighting Golf, Jumping Cross, HAL21, Vanguard II, Mad Crasher and Marvin's Maze on SNK 3xZ80 hardware [iq_132, dink]
- Added driver for Main Event and Canvas Croquis [iq_132]
- Added driver for Joyful Road / Munch Mobile [iq_132]
- Added driver for Himeshikibu and Android [iq_132]
- Added driver for Beast Busters and Mechanized Attack [iq_132]
- Added driver for Safari Rally [iq_132]
- Added driver for Mr. Jong and Crazy Blocks [vbt]
- Added driver for Lasso, Chameleon, Wai Wai Jockey Gate-In and Pinbo [iq_132]

### v0.2.97.37

- Added clone of Contra (US / Asia, set 3) [system11, iq_132, JacKc]
- Added several fixes for the SDL version of FBAlpha [Dmitry Smagin]
- Fixed all SFX hard-panned to the right in Mars Matrix [dink]
- Added Packetman bootleg [Mooglyguy, Smitdogg, The Dumping Union, iq_132]
- Removed unused dips for Gunforce2/Geostorm [dink]
- Fixed continious distortion in R-Type II level 4 after death while also killing an air-tank [dink]
- Fixed TRUN bit masking (timers start/stop) in TCLS-90 CPU [Rainer Keuchel, dink]
- Fixed PCM audio in Avengers/Buraiken [dink]
- Fixed slight video glitchery on fade outs/cutscene/fast screen changes in Ghost 'n Goblins [dink]
- Added clone of Gradius III (Japan, program code S, split) [system11, JacKc]
- Added 1998 copyright Fantasia 2 version, single ROM difference [system11, JacKc]
- Added clone of G-LOC Air Battle (World) [Arzeno Fabrice, The Dumping Union, JacKc]
- Added 1943: The Battle of Midway (hack of Japan set) [Artemio Urbina, JacKc]
- Correct rom labels for the Stern Electronics license of The End. [caius, JacKc]
- Added clone of Gundhara (Chinese, bootleg?) [system11, JacKc]
- Added clone of Bells & Whistles (Asia, Version M) [rtw, The Dumping Union, JacKc]
- Added clone of Dunk Shot (Rev A, FD1089 317-0022) [coolmod, The Dumping Union, JacKc]
- Added Bionic Commandos (bootleg, hack of Japan set) [TeamEurope, MikeMcBike, JacKc]
- Added driver for Centipede and Millipede [dink]
- Added driver for Popeye and Sky Skipper [dink]
- Emulate mosaic-effect in Takeda Shingen / Shingen Samurai Warrior [dink, iq_132]
- Fixed broken sprites in Mikie [dink, WILOWAR]
- Added driver for Wiz, Kung-Fu Taikun, Scion and Stinger [vbt]
- Added clone of Street Fighter Alpha 3 (USA 980616, SAMPLE Version) [Guru, JacKc]
- Added driver for Mr. Do`s Castle, Do! Run Run, Mr. Do`s Wild Ride, Jumping Jack and Kick Rider [dink]
- Added new clones for: Vigilante, Galaxy Force 2, & Super Cobra [Barry]
- Fixed ZetRunEnd(); in the Z80 cpu interface [dink]
- Added correct dump of VA63B.1A for Varth [Caius, The Dumping Union, JacKc]
- Fixed sound-rom loading for Wizard Fire [Barry]
- Added clone of Final Fight (900424 USA) [Bonky0013, JacKc]
- Added driver for Warp Warp [dink]
- Added clone of Oriental Legend (ver. 111, Korean Board) [Darksoft, JacKc]
- Fixed the loud beeping noise when the little guys jump on the enemy in Zupapa [dink]
- Improved inputs in Ladybug and Pac-Man by converting them to 4-Way mode [dink]
- Added driver for Mirax [dink]
- Fixed savestates in Konami's Roc 'n Rope [dink]
- Added driver for Qbert, Qbert's Qubes, Faster Harder More Challenging Qbert and Mad Planets [dink]
- Added driver for China Gate [iq_132]
- Properly clone-ize the Coleco game collection [dink]
- Some timing improvements for Gun.Smoke [dink]
- Improved timing in Commando - fixes some sounds/SFX, and glitching sprites [dink]
- Fixed sprite buffering in Ghosts and Goblins, fixes "jittery gravestones" when walking. Also fixed the boot-up messages [dink]
- Fixed a sprite wrapping issue in Son Son, certain sprites would disapear when they got too close to the edge of the screen [dink]
- Fixed and improved timing in Pirate Ship Higemaru [dink]
- Improved timing in Nemesis & Gradius, fixes glitchy video, proper laser & missile sounds [dink]
- Fixed broken sprites in Lethal Enforcers [dink]
- Added Sega decrypted romsets [Barry]
- Added driver for Chanbara [iq_132]
- Added New parent set for Ken-Go called Lightning Swords [System11, The Dumping Union, JacKc]
- Added Ken-Go (set 2) [caius, JacKc]
- Improved the timing in Snow Bros. Fixes slowdowns and other timing issues notable later in the game.[dink, Zazzone]
- Added .AVI-writer feature from FBAPlus, somewhat re-written and greatly improved. [dink, Gangta, JAVH, bms888]
- Added clone of Wonder Stick (set 2, censored) [Any, The Dumping Union, JacKc]
- Fixed music speed in Dingo [dink]
- Fixed music synchronization and SFX in Caveman Ninja (timer issue) [dink]
- Fixed PCM sample playback in the LastDuel driver [dink]
- Fixed screen priorities in the LastDuel driver [iq_132]
- Added good sprite dump of Led Storm 2011 Rally (US) [Guru, JacKc, iq_132]
- Added new parent of Led Storm Rally 2011 (World) [system11, JacKc]
- Added clone of Joe & Mac Returns (Japan, Version 1.2, 1994.06.06) [rtw, The Dumping Union, JacKc]
- Added clone of Sonic 1-FM v1.02 for SMS - info and patches @ http://www.smspower.org/Hacks/SonicTheHedgehog-SMS-FM-Mod [dink]
- Added Changes, Hopper Robo, Battle Cruiser M12, Hoccer and Wanted to the Marine Boy driver [dink]
- Fixed the positional mini-map in Rygar [dink]
- Fixed bg priorities and added volume attenuation to the flstory driver, fixes Onna Sansirou sprite issue, freeze-up at GAME OVER and missing pcm samples [dink]
- Added Rumba Lumber to the flstory driver [dink]
- Added driver for Konami's Jackal [iq_132, dink]
- Fixed music, add savestate support and fix crash on exit in Dynamite Duke [dink]
- Added driver for Taito's Super Rider [iq_132, dink]
- Added System 2 support to the Sega System 1 driver [vbt, dink]
- Fixed sound/music in Regulus [dink]
- Fixed sound/music in Driftout [dink]
- Added new NeoGeo BIOS and fixed various issues in the NeoGeo BIOS [Barry]
- Added clone of Air Duel [dink]
- Added clone of Forgotten Worlds (World, newer) [Bill D, The Dumping Union, Barry]
- Added bootleg of Cadillacs and Dinosaurs to the CPS-1 driver [Barry, Bonky0013]
- Added clone of The Punisher to the CPS-1 driver [Barry, Bonky0013]
- Improved analog controls in Forgotten Worlds [dink]
- Added Moggy Master and Geki oko Punpun to the Master System driver [dink]
- Added clone of Karate Blazers (World, set 2) [caius, JacKc]
- Added Tr-606 drumkit support to Kid Niki, Horizon, Spelunker and Spelunker II. Grab the public domain/royalty-free drumkit @ http://sharesend.com/32ux720g and throw it in "fba dir"\support\samples [dink]
- Fixed Kabuki-Z graphics issues making the game playable [dink]
- Fixed Kozure Ookami & Terra Force and is now fully playable. Also: Added color lookup-table feature to the sprite engine, which improves these games as well as Legion & Armed F. [dink]
- Added Raiders5, Nova2001 & Ninja Kun to the Penguin-Kun Wars driver [vbt w/help from dink & iq_132]
- Added Dig-Dug to the Galaga driver [dink]
- Added Pack 'n Bang Bang to the Kaneko16 driver [dink]
- Added driver for Sky Kid Deluxe, Hopping Mappy, The Return of Ishtar, Genpei ToumaDen, Rolling Thunder & Wonder Momo on Namcos86 hardware [iq_132]
- Improved the sound/music in Finalizer [dink]
- Fixed coin insertion issues in Raiden 2 / DX [dink]
- Fixed player color in Spark Man [gamez fan]
- Fixed palette issue with Congo Bongo [dink]
- Enabled High score saving for a lot of classic games [dink]
- Updated the PGM sound-core (ICS2115) thus improving sound and music on all PGM-based games [iq_132]
- Added port of the Pokey sound-core to FBA and hooked it up to Atari Tetris [dink]
- Added driver for Bomb Bee, Cutie Q, Gee Bee, Kaitei Takara Sagashi, Navarone, and SOS [dink]
- Added driver for Mouser [vbt]
- Added driver for Toki no Senshi - Chrono Soldier [vbt]
- Added driver for UFO Senshi Yohko Chan [dink]
- Added driver for Wonder Boy in Monster Land [vbt]
- Added support for downloading localisation templates from the FB Alpha web-site into FB Alpha [Barry]
- Fixed issue with Dip Switches (increased max from 4 to 8) [Barry]
- Added compiling support for GCC 5.1.0 [Barry]
- Added compiling support for Visual Studio 2015 [Barry]
- Removed sample filename extensions from drivers [Barry]
- Updated lzma lib. to 15.08 [Barry]
- Updated the libpng library to v1.6.18 [barry]
- Synced sets with MAME 0.167 [barry, JacKc]

### v0.2.97.36

- Fix Time Pilot '84 palette banking. [iq_132]
- Added clone of Pang (bootleg, set 5) [f205v, Vincenzo Femia, JacKc]
- Added clone of Daioh (prototype) [CoolMod, trap15, iq_132]
- Added clone of Jigoku Meguri (Japan, hack?) [Tormod, JacKc]
- Added driver for Vastar and Planet Probe [iq_132]
- Fixed a handfull of broken games on Sega Master System [dink]
- Added FM sound capability to the Sega Master System, better integration and remove external dependancies [dink, Barry]
- Added ability to use CD-Quality soundtrack from the Sega Saturn version of DonPachi [iq_132, dink]
- Added feature to trim silence at the end of looped samples in the sample playback core [dink]
- Small improvement to the ESP Ra.De virtual mixer [dink]
- Added Trap15's nice sheild warning mod DIP setting for GunNail [Trap15, dink]
- Added clone of Same! Same! Same! NEW VER! (v1.00 by Trap15) [Trap15, JacKc]
- Added clone of Ketsui Kizuna Jigoku Tachi (Arrange Mode version 1.7 by Trap15) [Trap15, JacKc]
- Added Alex Kidd in Radaxian Rumble, Bruce Lee, DARC, Hong kil Dong and Lambo to the SMS driver [dink]
- Added several fixes for the SDL version of FBAlpha [Dmitry Smagin]
- Added ZetSetSP() and fix ZetSetHL() in the z80 interface [dink]
- Fixed Toki palette recalculation [iq_132, ArcadeTV]
- Added more simulation to Chelnov's MCU [iq_132]
- Fixed null file crash with T7Zipped romsets [Barry]
- Added Metal Slug 2 - Super Vehicle-001/II Turbo(NGM-9410) (slowdown fix) [Trap15]
- Fixed map raster effect rowscroll offset in Ninja Baseball Batman [dink]
- Added clone of Hexion bootleg [System11, iq_132]
- Added clone of Scramble (Centromatic S.A.) Spanish Bootleg [Manuel Giron, JacKc]
- Added clone of Mutant Fighter (World EM-2) [Simon Dennison, JacKc]
- Added clone of Dragon World 3 (ver. 103, Japan) [arcademodbios, JacKc]
- Added clone of Red Hawk (Korea) [system11, JacKc]
- Added clone of Robocop 2 (US v0.10) [Bill D, The Dumping Union, JacKc]
- Added clone of Super Puzzle Fighter II Turbo (Euro 960529) [fluxcore, idc/Team Avalaunch, JacKc]
- Added clone of Hot Bubble (Korea) [system11, The Dumping Union, JacKc]
- Added clone of Thunder Deity Biography (Chinese hack of Battle Garegga) [caius, JacKc]
- Added clone of Willow (World) [Jets (from Emu-france) and Layer (from Neo-arcadia), JacKc]
- Added clone of Adventure Quiz Capcom World 2 (Japan 920611, B-Board 91634B-2) [Bonky, JacKc]
- Added clone of Battle K-Road (Korean PCB) [Manuel Assoni, JacKc]
- Added clone of X-Men (2 Players ver UAB) [Andrew Welburn, The Dumping Union, JacKc]
- Fixed the eerie/droning background noise in Galaxian and King & Balloon [dink]
- Fixed freeze after character selection in Oriental Legend Super [iq_132]
- Windows 10 support [barry]
- Updated the libpng library to v1.6.17 [barry]
- Synced sets with MAME 0.161 [barry, JacKc]

### v0.2.97.35

- Fixed VS Block Breaker / Saru-Kani-Hamu-Zou on Super Kakeko Nova System is now fully working/playable [dink]
- Fixed Ken-Go on Irem m72 hardware [dink]
- Fixed graphics glitching/screen flashing in Mr. Heli / Battle Chopper [dink]
- Fixed bad static/clipping noise on several Neo-Geo games (Art of Fighting, Football Frenzy, etc) with FM Interpolation [dink]
- Fixed unclear/staticy sample/instruments in all games on Irem m72 hardware [dink]
- Fixed sound in Renegade, replacing custom ADPCM with MSM5205 [barry, Alex Jackson]
- Reduced MSVC compiler optimisation level (fixes Tetris Plus 2 and maybe others) [barry]
- Fixed Thunder Dragon 2 sprite priorities and missing instruments/sounds [dink]
- Fixed background glitching in level 2 of R-Type Leo [dink]
- Fixed Turbo Force sprite priorities [dink]
- Fixed broken music in Hammer Away level 2+, including a fix to the rf5c68 pcm core buffer handling [dink]
- Fixed distorted music in Air Duel after the level 1 boss [dink]
- Fixed Karnov - broken after updating to the latest Musashi core [dink]
- Fixed Vapor Trail running too slow (vblank timing) [dink]
- Fixed Land Stalker (Megadrive), hang after character selection [dink]
- Fixed SFX and music in Bucky O'Hare, improve synchronization [dink, iq_132]
- Fixed Sega GP Rider hang at start [dink]
- Fixed highlights in Mystic Warriors and other konamigx games [iq_132]
- Added driver for SunA 8-bit games: Hard Head, Hard Head 2, Super Ranger, Sparkman and Star Fighter [iq_132]
- New Game Info feature, with history.dat support, pcb, marquee, in-game, boss, marquee, flyer, pcb and more [Barry]
- Add Aetherbyte Santatlantean to the PC Engine driver [dink]
- Misc. Konami driver cleanups [iq_132]
- Preserve NEC v25/v35 decode pointer on state load/save, fixes savestate issues with Ken-go and other V25/V35 games that use encryption [dink]
- Added driver for Tecmo Bowl [iq_132]
- Fixed MSM5205 sound in Tecmo Bowl [barry]
- Added driver for Zaxxon, Super Zaxxon and Congo Bongo [vbt, iq_132]
- Added Fantasy Zone Time Attack bootleg to the Sega System-16B driver [Barry]
- Fixed Battle Bakraid crash in level 5 at the first mid-boss [dink]
- Added Battle Garegga Zakk version [dink]
- Added clone of Dungeons & Dragons - Shadow Over Mystara (960208 Asia) [ArcadeHacker, The Dumping Union, JacKc]
- Fixed warped record tempo effect in Exed Exes and Vulgus [dink]
- Fixed music and flipped screen-on-coinup issue in Terra Cresta [dink]
- Fixed music in the game Blue Print [dink]
- Added game Grasspin to the Blue Print driver [dink]
- Added driver for Gulf Storm, The Last Day, Pollux, Blue Hawk, Sadari, Flying Tiger, Gun Dealer '94, Super-X, R-Shark and Pop Bingo on Dooyong hardware [iq_132]
- Added Uncle Poo to the Jack and the Giantkiller driver [dink]
- Added clone of Capcom World 2 (920611 Japan, alt) [Bonky0013, manimani, JacKc]
- Added driver for Konami's Finalizer [iq_132]
- Added clone of Battle K-Road (alternate sound) [Manuel Assoni, JacKc]
- Slightly improved the music/sfx in Wyvern-F0 [dink]
- Sync the Psychic5 driver romsets with MAME [JacKc]
- Added driver for Konami's Rock 'n Rage [iq_132]
- Added driver for Konami's Blades of Steel [iq_132]
- Added driver for Konami's Jail Break [iq_132]
- Added game Come Back Toto on Snow Bros. / Hyper-Pac hardware [system11, David Haywood]
- Preserve AY8910 port handler pointers on state load/save, fixes savestate stability issues [dink]
- Added driver for Konami's Battlantis [iq_132]
- Fixed slowdowns/sprite flicker/crash on exit in several Dataeast Dec8 games [dink]
- Added Birdie Try to the Dataeast Dec0 driver [gamezfan, dink]
- Fixed the music tempo fluxuations in Vapor Trail and Crude Buster [dink]
- Fixed mis-aligned sprite:bg layer in Vapor Trail [dink]
- Fixed slowdowns in Air Buster [dink]
- Improved the sound in 1942 [dink]
- Fixed music in Pocket Gal Deluxe [dink]
- Added driver for Konami's Labyrinth Runner / Trick Trap [iq_132]
- Added driver for Konami's Iron Horse [iq_132]
- Sega SG-1000 driver improvements - add games to the clone tree, fixed most non-working games [dink]
- Hooked up Analogue steering for Konami GT, Red Force and Hyper Crash [dink]
- Fixed lost irq state in the 68k core with savestates, fixes Gradius II's savestates [dink]
- Added PuzzLove to the Silver Millenium driver [iq_132]
- Added driver for Konami's Circus Charlie [iq_132]
- Added clone of Side Arms - Hyper Dyne (US, 861202) [system11, JacKc]
- Fixed graphics issues in Marine Boy level 4+ [dink]
- Correct rom names for the Pang / Buster Bros. sets. [Bad A Billy, Smitdogg, Tormod, The Dumping Union, JacKc]
- Hook up filters to Pooyan and fix music [dink]
- Added driver for Konami's Tutanham [iq_132]
- Added driver for Roc 'n Rope [iq_132]
- Added driver for MegaZone [iq_132]
- Added driver for Time Pilot/Space Pilot [iq_132]
- Added driver for Time Pilot '84 [iq_132]
- Fixed music, sound and sprite flickering in Gyruss [dink]
- Standardized IRQ status and RAM/ROM mapping amongst the cpu cores [iq_132]
- Added ability to output to MONO in the sn76496 sound core [iq_132]
- Fixed occasional missing explosion sound trigger in Galaga [dink]
- Added Sengoku 3 / Sengoku Densho 2001 (Evolution 1.0, FCHT hack) [JacKc]
- Fixed the alignment of the text layer in Pac-Land [dink]
- Added the ability to change the samplerate of the MSM6295 at any time [iq_132]
- Added driver for Legend of Makai, P-47, Kick Off, Takeda Shingen, Ninja Kazan, Astyanax, Hachoo!, Jitsuryoku!! Pro Yakyoo, Plus Alpha, Saint Dragon, RodLand, Phantasm, Avenging Spirit, Earth Defense Force, 64th Street, Soldam, Big Striker, Chimera Beast, Cybattler, Hayaoshi Quiz Ouza Ketteisen and Peek-a-Boo! on Jaleco Megasys1 hardware [iq_132]
- Added CPU_IRQSTATUS_HOLD (like _AUTO but with long ACK) to the Z80 interface [dink]
- Added the Sky Army tuturial driver [iq_132]
- Added clone of Asura Buster - Eternal Warriors (Japan) (ARCADIA review build) [ShouTime, JacKc]
- Added clone of Super Spacefortress Macross II / Chou-Jikuu Yousai Macross II (GAMEST review build) [ShouTime, JacKc]
- Added driver for Sega Master System and Game Gear [dink]
- Added blending effects to the tecmo16 driver to fix Riot's intro [iq_132]
- Added clone of Gemini Wing (World, bootleg) [f205v, Tirino73, JacKc]
- Added stereo capability and reset function to the SN76496 sound core [dink]
- Added driver for Pandora's Palace on Konami GX328 hardware [iq_132]
- Added preliminary driver for games on Alpha 68K hardware [barry]
- Fixed various issues in the localisation templates [barry]
- Added support to the interface for a third YM2203 [barry]
- Added dat file support for Sega Master System and Game Gear [barry]
- Added filter to Game Selection dialog for Game Gear [barry]
- Updated the libpng library to v1.6.16 [barry]
- Synced sets with MAME 0.159 [barry, JacKc]

### v0.2.97.34

- Ported Musashi 3.32 from MAME 0.128 [barry]
- Minor fixes to new Musashi port [dink]
- Fixed TLCS90 core, calculate the timer period based on the clock [dink]
- Fixed: the Z80 Vector should be reset to default on every reset Z80 Core [iq_132]
- Fixed buzzing sounds in the DAC [iq_132]
- Added multiple chip support to the YM3812 interface [barry]
- Added driver for Alien Invader [iq_132]
- Added driver for Knuckle Joe [iq_132]
- Added driver for Mario Bros. [iq_132]
- Added driver for Samurai Nihon-Ichi, VS Gong Fight, Mission 660, Go Go Mr. Yamaguchi, Nunchackun, and Lady Master of Kung Fu [iq_132]
- Added driver for Capcom's Side-Arms, Turtle Ship, Dyger, Twin Falcons and Whizz [iq_132, dink]
- Added driver for Space Invaders [iq_132]
- Added driver for Tetris Pro. 2 [iq_132]
- Added driver for XX Mission by UPL [iq_132]
- Added Hammer Away to the Sega System 18 driver [barry, haze, Atro, _rm_ aka Ricardo Marques, 1up aka Daniel "casebres"]
- Added clone of Darius to the Darius driver [barry, JacKc]
- Added clone of Cobra Command (Japan, bootleg) to the Data East DEC8 driver [f205v, JacKc]
- Added clone of Ninja Kid 2 - JT-104 to the Ninja Kid II driver [JacKc]
- Added clone of Dragon World II (V100H, Hong Kong) to the PGM driver [iq_132, JacKc, rtw]
- Added protection routines to Dragon World II (V100H, Hong Kong) in the PGM driver and marked as working [iq_132]
- Added clone of Raiden II to the driver [rtw, Smitdogg, Kranser, Mucci, Dullaron, B2K24, The Dumping Union, JacKc]
- Added clone of Dunk Shot to the Sega System 16B driver [JacKc, ShinobiZ & COY]
- Added clones of Cadash to the Taito Asuka driver [ShouTime, JacKc]
- Added clone of Teenage Mutant Hero Turtles to the Teenage Mutant Ninja Turtles driver [JacKc, caius]
- Added clone of Battle Bakraid - Unlimited Version (China) (Tue Jun 8 1999) to the Topalan-2 driver [JacKc, Bill D, The Dumping Union]
- Added clone of Vigilante to the Vigilate driver [iq_132, JacKc, system11]
- Added clone of Xain'd Sleena to the driver[f205v, JacKc]
- Added clone of Magic Bubble to the Yun Sung 16 driver [iq_132, JacKc, caius, The Dumping Union]
- Added prototypes of Zombie Raid to the Zombie Raid driver [JacKc, iq_132]
- WIP: Get sound working in Donkey Kong 3 - hook up the NES APU [iq_132]
- Fixed sprite corruption in Alien Syndrome when playing with the keyboard and up+down or left+right is pressed at the same time [dink]
- Fixed music playback speed in Arbalester [dink]
- Fixed occasional loud weird buzzing noise (DAC) in Armed Formation [dink]
- Fixed ymf278b sound in Asura Buster/Asura Blade [dink]
- Fixed Battle Shark, Space Gun and Night Striker - hang on level 2+ [dink]
- Black Tiger and F1 Dream: Lower SFX volume so the music can be heard better, add BurnYM2203SetPSGVolume macro to burn_ym2203.h [dink]
- Fixed colors in Cuebrick [Alex Jackson]
- Fixed Escape Kids Crashes during the boot sequence [dink]
- Small music mixing improvement in ESP Ra.De [the shmup kings, dink]
- Fixed choppiness in Gaiapolis on older pc's [dink]
- Fixed Gradius 3 in 16-bit color modes [Gamez Fan, iq_132]
- Fix misc. timing issues with Gradius 3 that appeared after the introduction of the new Musashi 68k core [barry, dink]
- Fixed Drumroll fade-in in Gradius 3 [dink]
- Fixed gun inputs in Konami's Lethal Enforcers, add a hack/gun-reload button [dink]
- Fixed Layer alignment in Metamorphic Force, it improves the intro and first boss graphical effects [iq_132]
- Fixed Moo Mesa and Xexex music out-of-key at 44100hz sample rate [dink]
- Fixed the ear-piercing sounds in Nostradomus and Magical Cat Adventure [dink]
- Fixed too much slowdown in Nostradamus, needs a little helping boost [dink]
- Fixed Operation Thunderbolt: gunshot sfx can only be heard in the left speaker [dink]
- Fixed music tempo/warped-record effect in Pang [dink]
- Fix Psychic 5 default DIP settings [dink]
- Fixed FB Alpha GFX Loading routine for Punch-Out!! and added correct color PROMs set for Super Punch-Out (Japan)!! [JacKc]
- Fixed Sand Scorpion won't boot after Raiden II/DX [dink]
- Fixed crash in Soko Nuke [dink]
- Fixed graphical issues/corruption in Konami's Special Project Y (spy) [iq_132]
- Fixed flickering status for players 2, 3 and 4 in Sunset Riders [dink]
- Fixed Surprise Attack by Konami now runs at the right speed [dink]
- Fixed music tempo/warped record effect in Trojan, Avengers, Section-Z, fix PCM/MSM5205 samples in Trojan [dink]
- Fixed the sounds in Konami's Yie Ar Kung-Fu and Mikie - some SN76489A soundchip commands were getting skipped because the chip updates needed to be interlaced [dink]
- Fixed Double Dragon II on Megadrive [dink]
- Fixed Gargoyles and Ex-Mutants in Megadrive (TAS Callback with new Musashi) [barry]
- Add Oh Mummy and Lego Batman to Megadrive, fix crash on Z80 <-> 68K communications [dink]
- Fixed more Megadrive games where PAL auto-detection fails, if you already have settings saved for these games, then set dips to default in the dialog [JacKc]
- Fixed crash in Samurai Showdown 5 and Garou with Alpha blend effects enabled [dink]
- New feature: auto-hide crosshair after 4 seconds for lightgun games [dink]
- Added 8x8 .blde support to Neo-Geo [iq_132]
- Added Alpha Blending/Transparency support to PGM - supports Nebula/Kawaks-style blend (.bld) files [iq_132]
- Misc. documentation updates to Neo-Geo driver [JacKc]
  - Identified and documented more sets (MVS and AES version) with different Cx and/or Px layout
  - Added redumped p1/p2 to fightfeva [DsNo]
  - s1 redump by DsNO has one byte diff at 0: 00 11 compared to MAME dump (probably a bitrot)
- Updated the libpng library to v1.6.15 [barry]
- Synced sets with MAME 0.156 [barry, JacKc]

### v0.2.97.33

- Added driver for Sand Scorpion (this was actually in last release but missed the what's new) [iq_132]
- Added hack of Samurai Shodown V to the Neo Geo driver [iq_132, JacKc]
- Fixed collisions in Zero Team, game is now working and enabled in release builds [gamez fan, dink]
- Note: Zero Team, Raiden II and Raiden DX need the insert-coin button to be held down a little longer than usual
- Fixed sound in Shaolins Road driver [dink]
- Fixed tilemap scrolling in Shaolins Road driver [barry]
- Fixed service mode in Violent Storm [iq_132]
- Fixed some Megadrive games where PAL auto-detection fails, if you already have settings saved for these games, then set dips to default in the dialog (Comix Zone, Jimmy White's Whirlwind Snooker, and Robocop v Termininator) [barry]
- Fixed bug with incomplete translation templates [barry]

### v0.2.97.32

- Added proper saving of cpu registers/variables to M6800/6801/6803/HD63701 core [dink]
- Added support for NMK004. Special thanks to Trap15! [Trap15, Haze, iq_132]
- Standardized CPU related functions [iq_132]
- Fixed delta calculation and proper sample size checking in the MSM6295 core, fixes missing samples in some NMK004 games (and possibly others) [dink]
- Fixed mixing distortion/crackles in K054539 sound core [dink]
- Improved the quality of the voice samples in the K053260 sound core (The Simpsons and possibly other Konami games) [AWJ]
- Added driver for DJ Boy [iq_132]
- Added driver for Konami's Asterix [iq_132]
- Added driver for Konami's Bishi Bashi and Super Bishi Bashi Championship Minigames[iq_132]
- Added driver for Konami's Dragonball Z and Dragonball Z 2 - Super Battle hardware [iq_132]
- Added driver for Konami's G.I. Joe [iq_132]
- Added driver for Konami's Lethal Enforcers [iq_132]
- Added driver for Konami's Mystic Warriors (and other games on the hardware) [iq_132]
- Added driver for Konami's Shaolins Road [iq_132]
- Added driver for Konami's Wild West C.O.W.-Boys of Moo Mesa and Bucky O'Hare [iq_132]
- Added driver for Konami's Yie-Ar Kung Fu [iq_132]
- Added driver for Konami's Xexex [iq_132]
- Added driver for Raiden II, Raiden DX, X Se Dae Quiz and Zero Team [iq_132]
- Added driver for Colecovision games [iq_132, dink]
- Added driver for Sega SG-1000 games [iq_132, dink]
- Added Shogun Warriors and B.Rap Boys to Kaneko16 driver [iq_132]
- Added Candory (James Greenhalgh) to the Pacman driver [iq_132]
- Added bootleg of Street Fighter II - The World Warrior to the Capcom CPS-1 driver [barry, any, JacKc]
- Added bootleg of Varth to the CPS-1 driver [Barry, Caius]
- Added clone of 19XX: The War Against Destiny to the Capcom CPS-2 driver [system11, The Dumping Union, JacKc]
- Added clone of Mega Man: The Power Battle to the Capcom CPS-2 driver [Asure, JacKc]
- Added clone of Super Street Fighter II: The New Challengers to the Capcom CPS-2 driver [palindrome, JacKc]
- Added clone of Secret Agent to the DataEast driver [ShouTime, The Dumping Union, JacKc]
- Added hack of Donkey Kong to the Donkey Kong driver [Clay Cowgill, JacKc]
- Added clone of Fantasia to the Gals Panic [system11, JacKc]
- Added clone of The Simpsons to the Konami Simpsons driver [Ben76, JacKc]
- Added clone of Vendetta to the Konami Vendetta driver [caius, JacKc]
- Added hack of The King Of Fighters '98 to the Neo Geo driver [JacKc]
- Added hack of The King of Fighters '99 to the Neo Geo driver [JacKc]
- Added hack of The King Of Fighters 2000 to the Neo Geo driver [JacKc]
- Added clone of Robo Army to the Neo Geo driver [JacKc]
- Added clone of Search Eye to the NMG5 driver [system11, The Dumping Union, JacKc]
- Added clone of Ms. Pac-Man to the Pacman driver [elnaib (AUMAP), JacKc]
- Added clone of Oriental Legend / Xi You Shi E Zhuan to the PGM driver [bytestorm, JacKc]
- Added clone of Bonze Adventure (World, Prototype) to the Taito Asuka driver [Silvio Grazini, iq_132]
- Added clone of Growl to the Taito F2 driver [barry]
- Added clone of Jumping to the Taito Misc driver [barry]
- Added clone of F-1 Dream to the Tiger Road driver [JacKc]
- Added clone of Dr. Toppel's Adventure to the TNZS driver [caius, f205v, JacKc]
- Added The Mojon Twins': UWOL Quest for Money to the Megadrive driver [dink]
- Added SMB4MD 1.4.2 aka Super Mario Bros. port to the Megadrive driver [dink]
- Added Atherbyte's Reflectron to the PCEngine driver [dink]
- Added proper protection simulation to 1943 [iq_132]
- Fixed The Irritating Maze [iq_132, JacKc]
- Fixed boblbobl2 [Darq, iq_132]
- Fixed Tail2Nose [iq_132]
- Fixed and tweaked IREM M92 driver to get Ninja Baseball Batman running perfectly [iq_132, dink]
- Fixed IRQ timing in Mustache Boy, now he runs at the right speed [dink]
- Fixed skewed backgrounds in In the Hunt on IREM M92 [dink]
- Fixed Kero Kero Keroppi's Let's Play Together (USA) [csmart, iq_132]
- Fixed Robocop 2 Driving level and sprite offset [iq_132, dink]
- Improvements to Data East's BackFire in single-screen mode [iq_132]
- Konami driver-update - fixed sprite-priority problems and clipping. Added shadows. Affects Vendetta, Escape Kids, TMNT2 and more [iq_132]
- Fix sprite flipping in the Konami K053247 core [iq_132]
- Fixed text layer in Kotetsu Yousai Strahl [iq_132]
- Fixed flickering score and player status in Sunset Riders [dink]
- Fix statusbar and power-up message clipping in Bioship Paladin [dink]
- NMK16 driver fixups: missing score line in tdragon, hachamfb and VanDyke, clipped text in Strahl [dink]
- Tweaked the IRQ timing in the NMK16 driver to fix the Life-bar in VanDyke [dink]
- Fixed missing top line in the game statusbar for Acrobat Mission, Air Attack, S.S. Mission (NMK16) [dink]
- Fix and hook-up the seibusound device to the NMK16 bootlegs Thunder Dragon (tdragonb) and US AAF Mustang (mustangb) [iq_132]
- Fixed missing sound in Galaga and Rally-X [barry]
- Fixed music tempo in Raiden [iq_132, dink]
- Fixed music in Air Duel on IREM M72 Hardware [dink]
- Fixed sound in Dragon Master [iq_132]
- Fixed clicks when firing and slow music tempo in S.S. Mission [dink]
- Fixed Dolmen and Twin Action: sound banking issues (music disappears on level2+) [dink]
- Fixed occasional hung sound in Green Beret [dink]
- Added proper Seibu Sound device to Toki [iq_132]
- Fixed sound panning in Cyber Tank [dink]
- Updated kof99ae driver to 20140801 version [JacKc]
- Megadrive timing and other improvements [barry, dink]
- Megadrive window drawning fix (missing line in Streets of Rage) [barry]
- Fixed Psy-O-Blade on Megadrive [iq_132]
- Added protection patch for Puggsy on Megadrive [dink]
- Fixed Megadrive Ghouls`n Ghosts (Euro, USA, Kor, Rev. A) (md_ghouls) and Ghouls`n Ghosts (Euro, USA) (md_ghouls1) [dink]
- Fixed X-Men 2 and Moonwalker on Megadrive [dink, Freddy]
- Fixed Alien Soldier (PAL) on Megadrive won't boot, is wrongly detected as NTSC [dink]
- Fixed broken reset with some Megadrive games, get rid of the garbage line at the bottom of the screen [dink]
- PCEngine sound-core and timing improvements [dink, barry]
- Increased screen size by 2 pixels for PCEngine Side-Arms Hyperdyne [dink]
- Fixed savestates for IREM M62 Hardware - Kung-Fu Master, The Battle Road, Lode Runner I - IV, LotLot, Kid Niki, Spelunker, Youjyuden and Horizon [dink]
- Fixed savestates for Pac-Land, Sky Kid, Dragon Buster [dink]
- Fixed savestates and Music for Baraduke, Alien Sector and Metro-Cross [dink]
- Added more powerful BurnLoad function for loading roms [iq_132]
- Added Alpha Blending/Transparency support to Neo Geo, CPS-1 and CPS-2 - supports Nebula/Kawaks-style blend (.bld) files [iq_132]
- Added user configurable path for blend files and global enable/disable option [barry]
- Added a shiny new Auto-Fire feature! [dink]
- Input editor feature: clear input and clear-lock checkbox [dink]
- Added option to disable support folder creation on creation [barry]
- Added default rom paths for consoles to the folder creation startup routine [JacKc, barry]
- Savestate Undo improvement: display an error message if there is nothing to be undone, don't undo the last savestate [dink]
- Added ability to input-map Pause, FFWD, Save/Load/Undo States [dink]
- Game selection dialog search box can now search hardware/system text (eg, NMK) [dink]
- Tidy-up source code fixing compile warnings and portability issues [barry]
- Updated the libpng library to v1.6.13 [Barry]
- Synced sets with MAME 0.155 [barry, JacKc]

### v0.2.97.31

- Added driver for Psychic 5 [Barry, iq_132]
- Added clone of Toki to the driver [JacKc]
- Preliminary savestate support for the Megadrive driver [dink]
- Fixed an issue with the Enhanced D3D blitter [dink]

### v0.2.97.30

- Ported K005289 sound core from MAME [iq_132]
- Ported MSM5232 sound from MAME and updated Fairyland Story to use it [iq_132]
- Fixed mixing in the MSM5232 core [Barry]
- Ported NES APU core from MAME [iq_132]
- Ported T5182 device from MAME [iq_132]
- Ported TMS34061 video chip from MAME [iq_132]
- Ported VLM5030 sound core from MAME [iq_132]
- Added support for new modules to debug tracking [Barry]
- Fixed interpolation for the YM2203 interface [Barry, dink]
- Fixed a pointer overwrite issue in the M68K driver on savestate load [dink]
- Fixed blank game screen when the system returns from Hibernation [dink]
- Fixed loss of Music & SFX on savestate load with games using the YM2151 sound chip [dink]
- Fixed savestates with multiple chips and fix for setting singular channel volume in K007232 core [dink, iq_132]
- Fixed savestates in Irem GA20 sound core [iq_132]
- Fixed bug in generic sprite zoom drawing routines [iq_132]
- Fixed idle skip (timers) & crash with FAST_OP_FETCH in SH-2 CPU core [dink]
- Added driver for Choplifter (unprotected, working) and Choplifter (bootleg, working) to Sega System1 (Parent ROM NW) [vbt]
- Added driver for Mighty Warrior, Steel Force & Twin Brats on Elettronica Video-Games S.R.L hardware [iq_132]
- Added driver for Capcom Bowling [iq_132]
- Added driver for Fire Barrel/Air Assault, Dream Soccer '94, Kick for the Goal & World PK Soccer on Irem M107 hardware [iq_132]
- Added driver for The Lost Castle In Darkmist [iq_132]
- Added driver for Mikie/Shinnyuushain Tooru-kun (Konami) [iq_132]
- Added driver for Mustache Boy [iq_132]
- Added driver for Nemesis/Gradius, Salamander/Lifeforce, Twinbee, Galactic Warriors, Konami GT, Red Fighter, Black Panther, City Bomber, Kitten Kaboodle/Nyan Nyan Panic & Hyper Crash on Konami GX400 hardware [iq_132]
- Added driver for Punch Out [iq_132]
- Added driver for Kaneko Super Nova hardware (Cyvern, Sengeki Striker, Puzzloop, Guts'N, Jan Jan Paradise 1 & 2, Sen-Know, VS. Block Breaker) [iq_132, dink]
- Added driver for Tail 2 Nose [iq_132]
- Added driver for Wyvern F-0 [iq_132]
- Added driver for Xain'd Sleena/Solar Warrior [iq_132]
- Added driver for Exzisus (Taito) [iq_132]
- Added driver for Ninja-Kid II, Mutant Night, Ark Area, Atomic Robo-kid, Omega Fighter & Omega Fighter Special on UPL Hardware [iq_132]
- Added TLCS90 CPU Core [iq_132]
- Hooked-up the TLCS90 audiocpu core to Arcadian/Rapid Hero enabling Music & SFX [iq_132]
- Enable stereo Music & SFX in Thunder Cross 2 by default (delete your old config/games/thndrx2.nv, if available) [iq_132 & dink]
- Updated the protection emulation for Uballoon and Alien Challenge [iq_132]
- Added Crouching Poney Hidden Dragon (DEMO) (Le Cortex) to the Neo Geo driver [iq_132, JacKc]
- Added SDI - Strategic Defense Initiative (Japan, old, System 16A, FD1089B 317-0027) [JacKc]
- Added Dolem to the NMK16 driver [iq_132]
- Fixed PCB version of Spectral vs Generation [iq_132, rtw, David Haywood]
- Added bootleg of 1942 to the driver [JacKc]
- Added clone of 4 En Raya to the driver [JacKc, Unigame]
- Added clone of Black Tiger to the driver [JacKc, Bonky0013, iq_132]
- Added clone of Bubble Bobble to the driver [JacKc, Bisboch and Aladar]
- Added clone of Commando to the driver [JacKc, Kevin Eshbach]
- Added clone of Crude Buster to the driver [JacKc, system11]
- Added bootleg of Cadillacs and Dinosaurs to the CPS-1 driver [JacKc, Bonky0013, The Dumping Union]
- Added clone of Final Fight to the CPS-1 driver [JacKc, Smitdogg, The Dumping Union]
- Added bootleg of Final Fight to the CPS-1 driver [JacKc]
- Added clone of Nemo to the CPS-1 driver [muddymusic]
- Added clone of Street Fighter II to the CPS-1 driver [JacKc, Tormod, Layne, Smitdogg, The Dumping Union]
- Added clone of Street Fighter II to the CPS-1 driver [JacKc, Yohji, Kevin Eshbach, bodger319, Smitdogg, The Dumping Union]
- Added clone of Street Fighter II to the CPS-1 driver [JacKc, Kevin Eshbach, Bill D., Layne, Smitdogg, The Dumping Union]
- Added clone of Street Fighter II to the CPS-1 driver [JacKc, Any, The Dumping Union]
- Added clone of Street Fighter II - champion edition to the CPS-1 driver [JacKc, Andrew Welburn, The Dumping Union]
- Added clone of Street Fighter II - champion edition to the CPS-1 driver [JacKc, iq_132, Barry]
- Added clone of Street Fighter II - champion edition to the CPS-1 driver [JacKc, Drakon]
- Added clone of Street Fighter II - champion edition to the CPS-1 driver [JacKc, Barry, any]
- Added clone of Street Fighter II - champion edition to the CPS-1 driver [JacKc, any]
- Added bootleg of 1944 - the loop master to the CPS-2 driver [JacKc]
- Added rent version of 19XX to the CPS-2 driver [Barry, JacKc, Tormod]
- Added clone of Armored Warriors to the CPS-2 driver [JacKc, system11, The Dumping Union]
- Added bootleg of Cyberbots: Fullmetal Madness to the CPS-2 driver [JacKc, Yohji, Smitdogg, The Dumping Union]
- Added clone of Dungeons & Dragons: Tower of Doom to the CPS-2 driver [JacKc, tormod, The Dumping Union]
- Added bootleg of Mighty! Pang to the CPS-2 driver [JacKc]
- Added clone of Street Fighter Alpha to the CPS-2 driver [JacKc, Smitdogg, The Dumping Union]
- Added clone of X-Men Vs. Street Fighter to the CPS-2 driver [JacKc, Smitdogg, The Dumping Union]
- Added clone of Street Fighter III to the CPS-3 driver [JacKc, Layne, Smitdogg, The Dumping Union]
- Added clone of Street Fighter III to the CPS-3 driver [JacKc, Smitdogg]
- Added clone of Street Fighter III to the CPS-3 driver [JacKc, Bonky0013]
- Added bootleg of Robocop to the DEC-0 driver [JacKc, any]
- Added clone of Donkey Kong to the driver [JacKc, Matt Ziolkowski, Rob Rings]
- Added clone of Donkey Kong Jr to the driver [JacKc, Chris Psaros]
- Added clone of Funky Jet to the driver [JacKc, Arzeno Fabrice, The Dumping Union]
- Added clone of Dragon Bowl to the Gaiden driver [iq_132, JacKc]
- Added clone of Galaxian to the driver [JacKc, DamagedGoods]
- Added clone of Galaxian to the driver [JacKc, Roselson from AUMAP]
- Added bootleg of Scramble to the Galaxian driver [JacKc, Basilio Garcia]
- Added clone of Fantasia to the Gals Panic driver [JacKc, system11]
- Added two clones of Miss World '96 (Nude) to the Gals Panic driver [JacKc, system11]
- Added clone of New Fantasia to the Gals Panic driver [JacKc, system11]
- Added two clones of Gals Hustler to the Gals Panic driver [iq_132]
- Added bootleg of Gun Smoke to the driver [JacKc, Felipe Sanches]
- Added clone of Cookie & Bibi to the Hyper Pacman driver [JacKc, any, David Haywood]
- Added bootleg of Snow Bros. to Hyper Pacman driver [Barry, JacKc, The Dumping Union, David Haywood]
- Added clone of Ikari III to the Ikari III driver [JacKc, DsNo, jysx012]
- Added clone of Bomber Man World to the Irem M90 driver [JacKc, Artemio Urbina, The Dumping Union]
- Added clone of The Berlin Wall to the Kaneko 16 driver [JacKc, system11]
- Added clone of Trojan to the Legendary Wings driver [JacKc, any]
- Added clone of Pang to the Mitchell driver [JacKc, any]
- Added clone of Last Blade to the Neo Geo driver [JacKc]
- Added support for Universe BIOS 3.1 to the Neo Geo driver [Razoola, iq_132, Jackc]
- Added clone of Multi 5 / New Multi Game 5 to the NMG5 driver [JacKc, system11]
- Added clone of Guardian Storm to the NMK16 driver [JacKc, Shoutime]
- Added clone of Rapid Hero to the NMK16 driver [Barry, JacKc, Brian Troha, system11]
- Added clone of Spectrum 2000 to the NMK16 driver [iq_132]
- Added clone of Pacman to the Pacman driver [JacKc, AUMAP]
- Added clone of DoDonPachi Dai-Ou-Jou to the PGM driver [JacKc, djvinc]
- Added clone of Happy 6-In-1 to the PGM driver [JacKc, rtw, iq_132]
- Added clone of Ketsui Kizuna Jigoku Tachi to the PGM driver [JacKc, Artemio Urbina]
- Added clone of Knights of Valour Super Heroes Plus / Sangoku Senki Super Heroes Plus to the PGM driver [JacKc, XingXing]
- Added clone of Knights of Valour: Quan Huang San Guo Special / Sangoku Senki: Quan Huang San Guo Special to the PGM driver [JacKc]
- Added clone of Knights of Valour 2 - Nine Dragons to the PGM driver [JacKc, 69mustang, iq_132]
- Added clone of Excelsior to the Playmark driver [JacKc, Bonky0013, The Dumping Union]
- Added clone of Bouncing Balls to the Pushman driver [JacKc, system11, The Dumping Union]
- Added clone of Fire Shark to the Same Same driver [JacKc, ShouTime, The Dumping Union]
- Added bootleg of Altered Beast to the Sega System 16B driver [Barry]
- Added clone of Altered Beast to the Sega System 16B driver [JacKc, Chris Hardy, Andreas Naive]
- Added clone of Cotton to the Sega System 16B driver [JacKc, Charles MacDonald, ShouTime, The Dumping Union]
- Added clone of Dynamite Dux to the Sega System 16B driver [Barry, JacKc]
- Added clone of E-Swat to the Sega System 16B driver [Barry, JacKc]
- Added clone of Out Run to the Sega Out Run driver [JacKc]
- Added clone of Turbo Out Run to the Sega Out Run driver [JacKc, Charles MacDonald, ShouTime, The Dumping Union]
- Added clone of After Burner II to the Sega X-Board driver [JacKc, Andrew Welburn, The Dumping Union]
- Added clone of Strike Fighter to the Sega Y-Board driver [JacKc, ShouTime, The Dumping Union]
- Added Yukiwo to the Taito B driver [iq_132, Unigame, David Haywood, JackC]
- Added clone of Cadash to the Taito F2 driver [JacKc, Unigame]
- Added clone of Chase HQ to the Taito Z driver [JacKc, any]
- Added clone of Enforce to the Taito Z driver [JacKc, Barry]
- Added clone of Racing Beat to the Taito Z driver [JacKc, ShouTime]
- Added two bootlegs of World Cup '90 to the driver [JacKc, any]
- Added clone of Zero Wing to the driver [JacKc, System11, The Dumping Union]
- Added clone of Double Dragon II - The Revenge (bootleg) to the Double Dragon driver [Barry]
- Added clone of Saulabi Spirits / Jin Saulabi Tu Hon (Korean release of Samurai Shodown II, set 2) from Winkawaks 1.63 [JacKc]
- Added clone of Passing shot: Center Court (prototype, MC-8123B) to the Sega 16B driver [Alan Meades, Porchy, JacKc]
- Added clone of The King of Fighters '96 (Anniversary Edition 2.0.0296, EGHT hack) to the Neo Geo driver [JacKc]
- Fixed Gauntlet by going back to the previous Slapstic implementation [Barry]
- Fixed crash in Oriental Legends Super intro [iq_132]
- Updates to PGM protection routines [iq_132, rockywall, Creamy Mami, JacKc, iq_132]
- Various PGM updates/fixes [iq_132]
- CPS-3 sound updates [iq_132, Captain CPS-X]
- Small improvement to the MSM6295 core [iq_132]
- Various sound clipping fixes [dink]
- Sound tweaks/improvements for Legendary Wings, Armed Formation & Puzzle de Bowling [dink]
- Updated the YMF278b soundchip driver, notably improving the Music & SFX in Tengai [dink]
- Small update to FM.C sine initialization table improves the clarity of some FM sound emulations [dink]
- Fixed clipping/distortion with PCM sample playback in Enduro Racer [dink]
- Moved the YM2608 internal ROM to an external file (ym2608.zip) [Barry]
- PC Engine update [iq_132]
- Fixed Battle Garegga savestate load crash [dink]
- Fixed sound desync in Tengai and tile corruption in Samurai Aces on savestate load [dink]
- Added savestate capability to Irem M72 driver - R-Type, R-Type II, Ninja Spirit, Mr. Heli, X-Multiply, Dragon Breed, Hammerin' Harry, Cosmic Cop, Legend of Hero Tonma, Air Duel [dink]
- Fixed savestate load crash for Aero Fighters, Sonic Wings, Turbo Force, Spinal Break and Karate Blazers [dink]
- Fxied savestate load crash for Raiden [dink]
- Added savestate capability to NMK16 driver - Bombjack Twin, Thunder Dragon 2, Twin Action, US AAF Mustang, Stagger (RedHawk), Guardian Storm, Fire Hawk, GunNail, Saboten Bombers, Super Spacefortress Macross [dink]
- Added savestate capability to Kangaroo driver [dink]
- Fixed palette issues on savestate load with DataEast Act Fancer [dink]
- Fixed stuck noise at the end of short samples in games that use the Toaplan samples hack. FireShark, SameSameSame!, Ghox, Vimana and TekiPaki [dink]
- Fixed Toaplan samples hack and savestates, and added loading samples status [dink]
- SFX lost after savestate load in NMK004 games, Super Spacefortress Macross and possibly others [dink]
- Probable fix for Toaplans FixEight hang on savestate load [dink]
- Various NMK16 fixes [dink]
- Fixed crash on savestate load for Visco/Taito Galmedes [dink]
- New gun rotation method for Heavy Barrel and Midnight Resistance & fix for Heavy Barrel level transistion after level 2 [dink]
- Fixed savestates for games that use the SN76496 soundchip [dink]
- Fixed savestates for Pacman S2650 games [dink]
- Fixed savestate load crash and sound/music volume in The New Zealand Story new pcb [dink]
- Fixed speed issue in Contra [dink]
- Fixed tilemaps in Contra [Barry]
- Fixed Ash No Joe save states [iq_132]
- Fixed The New Zealand savetates [dink]
- Reorganised some inputs to support kaillera (Contra, Double Dragon I - III, TMNT, Sunset Riders, M.I.A., Green Beret) [dink]
- Windows savestate enhancements - shift-F8 for savestate undo, 10 levels of undo for each slot [dink]
- Show savestate messages (prev/next slot, load & save) while paused [dink]
- Fix savestates for YM2151, UPD7759 and clipping/distortion in UPD7759 [dink]
- Added savestate support to Toki driver [dink]
- Added savestate support to Donkey Kong driver [dink]
- Fixed missing music in Sol Divide [dink]
- Fixed sound effects and cutscene/music timing in Gun Smoke [dink]
- Fixed reset causes crash in Wonder Planet, Karnov and Chelnov - Atomic Runner [dink]
- Fixed reset in The Berlin Wall [dink]
- Fixed sound effects and music in GunNail [dink]
- Fixed music in Spinal Breakers (Z80 banking issue) [dink]
- Fixed corrupted graphics in the last couple levels of Spinal Breakers [iq_132]
- Added savestate cability to Fairyland Story [dink]
- Save all screens when saving states with multiple TC0100SCN chips, fixes savestates for Darius II, Ninja Warriors and Rastan 3 - Warrior Blade [dink]
- Impoved analog controls in Afterburner [dink]
- Fixed speed in Joe & Mac Returns [dink]
- Fix for the graphical glitches on the volcano level in Caveman Ninja [dink]
- Fixed sprite priority and colours in Psycho-nics Oscar [dink]
- Improved Irem M92 driver savestates [dink]
- Interleave the CPUs in Battle Shark to avoid game crashing on level 2 [Barry]
- Fixed music in Masked Riders Club Battle Race and Mad Shark [dink]
- Fixed music in War of Aero - Project MEIOU [dink]
- Fixed sample banking issues with Eight Forces, Blandia and Gundhara [dink]
- Fixed pallete after loading savestate in Gaelco driver [dink]
- Fixed savestates in The Main Event driver [dink]
- Fixed wrong sounds and music in Green Beret [dink]
- Fixed sprite priority issue in Konami's Ajax/Typhoon [Barry]
- Fixed sfx volume fluxuations in Ajax driver [dink]
- Added third button to Warriers of Fate: Sangokushi II [dink]
- Fixed loud crashing noise in Scramble! and Super Cobra [dink]
- Fixed NMK16 sprite rendering [iq_132]
- Fixed graphics issues in Guardian/Tiger Heli/Slap Fight [iq_132]
- Added Performan (Toaplan/Dataeast) to the Slap Fight driver [iq_132]
- Fixed cheats in Z80 based games [iq_132]
- Fixed sound effects in Task Force Harrier [dink]
- Fixed 32bpp is now possible with the Enhanced (Direct3D) blitter [dink]
- Fixed text layer alignment in Task Force Harrier [iq_132]
- Improved analog controls in Night Striker [dink]
- Savestate improvements for some Toaplan drivers [dink]
- Fixed Boogie Wings, Diet Go Go, Crude Buster, Darkseal, Funky Jet, Rohga Armor Force, Super Burger Time, Tumble Pop and Vapor Trail on Deco16 Hardware to run at the proper speed [dink]
- Fixed occasional stuck sprite in OutZone [dink]
- Fixed Haunted Castle sound banking [iq_132]
- Fixed tilemaps in Midnight Resistence, Hippodrome and Robocop [Barry]
- Big Endian fixes for The Gladiator and Killing Blade [lantus]
- Avoided use of deprecated function in libpng
- Microsoft Visual Studio 2013 support [Barry]
- Update System Info adding Windows 8.1 support to detection routines and simply CPU detection routines [Barry]
- Fixed deselecting all hardware in the game selection dialog [Barry]
- Fixed Neo Geo macro buttons [Barry]
- Fixed & improved reliability of Neo Geo savestates [dink]
- Started eradicating use of BurnDrvGetText in drivers [Barry]
- Updated the libpng library to v1.6.12 [Barry]
- Synced sets with MAME 0.154 [Barry, JacKc]

### v0.2.97.29

- Ported PIC16C5X core from MAME [iq_132]
- Updated PIC16C5X core and fixed a bug in RAM/ROM handline [Barry]
- Added driver for Dragon Master [iq_132]
- Added driver for various games on Playmark hardware [Barry]
- Added clone of Ambush to the driver [Barry]
- Added clone of Bomb Jack to the driver [Barry]
- Added Bubble Bobble Lost Cave v1.1 to the Bubble Bobble driver [Barry, Bisboch, Aladar]
- Added bootleg of Cadillacs and Dinosaurs to the CPS-1 driver [JacKc, Smitdogg, The Dumping Union]
- Added clone of Final Fight to the CPS-1 driver [JacKc, any]
- Added clone of Forgotten Worlds to the CPS-1 driver [JacKc, system11]
- Added bootleg of Pang 3 to the CPS-1 driver [JacKc, Bonky0013]
- Added clone of Pang 3 to the CPS-1 driver [Barry, JacKc, Smitdogg, The Dumping Union]
- Added clone of Saturday Night Slam Masters to the CPS-1 driver [Barry, any, The Dumping Union]
- Added various clones and bootlegs of Street Fighter II to the CPS-1 driver [Barry, iq_132, JacKc, Brian Troha, Smitdogg, The Dumping Union]
- Added clone of Three Wonders to the CPS-1 driver [Bonky0013, JacKc]
- Added bootleg of Three Wonders to the CPS-1 driver [Barry, JacKc, any]
- Added clone of Hyper Street Fighter II to the CPS-2 driver [JacKc, f205v]
- Added clone of Street Fighter II Alpha to the CPS-2 driver [JacKc, Razoola]
- Added clone of Super Street Fighter II Tournament Battle to the CPS-2 driver [Artemio Urbina, David Haywood, JacKc]
- Added clone of Super Street Fighter II Turbo to the CPS-2 driver [JacKc]
- Added bootleg of Commando to the driver [JacKc, Kevin Eshbach]
- Added clone of Galaxian to the Galaxian driver [Barry]
- Added clone of Galaxian to the Galaxian driver [Barry, any]
- Added bootleg of Moon Cresta to the Galaxian driver [JacKc, Ricky2001 (from AUMAP)]
- Added clone of Moon Cresta to the Galaxian driver [Barry]
- Added clone of Moon Cresta to the Galaxian driver [Barry, Roselson (from AUMAP)]
- Added two clones of Scramble to the Galaxian driver [Barry, Basilio Garcia]
- Added clone of Scramble to the Galaxian driver [Barry, Roselson (from Aumap)]
- Added Star Fighter (bootleg of Moon Cresta) to Galaxian driver [Barry, David Haywood, RevisionX]
- Added Time Fighter to the Galaxian driver [Barry]
- Added clone of Uni War S to the Galaxian driver [Barry]
- Added clone of Uni War S to the Galaxian driver [Barry, Basilio Garcia]
- Added clone of Ghouls 'n Ghosts to the driver [JacKc, f205v, RanaElia]
- Added clone of Snow Bros. to the Hyper Pacman driver [JacKc, The Dumping Union]
- Added clone of Karnov to the driver [JacKc, Smitdogg, The Dumping Union]
- Added bootleg of Pang to the Mitchell driver [Barry]
- Added clone of Mysterious Stones to the driver [Barry, Ricky2001 (from AUMAP)]
- Added NeoGeo 2-Player Tetris to the Neo Geo driver [Barry, Fred/Front, Crim/Stephen]
- Added Neo Galaga demos to the Neo Geo driver [Barry, Fred/Front, Cristiano Bei/www.iocerom.com]
- Added clone of Guardian Storm to the NMK-16 driver [JacKc, Brian Troha, The Dumping Union]
- Added clone of Guardian Storm to the NMK-16 driver [Barry, The Dumping Union, David Haywood]
- Added clone of Guardian Storm to the NMK-16 driver [JacKc, iq_132, Barry, David Haywood]
- Added bootleg of Crush Roller to the Pacman driver [any]
- Added clone of Pacman to the Ms. Pacman driver [Barry]
- Added clone of Pacman to the Pacman driver [Barry]
- Added clone of Demon Front to the PGM driver [JacKc, R. Mucciarelli, Layne, Smitdogg, The Dumping Union]
- Added many clones of Do Don Pachi II to the PGM driver [JacKc, Barry]
- Added clone of Knights of Valour Super Heroes to the PGM driver [JacKc, XingXing]
- Added clone of Oriental Legend Special to the PGM driver [JacKc]
- Added clone of Rally-X to the driver [JacKc, any]
- Added clone of Hang-On to the Sega Hang-On driver [JacKc, cmonkey]
- Added bootleg of Teddy Boy Blues to the Sega System 1 driver [JacKc, any]
- Added clone of Wonder Boy III to the Sega System 16A driver [Barry, Chris Hardy, Charles MacDonald, Brian Troha]
- Added clone of Alien Syndrome to the Sega System 16B driver [Barry, Arzeno Fabrice, hap, Charles MacDonald]
- Added clone of D.D. Crew to the Sega System 18 driver [JacKc, Porchy, The Dumping Union]
- Added clone of Wing Shooting Chamionship to the Seta-2 driver [JacKc, Brian Troha, The Dumping Union]
- Added clone of Silk Road to the driver [Barry]
- Added clone of Super Chase - Criminal Termination to the driver [JacKc, Porchy, The Dumping Union]
- Added clone of Continental Circus to the Taito-Z driver [Barry, Brian Troha, ShouTime, The Dumping Union]
- Added clone of WWF Superstars to the driver [Barry, Brian Troha]
- Added clone of WWF Wrestlefest to the driver [JacKc, Simon Dennison, Brian Troha]
- Added clone of X-Men to the driver [JacKc, Brian Troha]
- Added clone of Bomb Kick to Yun Sung 16 driver [JacKc, ANY, David Haywood]
- Added a preliminary driver for Sega Master System hardware (port of Dega), enabled in debug builds only [kev]
- Optimised the Taito TC0100SCN rendering routines, particuarly helps multi-screen games [Barry]
- Added sound sample support to various Toaplan drivers [Barry, ThunderMAME]
- Added Fire button to Sangokushi II: San Jian Sheng sets [Barry, money_114]
- Added filter support to Scorpion and SF-X [Barry]
- Endian fixes for palette in Oh My God!, Hyper Pacman and Konami drivers [Twinaphex]
- Various fixes from visual studio leak detector [Wizard Coder, kev]
- Fixed some GUI memory leaks [Captain CPS-X]
- Applied libretro patch [Twinaphex]
- Updated the zlib library to v1.2.8 [Barry]
- Updated the libpng library to v1.6.2 [Barry]
- Synced sets with MAME 0.149 [Barry, JacKc]

### v0.2.97.28

- Added Ganbare Marin-kun to the CPS-1 driver [Barry, smitdogg, The Dumping Union]
- Added Ghost Muncher to the Galaxian driver [Barry, Robbbert, Misfitmame]
- Added Bubble Bobble Lost Cave to the Bubble Bobble driver [Barry, Bisboch, Aladar]
- Added bootleg of Carrier Air Wing to the CPS-1 driver [Barry, JacKc, Bonky0013]
- Added various bootlegs of Street Fighter II Champion Edition to the CPS-1 driver [Barry, JacKc, bonky0013]
- Added clone of The Punisher to the CPS-1 driver [JacKc, Artemio Urbina]
- Added clone of Marvel vs. Capcom to the CPS-2 driver [Barry, ranger_lennier, Yohji, Tormod, Smitdogg, The Dumping Union]
- Added clone of X-Men Children of the Atom to the CPS-2 driver [Barry, Bonky0013]
- Added clone of Bagman to the Galaxian driver [Barry, Robbbert, Misfitmame]
- Added clone of Frogger to the Galaxian driver [Barry, Robbbert, Misfitmame]
- Added clone of Galaxian to the Galaxian driver [Barry, Robbbert, Misfitmame]
- Added clone of Moon Cresta to the Galaxian driver [Barry, Robbbert, Misfitmame]
- Added clone of Scramble to the Galaxian driver [Barry, Robbbert, Misfitmame]
- Added clone of Triple Punch to the Galaxian driver [Barry, lucaelia, Siftware]
- Added clone of Fantasia to the Gals Panic driver [JacKc, Brian Troha, The Dumping Union]
- Added clone of Ghosts 'n Goblins to the driver [JacKc, Antonio Gonzalez Jr., tafoid]
- Added clone of Haunted Castle to the Konami driver [JacKc, Andrew Welburn, Phil Bennett]
- Added clone of Sunset Riders to the Konami driver [JacKc, hap, Dave F]
- Added clone of Sunset Riders to the Konami driver [JacKc, Any, The Dumping Union]
- Added clone of Thunder Zone to the Konami driver [JacKc]
- Added clone of King of Fighters '97 to the Neo Geo driver [iq_132, smitdogg]
- Added Time's UP! Demo to the Neo Geo driver [Barry, NGF Dev. Inc, Fred/FRONT]
- Added clone of Ms Pacman to the Pacman driver [JacKc, hap]
- Added three clones of Knights of Valour Superheroes to the PGM driver [JacKc, Joerg Hartenberger, iq_132, smitdogg]
- Added some Ketsui Arrange versions to the PGM driver [JacKc]
- Added clone of Puzzli 2 to the PGM driver [Tormod, Smitdogg, The Dumping Union, JackC, iq_132]
- Added clone of Speed Rumbler to the driver [iq_132, Corrado Tomaselli, JacKc]
- Added clone of Superman to the Taito-X driver [Barry, JacKc, Brian Troha, Dave France, The Dumping Union]
- Added clone of Zero Point to the Unico driver [JacKc, Takahiro Nogi, hap]
- Simulated the protection in Metal Slug X and removed a nasty patch [iq_132]
- Emulated the protection in Lord of Gun and removed a nasty patch [iq_132]
- Emulated protection in Street Fighter II Rainbow Edition (set 1 and 2) and removed a nasty patch [iq_132]
- Emulated protection in Street Fighter II Mega sets and removed a nasty patch [iq_132]
- Emulated protection in Dinosaur Hunter and removed a nasty patch [iq_132]
- Emulated protection in some Warriors of Fate bootlegs and removed nasty patches [iq_132]
- Fix kov command CC (fixes game stage 6) [iq_132]
- Fixed graphics banking in Port Man [Barry, Robbbert]
- Added support for the digital volume slider in CPS-2 test screens, also added support for single board games with no digital slider [Barry]
- Added the Turbo mode dip switch to Street Fighter II Alpha Magic F [Barry, MAME]
- Identified various Street Fighter II Champion Edition bootlegs and game them more descriptive names and descriptions, eliminating the sf2m* naming convention [Barry]
- Improved emulation of bootleg hardware in King of Dragons bootleg [Barry]
- Added variants to the Time Keeper module [Barry]
- Changed UniBIOS 3.0 to the free version release [JacKc]
- Big-endian fixes for some Data East drivers [MagicSeb]
- Updated the ZET and VEZ CPU interfaces [iq_132]
- Improved CPS-2 rom loading [Barry]
- Fixed Japanese Romanization of some game titles [JacKc]
- Improved Visual Studio version reporting and added Windows 8 support to the System Info module [Barry]
- Updated Visual Studio makefile to support Visual Studio 2012, and fixed some related issues [Barry]
- Added support for targeting Windows XP using Visual Studio 2012 via a makefile flag [Barry]
- Updated GCC makefile to 4.7.1 and fixed warnings [Barry]
- Updated the dat file writer to give each dat file a seperate id to ClrMAME gives each a separate profile [Barry]
- Applied libretro patch [Twinaphex]
- Matched the Megadrive sets to MESS 0.147u4 [Barry]
- Synced sets with MAME 0.147u4 [Barry, JacKc]

### v0.2.97.27

- Sound Improvements
  - Tidied sound chip interfaces, adding support for volume and left/right selection for individual routes. Updated all drivers to support. Many drivers sound much better with these updates [Barry]
  - Fixed an issue with multiple YM2203 chips that resulted in static noise in the sound output [Barry]
  - Added pan support to Taito drivers that use panning with the YM2610 sound chip [Barry]
  - Added pan support to the Darius driver [Barry]
  - Added support for an RC filter, and added support to the Galaxian Konami sound based drivers [Barry]
  - Fixed various drivers that rendered the MSM5205 sound too fast when the sample rate was greater than 22050Hz [Barry]
  - Applied a YM2413 fix from MAME [Barry]
  - Added support for a selectable number of voices in the Namco sound module (fixes sound in the Baraduke, Pac Land and Sky Kid drivers [Barry]
  - Added multiple chip support to the Sega PCM module, updated Super Monaco Grand Prix to support the extra sound board [Barry]
  - Added support for the MSM6585 chip to the MSM5205 core [iq_132]
  - Added multiple chip support to the Y8950 interface, and hooked up in the Cybertank driver [Barry]
  - Small speedup in the DAC core [iq_132]
- Standardised some CPU interfaces [iq_132]
- Improved Atari slapstic emulation, and updated the Gauntlet driver to support it [iq_132]
- Added driver for Atari Tetris [iq_132]
- Added driver for Cybertank [iq_132]
- Hooked up analog inputs in the Cybertank driver [Barry]
- Added driver for games on Donkey Kong hardware [iq_132]
- Tidied Donkey Kong driver to build with current FB Alpha, and fixed some bugs and crashes [Barry]
- Added driver for Konami Test Board (GX800) [iq_132]
- Added Bang 2 Busters to the Neo Geo driver [lantus]
- Added Treasures of the Carribean to the Neo Geo driver [lantus]
- Added Last Survivor to the Sega X-Board driver [Barry, JacKc, ShouTime, Charles MacDonald, Aaron Giles, 9ofzeven, TrevEB, Dr. Spankenstein, ghoolster, Surgeville, Tormod, Tjaberg, Waremonger]
- Added Racing Beats to the Taito Z driver [Barry]
- Added bootleg of 1943 to the driver [Barry, JacKc, bonky0013]
- Added clone of Arkanoid to the driver [Barry]
- Added bootleg of Pang! 3 to the CPS-1 driver [JacKc, porchy]
- Added some bootlegs of Street Fighter II to the CPS-1 driver [Barry, JacKc, smitdogg]
- Added clone of Super Street Fighter II to the CPS-2 driver [JacKc]
- Added two clones of Thunder Zone to the Data East drivers [ShouTime, JacKc]
- Added two clones of Dynamite Duke to the driver [JacKc, Arzeno Fabrice]
- Added clone of War of the Bugs or Monsterous Manouvers in a Mushroom Maze to the Galaxian driver [Barry]
- Added clone of Jumping Pop to the driver [Barry, The Dumping Union]
- Added clone of Parodius to the Konami driver [Barry, Andrew Welburn, The Dumping Union]
- Added King of Gladiators Plus to the Neo Geo driver [JacKc]
- Added homebrew WW2 Demo to the Neo Geo driver [Barry]
- Added homebrew Spiderman Intro demo, and added alt sets of TMNT and Dark Wing Duck intro sets to the Neo Geo driver [Barry]
- Added clone of Ketsui Arrange to the PGM driver [JacKc]
- Added clone of Raiden to the driver [Barry, JacKc]
- Added two clones of Fantasy Zone II (System 16C version) to the Sega System 16B driver [Barry]
- Added clone of Turbo Outrun to the Sega Outrun driver [JacKc]
- Added clone of AB Cop to the Sega X-Board driver [JacKc]
- Added clone of GP Rider to the Sega X-Board driver [Barry]
- Added clone of Deer Hunter to the Seta 2 driver [JacKc]
- Added clone of Drift Out to the Taito F2 driver [JacKc, Hammy]
- Added clone of Rygar to the Tecmo driver [JacKc, smitdogg]
- Added clone of Pipi & Bibis / Whoopee!! to the Toaplan 2 driver [Barry, Antonio Gonzalez Jr.]
- Added bootleg of Toki to the driver [Barry, skiltz]
- Added clone of Trojan to the driver [JacKc]
- Fixed bugs in 4 Fun in 1 and Ghostmuncher Galaxian in the Galaxian driver, promoting them to working [Barry]
- Changed Fantastic to use the proper PROM dump in the Galaxian driver, fixing the game colours [Barry]
- Changed Super Bond to use the proper PROM dump in the Galaxian driver, fixing the game colours [Barry]
- Various PGM improvements [iq_132, JacKc]
- Fixed a graphics glitch in the Super Monaco Grand Prix title screen [Barry]
- Fixed issue with Top Speed crashing on driver init [Barry]
- Big-endian fixes for the Cybertank driver [lantus]
- Big-endian fixes for the Sega System 16A and Tecmo drivers [lantus]
- Big-endian fix for Street Fighter II: Magic Delta Turbo sprite x position [lantus]
- Applied various libretro patches [Twinaphex]
- Updated the zlib library to v1.2.7 [Barry]
- Updated the libpng library to v1.5.12 [Barry]
- Matched the Megadrive sets to MESS 0.146u5 [Barry]
- Synced sets with MAME 0.146u5 [Barry]

### v0.2.97.26

- Added two clones of Arkanoid to the Arkanoid driver[Barry, f205v]
- Added Gigaman 2 to the CPS-2 driver, adding ability to disable Q-Sound in the CPS-2 drivers [Barry]
- Added Phoenix clone of Street Fighter Alpha to the CPS-2 driver [JacKc]
- Added Phoenix clone of Super Street Fighter II Turbo to the CPS-2 driver [JacKc]
- Added bootleg of Dragon Ninja to the DEC-0 driver [Barry, f205v]
- Added bootleg of Cobra Command to the DEC-8 driver [Barry, f205v]
- Added clone of Driving Force to the Galaxian driver [Barry, Team Europe]
- Added clone of Moon Cresta to the Galaxian driver [JacKc, Andy Welburn]
- Added clone of F-X to the Kyugo driver [Barry, f205v]
- Added Oxygene's NeoGeo 3D! demo to the Neo Geo driver [Barry]
- Added clone of Guardian Storm to the NMK16 driver [JacKc, B. Ståhl, Smitdogg, The Dumping Union]
- Added clone of Knights of Valour 2 to the PGM driver [JacKc, XingXing]
- Added clones of Flicky (alt graphics roms for 128k sets) to the Sega System 1 driver [Barry, f205v]
- Improvements to Street Fighter 2: Magic Delta Turbo which now works correctly [Barry]
- Fixed missing sounds in games based on Final Crash or Street Fighter 2: Magic Delta Turbo sound [Barry]
- Added support for missing priority mode writes in knightsb, knightsb4, the punipic sets, and wofb [Barry]
- Changed knights and knightsb4 to get the sprite mask values from work RAM [Barry]
- Changed the Daimakai bootleg to use the bootleg Sprite RAM it writes, and get the sprite priority masks from work RAM [Barry]
- Changed the punipic sets to get the scroll layer RAM offsets and sprite priority masks from work RAM [Barry]
- Changed wofb, and other wof sets that don't write the registers to get the sprite priority masks from work RAM [Barry]
- Hooked up the EEPROM in the dino, punipic and wof bootleg sets that don't read dip switches [Barry]
- Updated the EPOS driver, adding sound for Dealer and implementing the watchdog [iq_132]
- Tidied the Phoenix sets in the CPS-2 driver [Barry, based on info from Pythagoras]
- Fixed some unicode titles [JacKc, XingXing]
- Added Hyllian's Data Dependent Triangulation 3X to the softFX blitters [Hyllian, msbhvn]
- Optimised the xBR filters [Hyllian, Barry]
- Sync some sets and titles with latest MAME SVN [JacKc]

### v0.2.97.25

- CPS-1 Updates, most of the bootlegs now work well and without patches to hack them to work like the originals (brief, incomplete summary below) [Barry, JacKc, bonky_0013, f205v]
  - Added some Street Fighter II M bootlegs
  - Street Fighter II - Champion Edition (Turbo Hack) now works
  - Added an alternate set for Street Fighter II - Champion Edition (Turbo Hack)
  - Street Fighter II - Champion Edition (M1 bootleg) now works
  - Added support for the dumped Street Fighter II - Champion Edition (Koryu bootleg) graphics roms
  - Added Street Fighter II: Magic Delta Turbo (some issues with row-scroll)
  - Added an alternate set for Street Fighter II: Magic Delta Turbo
  - Added an alternate set for Street Fighter II - Hyper Fighting (bootleg)
  - Added a new bootleg of Captain Commando to the driver
  - Added new bootlegs of Knights of the Round to the driver
  - Daimakai (bootleg) now works
  - Carrier Air Wing (bootleg) now works
  - King of Dragons (bootleg) now works
  - Added Final Crash to the driver
  - Emulated the alternative sprite system used in Final Crash and hooked it up in other bootlegs that use it
  - Emulated the alternative sound system used in Final Crash and added it to Carrier Air Wing (bootleg) as well
  - Emulated the alternative sound system used in Street Fighter: Magic Delta Turbo and added it to a Captain Commando bootleg and Knights of the Round bootleg as well
  - Improved sprite list end detection
  - Added optional end of sprite list detection, fixes some more of the bootleg sets
  - All Warriors of Fate bootlegs now work properly or at least well
  - Added some more Warriors of Fate bootlegs
  - All the PIC sets now work, without sound obviously due to no good dump of the PIC data being available
  - Tidied the driver
  - Removed the CPS Changer region hacks
- Updated the ARM7 core to avoid out of page range accesses [iq_132]
- Added driver for Silver Millenium [iq_132]
- Added bootleg of Dragon Ninja to the DEC-0 driver [Barry]
- Added bootleg of Kung Fu Master to the Irem M62 driver [JacKc, bonky_0013]
- Added clone of Super Triv to the Jack the Giantkiller [JacKc]
- Added Neo Castlevania demo to the Neo Geo driver [Barry]
- Added Neo Thunder homebrew game to the Neo Geo driver [iq_132]
- Added NGF Transparency demo to the Neo Geo driver [Barry]
- Added Dragon World: Pretty Chance to the PGM driver (debug builds only) [iq_132]
- Added Ketsui Arrange to the PGM driver [iq_132]
- Added clone of Wonder Boy to the Sega System 1 driver [JacKc]
- Added clone of Rastan to the Misc Taito driver [Barry]
- Added clone of Rastan to the Misc Taito driver [JacKc]
- Tidied the Funky Bee driver [iq_132]
- Tidied the Meijinsen [iq_132]
- Tidied the PGM driver [iq_132]
- Improved protection simulation for some PGM sets [iq_132]
- Fixed sprites alignment in Knights of Valour [iq_132]
- Fixed a crash in PGM rendering code [iq_132]
- Improved sound in the PGM driver [lantus]
- Fixed a crash in the Hunchback sets in the Galaxian driver [Barry]
- Improvements to the Black Tiger driver [iq_132, issues reported by JacKc]
- Fixed savestates in the CPS-3 driver [Twinaphex]
- Fixed a potential crash in the EEPROM module [Twinaphex]
- Fixed custom-sized tile rendering in the generic tiles module [iq_132]
- Big-endian fixes for the ARM CPU interface [lantus]
- Big-endian fixes for the CPS-1, Data East, Neo Geo, Sega and Silver Millenium drivers [lantus]
- Big-endian fix for the Pskiyo 4 driver [Twinaphex]
- Added BRAM support to the PC-Engine driver [kev]
- Added some unicode titles [JacKc]
- Added BDF_CLONE to sfiii3u [iq_132, reported by DsNo]
- Tidied the SNES driver a bit [kev]
- Added SoftFX xBR filters [msbhvn, Hyllian, Barry]
- Fixed a UI issue with unidentified CDs [Barry]
- Rename endian.h to burn_endian.h [Barry]
- Improve portability by checking defines before defining them [Twinaphex]
- Updates to libsnes [Squarepusher2]
- Synced sets with MAME 0.145u7 [Barry]

### v0.2.97.24

- Rewrote the DAC core, improving performance and timing [iq_132]
- Updated the Mogura and The FairyLand Story drivers to use the new DAC core [iq_132]
- Updated the Armed Formation, King & Balloon, Irem M72 and M90, Route16, Sega System 16A, SunA16, Terra Cresta, The New Zealand Story, Vigilante drivers to use the new DAC core [Barry]
- Fixed the new DAC core with GCC 3.4.5 [Barry]
- Updated Z80 cycle counting, improving accuracy [iq_132]
- Added cycle counting to the I8039 CPU core [iq_132]
- Updated PGM driver making Bee Storm - DoDonPachi II and Demon Front playable [iq_132]
- Added Fantasic and Kong to the Galaxian driver [Barry]
- Added Arange Mode hack of DoDonPachi to the Cave driver [JacKc]
- Added clone of 1941 to the CPS-1 driver [Bonky0013, JacKc, Techmotour]
- Added clone of King of Dragons to the CPS-1 driver [Barry]
- Added clone of Street Fighter II: Champion Edition to the CPS-1 driver [Barry]
- Added clone of UniWar S to the Galaxian driver [Barry]
- Added clone of Deer Hunting to the Seta2 driver [Barry]
- Added clone of Super Chase to the Taito driver [Barry]
- Added clone of Arkanoid 2 to the The New Zealand Story driver [Barry]
- Added 1945 Part 2 (hack of Battle Garegga) to the Toaplan-2 driver [Barry]
- Fixed sound samples in the Kageki driver [Barry]
- Fixed sample sounds in King & Balloon [Barry]
- Fixed 68000 CPU speed in Best of the Best driver [iq_132, reported by Cmart]
- Updated dip switches in the Side Pocket driver [Barry]
- Changed CPS-1 sprite timing for bootlegs/hacks that render the sprites in reverse order [Barry, identied by manliodp]
- Big-endian fixes for Data East, various Misc, and PGM drivers [lantus]
- Added Unicode title for 1945 Part 2 [JacKc]
- Added support for insane cheat file lengths [Barry, reported by money_114]
- Fixed issue with the load progress dialog not being killed when loading unavailable sets [Barry, reported by BisonSAS]
- Fixed crash if SampleInit is called without a sample list [iq_132]
- Removed sek.h and zet.h from burnint.h, and added to drivers where necessary [Barry]
- Synced sets with MAME 0.145u5 [Barry]

### v0.2.97.23

- Added clone of Caveman Ninja to the Data East drivers [JacKc, Corrado Tomaselli]
- Added bootleg of Side Pocket to the Data East drivers [Barry, Corrado Tomaselli]
- Allowed Neo Geo drivers to disable the watchdog reset, and used it to fix Neo Pong v1.0 which is now added to release builds [Barry]
- Changed the game selection dialog back to the old size and updated the dialog to be resizable [Barry]
- Fixed issue with disappearing preview images in game selection dialog when switching back to the window [Barry]
- Applied latest libsnes patches [Themaister]
- Standardised revision info in game titles [Barry]
- Made inclusion of png.h in burner.h optional in makefile via INCLUDE_LIB_PNGH flag [Barry]
- Updated the helpfile with the game selection dialog changes [Barry]

### v0.2.97.22

- Added support for 7z files for roms and samples [Barry]
- Added driver for Act Fancer [iq_132]
- Added driver for Gals Pinball [iq_132]
- Added driver for Momoko 120% [iq_132]
- Added clone of Final Fight to the CPS-1 driver JacKc, Bonky0013
- Added clone of Forgotton Worlds to the CPS-1 driver [JacKc, Bonky0013]
- Added clone of Street Fighter II to the CPS-1 driver [JacKc, Bonky0013]
- Added clone of Street Fighter II: Champion Edition to the CPS-1 driver [Barry]
- Added clone of Puzz Loop 2 to the CPS-2 driver [Barry]
- Added clone of Super Street Fighter 2 X to the CPS-2 driver, and added support for the graphic rom format it uses [Barry]
- Added clone of Vampire Hunter to the CPS-2 driver [Barry, JacKc]
- Added clone of Jojo's Venture to the CPS-3 driver [Barry]
- Added clone of Jojo's Bizarre Adventure to the CPS-3 driver [JacKc]
- Added bootleg of Eyes [iq_132]
- Added clone of X-Men to the Konami drivers [JacKc, Bonky0013]
- Added Super Bubble Pop to the Neo Geo driver (player 1 inputs don't work, hence debug only builds) [Barry, iq_132, JacKc]
- Added PCB version of Demon Front to the PGM driver (non-working, debug builds only) [JacKc]
- Added clone of Altered Beast to the Sega System 16B driver [Barry]
- Added bootleg of Silk Worm to the Tecmo driver [JacKc, Bonky0013]
- Changed CPS-1/2 palette handling to be more accurate, should fix some glitches [Barry]
- Changed CPS-2 video timing to use the values in MAME that have come from hardware measurements [Barry]
- Improved CPS-2 sprite list end detection [Barry]
- Moved the CpsGetObj() call, fixing sprite lag in Super Street Fighter II and clones [manliodp]
- Fixed IRQ generation in the Irem M72 drivers, fixing video timing in Dragon Breed [Barry]
- Fixed sound in the Irem M72 drivers [Barry]
- Minor CPS-3 update with a small speedup [iq_132]
- Update the Mysterious Stones driver [iq_132]
- Removed duplicate set of Super Monaco Grand Prix [Barry]
- Added savestate support to the the OPL based sound cores (YM3812, YM3526 and Y8950) and interfaces [Barry]
- Removed previous attempt and added savestate support to the YM2413 core and interface [Barry]
- Added savestate support to the DEC-8 driver [Barry]
- Tidied and fixed Data East savestates where necessary [Barry]
- Fixed Sengoku 3 Unicode title (string wasn't terminated) [Barry]
- Moved the Pocket Gal Deluxe driver to the Data East filter [iq_132]
- Big-endian fixes for the new CPS-1/2 palette code, CPS-2 raster interrupts, Konami drivers and devices, PGM driver, some Misc drivers, Sega FD1089, Seta drivers, and Toaplan games that use the V25 CPU for sound [lantus]
- Fixed some invalid BRF_NODUMP definitions [Barry]
- Overhauled the cheat system [iq_132]
- Added overrides to allow drivers to exclude addresses from cheat searching, and used it to prevent a crash when searching for cheats in CPS Q-Sound games [Barry]
- Tidied the game selection dialog a bit, and changed the behaviour of "show available" to allow showing available and/or unavailable sets [Barry]
- Fixed TurboGrafx 16 games displaying as MVS cartridge hardware in the game selection dialog [iq_132]
- Added a Ctrl+W shortcut to close the current game [Barry]
- Made the cliprect for the OSD shortmsg wider, allowing more text to be displayed [Barry]
- Prevented the 68K debugger opening if the 68k interface is not in use [iq_132]
- Disabled menu item for 68k debugger if the 68k interface is not in use, and renamed the menu item to "Invoke 68k debugger" [Barry]
- Removed definition of LSB_FIRST in epx.cpp since it is now defined (or not) in the makefile [Barry]
- Fixed issue with definition of LSB_FIRST in makefile.mingw [Barry]
- Added libsnes target files [Themaister, twinaphex]
- Fixed some memory leaks and possible memory leaks [kev]
- Identified and fixed some out of bounds array issues [kev, iq_132]
- Updated the zlib library to v1.2.6 [Barry]
- Updated the libpng library to v1.5.8 [Barry]
- Matched all sets to MAME 0.145u3 [Barry]
- Matched the Megadrive sets to MESS 0.145u1 [Barry]
- Changed PC-Engine driver to be auto-generated from the MESS software list [Barry]
- Matched the PC-Engine sets to MESS 0.145u1 [Barry]

### v0.2.97.21

- Updated the H6280 core and interface to support multiple CPUs [iq_132]
- Added multiple-CPU support to debug tracking in the H6280 core and interface [Barry]
- Updated Final Romance 2 in the Neo Geo driver to use Razoola's updated version [Barry]
- Tidied World Cup '90 driver and fixed video timing and save states [Barry]
- Fixed negative sound samples causing an app crash in some PC-Engine games [lantus]
- Big-endian fixes for Capcom CPS-1/2/3, Cave, Irem, Psikyo and Megadrive drivers [lantus]
- Big-endian fixes for the NEC CPU core [lantus]
- Fixed excessive CPU usage when FB Alpha isn't doing anything [Barry]
- Fixed non-Ascii output in the gamelist translation template export [doomking]
- Hopefully fixed gamelist translation on Chinese systems [Barry]
- Changed gamelist localisation to use the system codepage by default [Barry]
- Some small localisation fixes [Barry, reported by Benjamin Siskoo]
- Reduced the OSD text size to fit in the cliparea [Barry]
- Fixed dat file writing from the command-line and added command-line options for PC-Engine dats, as found by MSVC SYMBOL build [Barry]
- Fixed bug in game selection dialog with not allocating enough memory for gamenames when scanning sets [Barry]
- Updated the default rom path to be the last path again (ie, 20 instead of 8) [Barry]
- Updated helpfile with command-line changes [Barry]

### v0.2.97.20

- Fixed a possible crash when scanning roms (seemed to affect x64 builds) [Barry]
- Updated dat handling to support PC-Engine console (completely forgot for the last release) [Barry]
- Updated help file [Barry]

### v0.2.97.19

- Fixed the issue in the H6280 core [Barry]
- Updated H6280 core with some fixes from MAME versions newer than the original core port [iq_132]
- Added H6280 support to the YM3812 core [Barry]
- Ported C6280 sound core from MAME for PC-Engine driver [iq_132]
- Added a driver for PC-Engine/TurboGrafx 16/SuprGrafx console hardware [iq_132]
- Added driver for Blomby Car [Barry]
- Added driver for Jackie Chan [iq_132]
- Added driver for Side Pocket [Barry]
- Added driver for games on Terra Cresta hardware [Barry]
- Added clone of Street Fighter III 3rd Strike to the CPS-3 driver [Barry]
- Added Boulder Dash, Hippodrome Midnight Resistance and Sly Spy to the DEC0 driver [Barry]
- Added Heavy Metal to the Sega System 1 driver [Barry]
- Fixed non-bootleg version of Robocop, and added all clones to the DEC0 driver [Barry]
- Fixed Caveman Ninja and Edward Randy in the DECO 16 drivers and enabled in release builds [Barry]
- Added full sound to all the DECO16 drivers now that the H6280 core works [Barry]
- Fixed crash when loading in the Konami Twin16 driver [Barry]
- Fixed loading of UPD7759 samples in Gradius2 in the Konami Twin16 driver [Barry]
- Fixed Naname de Magic! in the Oh My God! driver and enabled in release builds [Barry]
- Fixed missing ADPCM sounds in Superman in the Taito X driver [Barry]
- Updated PC-Engine driver to use the same zip names as the MESS software lists, similar to the Megadrive support (see help file for more info) [Barry]
- Fixed row and column scroll in the DEC-0 driver, and added support for Tile Ram Banking [Barry]
- Reverted the CPS-2 VBlank IRQ timing change from the last version, it broke raster effects [Barry]
- Fixed savestates in the Batrider driver [Barry]
- Fixed savestates in the Cave drivers where necessary [Barry]
- Added savestate support to the Double Dragon driver [Barry]
- Fixed savestates in the News driver [Barry]
- Fixed savestates in the Sega System 1 driver where necessary [Barry]
- Fixed savestates in the Sega System 16 and similar drivers where necessary [Barry]
- Added savestate support to the HD6309 interface [Barry]
- Fixed savestates in the I8039 core [Barry]
- Fixed savestates in the DAC sound core [Barry]
- Fixed savestates in the Q-Sound sound core [Barry]
- Added savestate support to the RF5C68PCM sound core [Barry]
- Fixed savestates in the SegaPCM sound core [Barry]
- Fixed savestates in the SN76496 sound core [Barry]
- Fixed bug in the YM2151 interface when enabling FM interpolation [Barry]
- Added volume control to the SN76496 core and normalised sound in drivers which were too loud [Barry]
- Added support for up to 20 rom paths, with the last ten being supplementary [Barry]
- Added filter for PC-Engine to game selection dialog [Barry]
- Added support to disable __fastcall in the vez interface via the FASTCALL makefile flag [Barry]
- Added support for localising the gamelist (see the help file for more information) [Barry]
- Readded Captain CPS's game selection dialog icon support [Barry, CaptainCPS]
- Fixed various localisation issues [Barry, reported by Benjamin Siskoo]
- Updated the help file [Barry]
- Split makefile.rules into makefile.burn_rules and makefile.burner_win32_rules [Barry]
- Reorganised the tree to work around the Windows CreateProcess 32Kb limit [Barry]
- Tidied the tree enough for FB Alpha to compile on Ubuntu 11.10 (linking fails) [kev]
- Added old code from an unreleased PSP port, including the MIP A68K module [kev]
- Added the required D3D headers from previous SDKs to the dec/vc/include folder [Barry]
- Fixed some warnings thrown up by symbol builds in different compilers [Barry]
- Fixed some dialog initial path issues [Barry]
- Matched all sets to MAME 0.144u6 [Barry]
- Matched the Megadrive sets to MESS 0.144u5 [Barry]

### v0.2.97.18

- Added driver for Lemmings [iq_132]
- Added support for trackball in Lemmings [Barry]
- Added driver for Pac-Land [iq_132]
- Added driver for games on Psikyo4 hardware [iq_132]
- Added driver for games on Rabbit Punch hardware [iq_132]
- Added a preliminary driver for SNES hardware, enabled in debug builds only [kev]
- Changed CPS-3 driver to use MAME flash dumps, and added verification for CPS-3 driver back to ROM_VERIFY dat [Barry, suggested by Haze]
- Added preliminary Puzzli2 protection simulation and removed the patches from the PGM driver [iq_132]
- Delayed the VBlank IRQ in the CPS-2 driver to part through the VBlank period, fixes disappearing text in the Dungeons & Dragons games [Barry]
- Added sound to fantzonep in the Sega System 16A driver [Barry]
- Improved IRQ timing in Sega System Y driver [Barry]
- Reduced the volume of some CPS-2 games that were too loud [Barry]
- Fixed sound in Konami drivers which weren't generating enough IRQs per frame to drive the sound [Barry]
- Fixed a bug in the K052360 sound core, fixes Parodius booting [Barry]
- Fixed inputs in Dream Land in the Bubble Bobble driver [Barry]
- Fixed Rambo III in the Taito B driver [Barry]
- Fixed default dips in Yes/No Sinri Tokimeki Chart in the Taito F2 driver [Barry]
- Tidied the CPS-1, CPS-2, Galaxian, Irem, Konami, Neo Geo, Sega and Taito drivers [Barry]
- Changed the Zet interface to initialise a single CPU at a time, updated all affected drivers [iq_132]
- Made sure the BurnYM2151 handlers are NULLed on exit [Barry]
- Incorporated endian fixes from FBANext for various CPU cores and interfaces, as well as the CPS-3, Neo Geo, Psikyo, Sega, Taito and Toaplan drivers [Barry, FBANext by Lantus]
- Added support for various MAME graphics decoding macros [iq_132]
- Added some Unicode titles to the PGM driver [JacKc]
- Fixed various localisation issues [Barry, reported by Benjamin Siskoo]
- Changed default of the "Don't change Num Lock status" option to on [Barry]
- Added SDL audio, input and video plugins so I can re-port to SDL [kev]
- Moved the burner/win32 folder to burner/platform/win32 [kev]
- Changed interface directory layout [kev]
- Changed the path handling to be more portable (changed // to \) [kev]
- Updated unzip.c to the latest version [kev]
- Improved the gamelist filter functionality and added support for Capcom (Other), Data East, Seta, SNES and Technos filters, updating relevant drivers [Barry]
- Moved any Irem, Kaneko, Sega, Taito or Toaplan drivers in the misc filters to the relevant filter [Barry]
- Moved Konami drivers from misc to the Konami filter [iq_132]
- Added defines for _XBOX headers and plugins in the burner and interface folders [Barry]
- Reduced the optimisation levels for GCC 3.4.5 to match other GCC builds, fixed some warnings that are now generated by GCC 3.4.5 [Barry]
- Matched all sets to MAME 0.144u4 [Barry]

### v0.2.97.17

- Fixed various localisation issues [Barry, reported by Benjamin Siskoo]
- Fixed some dipswitch descriptions in Boogie Wings and Major Title 2 [doomking]
- Fixed CRC error in CPS Changer version of Warriors of Fate [pmc2]
- Fixed Unicode title for Japanese versions of Dynasty Wars [kof2112]
- Fixed Unicode title for Japanese versions of Warriors of Fate [DsNo]

### v0.2.97.16

- Added driver for Super Locomotive [iq_132]
- Added clone of Warriors of Fate to the CPS-1 driver [Barry]
- Added Bygone to the Legend of Kage driver [iq_132]
- Added colour PROMs to Birdiy in Pacman driver [iq_132]
- Fixed spriteram2 mapping and sprite rendering in Birdiy in Pacman driver [Barry]
- Added correct dumps to kovsgqyz and kovsgqyza in the PGM driver [iq_132]
- Added clone of kovsgqyz to the PGM driver [iq_132]
- Fixed character selection screen in kovsgqyz and clones in the PGM driver [iq_132]
- Improved PGM sprite rendering [iq_132]
- Added PGM sprite generator to makefiles [Barry]
- Made V3021 RTC an external device, seperate from the PGM driver [iq_132]
- Removed Street Fighter II' - champion edition (street fighter 2' 920803 USA, alt) as it is a bad dump [Barry]
- Fixed some input and dip switch issues in the Bank Panic driver [Barry]
- Added a debug device tracking module and updated all device, sound and CPU modules to support it [Barry]
- Tidied all drivers in the cave, cps-3, megadrive, pgm, psikyo and toaplan folders, and updated to use Burn Memory module, as well as correcting any issues reported by debug tracker [Barry]
- Updated M6502 CPU core interface to allocate memory rather than use an array [iq_132]
- Updated Vez CPU core interface to allocate memory rather than use an array, and added support for auto-acknowledging IRQs [iq_132]
- Fixed crash when taking screenshots of vertical or flipped games using blitters other than the D3D enhanced blitter [Barry]
- Added option to DirectDraw blitter to force flipping as it isn't usually detected as available, see help file for more information [Barry]
- Fixed issue with string translation in localisation templates [Barry, doomking]
- Fixed issue with exporting localisation templates in GCC builds [Barry, doomking]
- Converted all the outstanding hard-coded strings I could see to translatable strings, let me know if you see any untranslatable strings [Barry]
- Tidied the string resource ids to minimise future impact on translators [Barry]
- Updated help file [Barry]
- Matched all sets to MAME 0.144u3 [Barry]
- Matched the Megadrive sets to MESS 0.144u3 [Barry]
- Updated the libpng library to v1.5.6 [Barry]

### v0.2.97.15

- Fixed missing menu in Windows XP [CaptainCPS, doomking]
- Fixed Neo Geo CD dialog game scanning timeout [CaptainCPS]
- Better organised the Neo Geo menu items [CaptainCPS]

### v0.2.97.14

- Ported the V20/V30/V33/V25/V35 CPU core from MAME [iq_132]
- Updated Vez interface to support above CPU core port [iq_132]
- Updated the M72, M90, Dynamite Duke and Raiden drivers to support the new Vez interface [iq_132]
- Added sound support to the V25 based Toaplan drivers Batsugun, Dogyuun, Knuckle Bash and Grind Stormer [iq_132]
- Added Risky Challenge and Gussun to release builds [iq_132]
- Ported the M6502 CPU core from MAME, and added an interface for it, replacing the old core [Barry]
- Enabled the sub-CPU types in the M6502 CPU Core and added support for them in the interface [iq_132]
- Added support for the new M6502 core to the Renegade driver, fixing some graphic issues [Barry]
- Added support for the new M6502 core to the DEC-8 driver, adding sound to all games [Barry]
- Added support for the new M6502 core to the Karnov driver, adding sound to all games [Barry]
- Updated the Gauntlet, Mole Attack, Mysterious Stones and Scrambled Egg drivers to support the new M6502 core [Barry]
- Added SAA1099 sound core module and added support to the XOR World driver which now has sound [iq_132]
- Added support to the DAC module for up to eight DACs [Barry]
- Added BURN_SND_CLIP macro [Barry]
- Fixed rendering MSM6295 sound in Seibu sound module [Barry]
- Added Neo Geo CD Load Game dialog [CaptainCPS]
- Integrated the Neo Geo CD Load Game dialog with the rest of the application and fixed several x64 issues [Barry]
- Removed the BurnMedia functionality since it is replaced by the Neo Geo CD id module, and updated all drivers to reflect the new structure [Barry]
- Changed the burn, burn/devices, burn/drivers, burn/sound, burner and interface folders to use defined variable types, allowing better control for ports to other architectures [Barry]
- Changed the CPU interfaces to use defined variable types [Barry]
- Fixed the source code tree to build with MinGW64 and GCC 4.6.1 allowing MinGW to build x86 and x64 builds [Barry]
- Consolidated the mingw345 and mingw452 makefiles, and added support for GCC 4.6.1 to the makefile [Barry]
- Moved the rules to makefile.rules and included makefile.rules in the mingw and vc makefiles [Barry]
- Moved some win32 specific stuff from burner.h to burner_win32.h [kev]
- Some 64-bit code fixes [TheMaister]
- Changed the DirectX support to load the functions at runtime, removing the need for linking to the libraries [CaptainCPS]
- Added support for building the experimental DirectX9 blitter and xAudio2 module with MinGW [CaptainCPS]
- Tidied the DirectX changes to compile cleanly [Barry]
- Added an alternative DirectX 9 blitter written by regret and modified it to work with FB Alpha [Barry, regret]
- Added driver for Dragon Ninja, Heavy Barrel and Robocop on DEC-0 hardware [Barry]
- Added bootleg of Knights of the Round to the CPS-1 driver [Barry, JacKc]
- Added clone of Pang 3 to the CPS-1 driver [Barry]
- Added clone of Street Fighter II Champion Edition to the CPS-1 driver [Barry]
- Added clone of Cobra Command to the DEC-8 driver [Barry]
- Added clone of Puckman to the Pacman driver [JacKc]
- Improved the asic27_kov protection simulation, allowing Knights of Valour: SanGuo QunYingZhuan / Sangoku Senki: SanGuo QunYingZhuan to work, albeit with incorrect roms due to rom-hoarding [iq_132]
- Added clone of Ninja Warriors to the Taito drivers [JacKc]
- Added Fix Eight to the Toaplan drivers [iq_132]
- Added Ghox to the Toaplan drivers [iq_132]
- Added support for the analog paddle in Ghox [Barry]
- Added clone of Alien Storm to the Sega System 18 driver [JacKc]
- Added clone of JJ Squakwers to the Seta driver [JacKc]
- Added clone of Ikari III to the SNK68 driver [JacKc]
- Added Pipi & Bibis to the Toaplan drivers [iq_132]
- Cleaned up 1945K-III driver and added support for generic rendering [iq_132]
- Cleaned up the 4 Enraya driver and added support for 'unknown Pacman gambling game' [iq_132]
- Fixed sound in Aquarium driver [Barry]
- Fixed sound in Armed Formation driver [Barry]
- Fixed crash in the Baraduke driver [Barry]
- Fixed Saturn in the Blue Print driver [Barry]
- Fixed sound in Caveman Ninja bootleg in the Caveman Ninja driver [Barry]
- Fixed crash when exiting CPS-1 drivers [Barry]
- Fixed sound in SD Gundam Psycho Salamander no Kyoui in D-Con driver [Barry]
- Fixed coin inputs in Garyoret in the DEC-8 driver [Barry]
- Fixed an app crash in the Garyoret and Gondo drivers in the DEC-8 driver [Barry]
- Fixed orientation in Last Mission in the DEC-8 driver [Barry]
- Fixed Shackled in the DEC-8 driver [Barry]
- Corrected main and sub CPU clocks in the Double Dragon driver [Barry]
- Fixed music tempo in Double Dragon [Barry]
- Improved the volume balance between the YM2151 and the MSM5205's in the Double Dragon driver [Barry]
- Added overclocking support to the Double Dragon driver [Barry]
- Improved video timing and sound balance in the Exed Exes driver [Barry]
- Added sample support to the Galaga driver [Barry]
- Fixed sound in Got-cha Mini Game Festival [Barry]
- Fixed clone of Gyrodine in the Kyugo driver [Barry]
- Fixed orientation of vertical games in the Lady Bug driver [Barry]
- Fixed bootleg of Legend of Kage in the Legend of Kage driver [Barry]
- Added ADPCM sound to Avengers and Trojan in the Legendary Wings driver [Barry]
- Fixed music tempo in the M92 driver [Barry]
- Fixed crash in Magical Cat Adventure driver [Barry]
- Added support for second DAC in Mogua Desse driver [Barry]
- Fixed sound in Mug Smashers driver [Barry]
- Added support for the NeoOpen BIOS v0.1 beta to the NeoGeo driver [Barry]
- Fixed driver reset in Task Force Harrier in the NMK16 driver [Barry]
- Fixed sound in the Afega games in the NMK16 driver [Barry]
- Fixed music tempo in Macross 2 and Thunder Dragon in the NMK16 driver [Barry]
- Big cleanup of the Pacman driver, adding support for Pengo and a few clones [iq_132]
- Fixed orientation of all games in the Pacman driver [Barry]
- Fixed Paint Roller in the Pacman driver and added to release builds [Barry]
- Fixed inputs in Ponpoko in the Pacman driver [Barry]
- Fixed Woodpecker (set 2) in the Pacman driver and added to release builds [Barry]
- Fixed sound in Pass driver [Barry]
- Fixed sound in Power Instinct (bootleg set 2) [Barry]
- Fixed service mode dips in Pushman driver [Barry]
- Fixed crash in Pushman (Korea, set 2) [Barry]
- Added Rally X to release builds since I obviously forgot when I wrote the driver! [Barry]
- Emulated the MCU in the Renegade driver [Barry]
- Emulated the custom ADPCM sound in the Renegade driver [Barry]
- Fixed DAC sound in Route 16 driver [Barry]
- Added NVRAM saving in the Seta 2 driver, meaning that gun callibrations are stored when exiting [Barry]
- Fixed clone of Joe & Mac Returns in Simple 156 driver [Barry]
- Fixed sound in SUNA16 driver [Barry]
- Fixed Get Star (bootleg set 1) in Tiger Heli driver [Barry]
- Emulated MCU in non-bootleg versions of Alcon and Slapfight in Tiger Heli drivers which are now working [Barry]
- Simulated MCU in non-bootleg version of Get Star in Tiger Heli driver which is now working [Barry]
- Added clone of Get Star to the Tiger Heli driver [Barry]
- Added ADPCM sound to Toramich in the Tiger Road driver [Barry]
- Fixed DAC sound in Kabuki-Z in the TNZS driver [Barry]
- Fixed inputs and added sound in bootleg of Toki in the Toki driver [Barry]
- Fixed sound in Jumping Pop in Tumble Pop bootleg driver [Barry]
- Fixed sound in Buccaneers and Kickle Cubele in the Vigilante driver [Barry]
- Fixed orientation in Vulgus [Barry]
- Fixed WWF WrestleFest (US bootleg) in WWF Wrestlefest driver [Barry]
- Fixed sound in Magic Bubble in the Yun Sung 16 driver [Barry]
- Fixed a crash when starting the Neo Geo driver from the command-line [Barry]
- Removed a 64Mb rom limit on Neo Geo sprite ROM size, fixing kof98ae and maybe some others [Barry]
- Fixed an app crash when exiting drivers using the taito_m68705 module [Barry]
- Moved Atari and Kaneko16 into the misc categories and added a category for Irem to the game selection dialog [Barry]
- Fixed nullifying pointers in BurnFree in the Burn memory module [Barry]
- Tidied all drivers in the misc_post90s and misc_pre90s folders, and updated to use Burn Memory module and BURN_SND_CLIP macro [Barry]
- Moved Kaneko Pandora code to it's own file [Barry]
- Moved Air Buster driver to misc_post90s folder [Barry]
- Changed sega_decode_317 in the System1 driver to support external use and removed the duplicated code in the Angel Kids driver [Barry]
- Matched all sets to MAME 0.144u1 [Barry]

### v0.2.97.13

This version features what is effectively a new Neo Geo driver. The emulation should be at least as good as before, but now with added support for MVS Multislot and Neo Geo CD. The Neo Geo CD support is preliminary at this stage, compatibility is pretty good, but some games don't work currently.

- Neo Geo Updates
  - Added support for Neo Geo MVS multi-slot emulation and Neo Geo CDZ [Barry, heavily based on some old code from Jan_Klaassen]
  - Changed the ISO+MP3 CD Interface module to ISO+WAV [CaptainCPS]
  - Added some demo roms to the Neo Geo driver [Barry]
  - Added support for the prototype sprite roms to the Neo Geo driver [Barry]
  - Fixed text layer tiles in kof10th [iq_132]
  - Added a hack to the sprite routines for Samurai Shodown RPG text boxes [iq_132]
  - Added prototype of Alpha Mission II to the Neo Geo driver [Barry]
  - Added prototype of Burning Fight to the Neo Geo driver [Barry]
  - Added prototype of King of the Monsters 2 to the Neo Geo driver [Barry, JacKc]
  - Fixed "most recent games" list when using Neo Geo multi-slot [Barry]
  - Added a module to identify Neo Geo CD games [CaptainCPS]
- Ported H6280 CPU Core from MAME [iq_132]
- Added module to support vector games [iq_132]
- Added driver for Aztarac [iq_132]
- Hooked up analog joystick and dial in Aztarac driver [Barry]
- Added driver for games on Data East DECO16 hardware [iq_132]
- Added clone of Guwange to the Cave driver [Barry]
- Added alternate bootleg of Street Fighter II - champion edition Accelerator! to the CPS-1 driver [JacKc]
- Added two clones of Battle Shark to the Taito-Z driver [Barry]
- Updated all source code with checks for memory used before freeing and NULLing all allocated memory after freeing [Barry]
- Optimised the Irem GA20 sound core [iq_132]
- Changed the MS5205 stream buffer allocation to account for differing refresh rates, fixing the crash in the Double Dragon driver when exiting games [Barry]
- Fixed some stability issues in the Cave drivers [Barry]
- Fixed inputs in Robocop 2 in the DECO16 driver [Barry]
- Fixed savestate support in the Taito-Z driver when no Z80 is present [Barry]
- Fixed an issue where the state of Tatio games was being auto-saved when it shouldn't be [Barry]
- Fixed screen clear code in Toaplan-1 games [Barry]
- Fixed Sound Error in Battle Bakraid [Barry]
- Fixed some stability issues in the Toaplan drivers [Barry]
- Fixed dat file generation module to output the html entities for the characters <> [Barry]
- Updated the description tag of the generated dat files to identify between arcade and Megadrive [Barry]
- Fixed some duplicate game descriptions [Barry]
- Removed a duplicate set of Demon World from the driver [Barry]
- Removed bioses from the driver count in the game selection dialog [Barry]
- Changed the background colour of clones in the game selection dialog to make them stand out a little bit more [Barry]
- Matched all sets to MAME 0.143u9 [Barry]
- Matched the Megadrive sets to MESS 0.143u8 [Barry]
- Updated the help file to reflect above changes [Barry]

### v0.2.97.12

Note: This version has some changes to the Megadrive driver. The driver is now based on the MESS software list.

The game shortnames are prepended by md_ to differentiate them from the arcade games where conflicts occur. FB Alpha will look for your roms in the normal zip names, you do not need to create a new copy of the games and prepend md_. It is advisable to have the Megadrive roms in the seventh or eighth rom paths to avoid conflicts with arcade games. Support files will need to retain the md_ in order to avoid conflicts, however.

All Megadrive games are now enabled (except for Virtua Racing because the SVP isn't emulated), most should work, however, some may not.

- Megadrive Changes
  - Updated Megadrive driver based on MESS 0.143u7 software list [Barry]
  - Made the seventh rom path special like the eighth one so that Megadrive roms can be stored in one of the last two paths and still allow supplementary FB Alpha roms to be in a seperate path [Barry]
  - Made the short name in the game selection dialog slightly longer to accomodate the Megadrive short names [Barry]
  - Increased the maximum number for sek handlers to 10 [Barry]
  - Added better SRAM support and support for custom mappers as per MESS [Barry]
  - Removed menu option for making a datfile with both arcade games and Megadrive games, the two would conflict, and arcade and Megadrive dats need to be handled seperately [Barry]
  - Updated the dat file creation module to remove the md_ from the Megadrive shortnames [Barry]
- Added clone of Aquajack to the Taito-Z driver [Barry]
- Added clone of Vigilante to the Vigilante driver [Barry]
- Fixed music tempo and continuity in Item M90 and M92 drivers [iq_132]
- Added option to the YM2413 to decrease volume and used it to correct sound in the Mitchell driver [Barry]
- Fixed the gun inputs in Zombie Raid [Barry]
- Fixed the support file path creation for the IPS folders on app init [Barry]
- Fixed immediate update of Apply Patches checkbox in game selection dialog when applying IPS Patches [Barry]
- Added ability to search the drivers short name as well as the description in the Game Selection dialog [Barry]
- Made the Game Selection dialog search interactive and removed the Search button [Barry]
- Made the Game Selection dialog choose the current loaded game if a game is currently loaded [Barry]
- Fixed crash when (de)selecting auto-frameskip and using the DirectSound audio module [Barry]
- Restored the uxtheme style for the application [Barry]
- Matched all sets to MAME 0.143u7 [Barry]

### v0.2.97.11

- Readded the IPS Manager functionality, updating it to support x64 and the new PNG routines [Barry]
- Added a search option to the Game Selection dialog [Barry]
- Updated the help file to reflect above changes [Barry]

### v0.2.97.10

- Redesigned the game selection dialog [Barry]
- Added a dialog to view roms and/or samples required by a driver to the game selection dialog [Barry]
- Removed the incomplete Neo Geo multi-slot implementation [Barry]
- Removed the "save decrypted C roms" functionality [Barry]
- Removed the jukebox functionality and resources [Barry]
- Removed support for datfiles other than the latest ClrMAME format [Barry]
- Removed the package importer and resources [Barry]
- Removed the menu themes and resources [Barry]
- Removed skins and resources [Barry]
- Removed the gamelist translation module and resources [Barry]
- Removed icons support and resources [Barry]
- Removed the favourites functionality and resources [Barry]
- Removed the context menu from the game selection dialog [Barry]
- Removed IPS Patch functionality and resources [Barry]
- Removed the game information dialog and resources [Barry]
- Removed unneeded support file paths and resources [Barry]
- Removed IPS Patch functionality and resources [Barry]
- Restructured source code and removed any unneeded modules [Barry]
- Removed PNGlib and updated preview loading code to use libPNG [Barry, heavily based on some old code from Jan_Klaassen]
- Updated preview loading code to allow interpolation on resizing [Barry, heavily based on some old code from Jan_Klaassen]
- Fixed the localisation template support [Barry]
- Tidied up the resource files [Barry]
- Added flag to the makefile allowing X86 assembly code to not be built, and added support in the code to not build X86 assembly when defined [Barry]
- Fixed sound rendering in the YM2151 module when not using the MMX routines [Barry]
- Tidied up the source code to compile with Microsoft tools when building in an X64 environment [Barry]
- Added an option in the makefile to build an X64 binary, and updated the VC makefile and source code to support it [Barry]
- Added ability to change the volume of the YM2203 module and used it to bring down the volume in the 1943 driver [Barry]
- Fixed FM Interpolation rendering routine in the YM2203 module [Barry]
- Added support for the YM2610 module to mix the sounds into one stream (mono) and updated the Bonze Adventure, Darius 2, Operation Thunderbolt, Taito-B, Taito-Z and Welltris drivers to use it [Barry]
- Added Super Chase to release builds as it works fine except for sound [Barry]
- Fixed missing sounds in the 1943 driver [Barry]
- Disabled the corrupt boot screen in Last Hope in the Neo Geo driver [Barry, with info from Johnboy]
- Corrected default dip values in the PS2 datafile System 16B version of Bloxeed [Barry]
- Fixed some rom sizes in the Irem M72 driver [Barry]
- Updated the help file based on the above feature cull [Barry]

### v0.2.97.09

- Ported the ARM CPU core from MAME [iq_132]
- Ported the MSM5205 sound core from MAME, replacing the old core [iq_132]
  - Updated the Asuka driver to use it [Barry]
  - Updated the Double Dragon driver to use it [Barry]
  - Updated the Street Fighter driver to use it [iq_132]
  - Updated the Taito Misc driver to use it, giving ADPCM sound in Darius [Barry]
  - Updated the Tecmo driver to use it [Barry]
- Ported the ES8712 sound core from MAME [iq_132]
- Updated the TMZ280B core to support missing sound modes [iq_132]
- Tidied up the samples interface [Barry]
  - Updated the DrvBurnStruct to support sample filename, and sample lists
  - Updated the sample module initialisation to use the BurnSampleInfo struct
  - Updated the Rally X driver to use the new code
  - Added the sample path to the Support Path dialog and the config file making it configurable
  - Added a Sample Info tab to the game information dialog
  - Added "uses samples from" info to the game information, game selection, and jukebox dialogs
  - Added sample support to the dat file writing module
- Updated the zlib library to v1.2.5 [Barry]
- Updated the libpng library to v1.5.4 [Barry]
- Added regret's DirectInput8 module and updated it for FB Alpha, replacing the DirectInput7 module [Barry]
- Removed dependency on dxguid lib since it is no longer available [Barry]
- Added ability to compile without A68K, definable via BUILD_A68K makefile option [Barry]
- Rewrote the Taito TC0100SCN module and updated all the drivers that used it, adding support for multiple screens and hopefully making it faster [Barry]
- Added double width support to the TC0480SCP module [Barry]
- Added multiple chip support to the PC080SN module [Barry]
- Fixed sprite rendering order in Warrior Blade [Barry]
- Added a memory management module to the burn library [iq_132]
- Added support to the generic tiles module to decode single tiles [Barry]
- Reduced the volume in the K053260 core to remove distortion and corrected the left and right channels [Barry, reported by Huggybaby]
- Fixed Loop Address in Sega PCM Module, as per MAME 0.141u1, fixing sound in Super Monaco Grand Prix [Barry]
- Added driver for Backfire [iq_132]
- Added driver for Chack'n Pop [iq_132]
- Added driver for Darius II (dual screen) and Warrior Blade [Barry]
- Added driver for games on Data East Simple 156 System hardware [iq_132]
- Added driver for Dynamite Duke [iq_132]
- Added driver for games on Gaelco hardware [iq_132]
- Added driver for games on Irem M62 hardware [Barry]
- Added driver for games on Irem M63 hardware [iq_132]
- Added driver for games on Irem M72 hardware [iq_132]
- Added driver for games on Irem M90 hardware, replacing old driver [iq_132]
- Added driver for games on Irem M92 hardware, replacing old driver [iq_132]
- Added driver for Lord of Gun and Alien Challenge [iq_132]
- Added driver for Marine Boy [kenshiro]
- Added driver for Operation Thunderbolt [Barry]
- Added driver for Pocket Gal Deluxe [iq_132]
- Added Cave games to the PGM driver and made other improvements to the driver [iq_132]
- Added some non-working clones to the PGM driver [JacKc]
- Added driver for the S2650 based Pacman games [iq_132]
- Added Fantasy Zone 2 to the Sega System 16B driver [Barry]
- Added driver for games on Seta hardware [iq_132]
- Added driver for Success Joe [iq_132]
- Added driver for games on Taito-B hardware [iq_132]
- Added driver for games on Tecmo System hardware [iq_132]
- Added driver for Varia Metal [iq_132]
- Added driver for World Cup '90 bootleg hardware [Barry]
- Added driver for Xor World [iq_132]
- Added The Pit to the Galaxian driver [Barry]
- Added Triple Draw Poker to the Galaxian driver [Barry]
- Added Puzzle Break to the Hyper Pacman driver [Barry]
- Added a module for the Taito TC0180VCU tilemap chip [iq_132]
- Added a module for the Tatio TC0640FIO I/O chip [Barry]
- Ported MAME's Time Keeper module to FB Alpha [Barry]
- Fixed some inputs in the Taito B driver [Barry]
- Added Thunder Fox to the Taito F2 driver [Barry]
- Added Operation Wolf 3, Slapshot and Top Speed to the Taito Misc driver [Barry]
- Added Volfied to the Taito Misc driver [Barry]
- Added bootleg of 1943 to the 1943 driver [Barry]
- Added 2 clones to the 1943 driver [Barry]
- Added clone of Armed Formation to the Armed Formation driver [Barry]
- Added clone of Black Tiger to the Black Tiger button [Barry]
- Added clone of Blood Bros. to the Blood Bros. driver [BisonSAS]
- Added Koro Koro Quest and Crusher Makochan to the Cave driver [iq_132]
- Removed fake region switches and added clones to Air Gallet, Mazinger Z and Pretty Soldier Sailor Moon in the Cave driver [Barry]
- Added clone of 1941 to the CPS-1 driver [Barry]
- Added bootleg of Cadillacs and Dinosaurs (Dinosaur Hunter) to the CPS-1 driver [Barry, JacKc]
- Added 2 clones of Captain Commando to the CPS-1 driver [Barry]
- Added clone of Dynasty Wars to the CPS-1 driver [Barry]
- Added clone of Final Fight to the CPS-1 driver [Barry]
- Added 2 clones of Forgotten Worlds to the CPS-1 driver [Barry]
- Added 2 clones of King of Dragons to the CPS-1 driver [Barry]
- Added clone of Knights of the Round to the CPS-1 driver [Barry]
- Added bootleg of The Punisher to the CPS-1 driver [JacKc]
- Added bootleg of Street Fighter 2 to the CPS-1 driver [Barry]
- Added 2 clones of Street Fighter 2 to the CPS-1 driver [Barry]
- Added clone of Street Fighter 2 Champion Edition to the CPS-1 driver [Barry]
- Added clone of UN Squadron to the CPS-1 driver [Barry]
- Added clone of Dungeons & Dragons: Tower of Doom to the CPS-2 driver [Barry]
- Added clone of Eco Fighters to the CPS-2 driver [Barry]
- Added clone of Gigawing to the CPS-2 driver [Barry]
- Added clone of Marvel vs. Capcom to the CPS-2 driver [Barry]
- Added clone of Ring of Destruction to the CPS-2 driver [Barry]
- Added clone of Street Fighter Alpha to the CPS-2 driver [Barry]
- Added clone of Street Fighter Alpha 2 to the CPS-2 driver [Barry]
- Added 2 clones of Street Fighter Alpha 3 to the CPS-2 driver [Barry]
- Added 3 clones of X-Men: Children of the Atom to the CPS-2 driver [Barry]
- Added clone of X-Men vs. Street Fighter to the CPS-2 driver [Barry]
- Added several Phoenix sets to the CPS-2 driver [Barry]
- Added clones of Red Earth to the CPS-3 driver [Barry]
- Added support to the CPS-3 driver for JoJo's Venture USA BIOS [Barry]
- Added support to the CPS-3 driver for Street Fighter III Hispanic BIOS [Barry]
- Added 2 clones of Street Fighter Zero to the CPS Changer driver [Barry]
- Added 3 clones of Street Fighter Zero to the CPS Changer driver [JacKc]
- Added clone of Double Dragon to the Double Dragon driver [Barry]
- Added clone of Biomechanical Toy to the Gaelco driver [Barry]
- Added clone of Amidar to the Galaxian driver [Barry]
- Added clone of Defend the Terra Attack on the Red UFO to the Galaxian driver [Barry]
- Added clone of Hot Shocker to the Galaxian driver [Barry]
- Added 2 clones of Moon Cresta to the Galaxian driver [Barry]
- Added clone of Moon Shuttle to the Galaxian driver [Barry]
- Added clone of Scorpion to the Galaxian driver [Barry]
- Added clone of Scramble to the Galaxian driver [Barry]
- Added clone of Streaking to the Galaxian driver [Barry]
- Added bootleg of Gyruss to the Gyruss driver [Barry]
- Added clone of Parodius DA! to the Konami driver [Barry]
- Added clone of Teenage Mutant Ninja Turtles to the Konami driver [Barry]
- Added clone of Iron Clad to the Neo Geo driver [JacKc]
- Added clone of Jockey GP to the Neo Geo driver [Barry]
- Added clone of King of Fighters '97 to the Neo Geo driver [Barry]
- Added clone of King of Fighters '98 to the Neo Geo driver [Barry]
- Added Last Hope to the Neo Geo driver [Barry, Robert]
- Added clone of Quiz Daisousa Sen to the Neo Geo driver [Barry, JacKC]
- Added clone of Quiz King of Fighters to the Neo Geo driver [Barry, JacKC]
- Added clone of Real Bout Fatal Fury Special to the Neo Geo driver [Barry, JacKC]
- Added Oriental Legend Special Plus to the PGM driver[iq_132, info from CreamyMami]
- Added clone of Prehistoric Isle to the Prehistoric Isle driver [Barry]
- Added clone of Space Bomber to the Psikyo SH-2 driver [Barry]
- Added clone of Fantasy Zone to the Sega System 16A driver [Barry]
- Added clone of Shinobi to the Sega System 16A driver [Barry]
- Added clone of Bloxeed to the Sega System 16B driver [Barry]
- Added clone of Fantasy Zone to the Sega System 16B driver [Barry]
- Added clone of Heavyweight Champ to the Sega System 16B diver [Barry]
- Added the ISG bootlegs to the Sega System 16B driver [Barry]
- Added clone of Desert Breaker to the Sega System 18 driver [Barry]
- Added clone of Galaxy Force 2 to the Sega Y-Board driver [Barry]
- Added clone of Rail Chase to the Sega Y-Board driver [Barry]
- Added clone of Street Fighter to the Street Fighter driver [Barry]
- Added clone of Armed Police Batrider to the Toaplan-2 driver [Barry]
- Added clone of Dogyuun to the Toaplan-2 driver [Barry]
- Added clone of Vigilante to the Vigilante driver [Barry]
- Made the foreground layer in Air Buster transparent [Barry, reported by BisonSAS]
- Fixed the background rendering in Anteater [Barry]
- Tidied the dips in the Blood Bros. driver [BisonSAS]
- Tidied up the dips, titles, and manufacturers in the Cave driver as well as fixing EEPROM config in Hotdog Storm and Metomoquester and fixing savestates [BisonSAS]
- Made the Resale versions of CPS-1 games run at 12MHz [Barry]
- Tidied up dips and added Unicode title to the Crash Race driver [BisonSAS]
- Forced the Demon World driver to use the Musashi 68000 core [iq_132]
- Fixed the Gun Smoke driver video and sound speed [Lantus]
- Added unicode titles, fixed some inputs and dips, and corrected some resolutions in all of the Konami drivers [BisonSAS]
- Fixed the sprite offset in the Konami Ultraman driver [BisonSAS]
- Fixed inputs and dips and added Unicode titles to the Magical Cat Adventure driver [BisonSAS]
- Fixed an error in the Metal Slug 5 (bootleg) driver initialisation [kenshiro]
- Fixed inputs and added Unicode title to the Mogura driver [BisonSAS]
- Labelled the HyperFlip button in Moon War [Barry]
- Tidied up the Power Instinct driver fixing some Z80 handling, Z80 reads and writes, sound hardware handling and boosted the interleave to fix the sound [Barry, reported by BisonSAS]
- Fixed a romsize in the Robocop driver [JacKc]
- Correctly cleared the screen in the Seta2 driver, fixing Subsino logo in Penguin Brothers [Barry, reported by BisonSAS]
- Added unicode titles to the Tumble Pop bootleg driver [BisonSAS]
- Fixed dip switches in the Turbo Outrun driver [Barry]
- Fixed inputs and dips and added Unicode titles to the Welltris driver [BisonSAS]
- Corrected clocks in the Double Dragon driver [Barry]
- Corrected clocks in World Cup 90 as per MAME 0.136u4 [Barry]
- Added ability to adjust CPU speed in the World Cup 90 driver [Barry]
- Added ability to adjust CPU speed in the Sega drivers [Barry]
- Added ability to adjust CPU speed in the Megadrive driver [Barry, suggested by manliodp]
- Fixed a psikyosh crash and implemented the graphics banking[iq_132]
- Fixed rotated screenshots [BisonSAS, regret (FBAShuffle)]
- Fixed the "include" implementation in the cheat file parser [BisonSAS]
- Removed kof95a as it seems to be a bad dump [JacKc]
- Excluded Neo Geo "decrypted C sets" from the build [Barry]
- Added support to the Neo Geo driver for a new BIOS rom [Barry]
- Corrected the Iron Clad V3 rom in the Neo Geo driver [JacKc]
- Updated the Forgotton Worlds alt gfx set loading routine to support the new rom layout [Barry]
- Updated the CPS-1 mappers as per MAME [Barry]
- Updated the dat file writing module to ignore the CPS-3 driver when writing the ROM_VERIFY dat [Barry]
- Fixed priorities in Magical Cat Adventure driver [iq_132]
- Fixed sprites in Bloxeed, making it working [Barry]
- Improvements to the M68705 core [iq_132]
- Tidied up the dips and the driver for Batrider, Battle Garegga, Batsugun and Dogyuun [JackC]
- Added 1360x768 to the auto-detect aspect ratio code [CaptainCPS]
- Fixed the favorites feature with drivers longer than 8 characters [CaptainCPS]
- Reverted back to the perl script for generating driverlist.h and amended it to support the changes to the BurnDriver struct since it was last used [Barry]
- Tidied code to build without warning using GCC 3.4.5 and GCC 4.5.2 [Barry]
- Updated the compile guides to work with the newest available tools [Barry]
- Matched all sets to MAME 0.143u6 [Barry]

### v0.2.97.08

- Added a sample player to the Burn library to allow external samples to used with drivers [iq_132]
- Added a module to display LEDs on screen [iq_132]
- Ported MAME's M6805 core and added an interface for it to the burn library [iq_132]
- Added an interface to the M68705 core for Taito games [iq_132]
- Enabled the Y8950 emulation in fmopl.c and created a module for it in the burn library [Barry]
- Fixed VSynch support in all blitters [CaptainCPS]
- Added a RGB hex display to the Palette Viewer [Barry]
- Added support to the System 16 FD1094 interface for multiple CPUs [Barry]
- Added memory callback support to the HD6309 core interface [Barry]
- Added custom tile size support to the Generic Tiles Rendering module [Barry]
- Added generic rendering for games using transparency tables [iq_132]
- Added support to the Namco Sound module for stereo sound and fixed the mono output [iq_132]
- Added CUS30 handling to the Namco Sound module [iq_132]
- Enabled m6803_internal_register_r in the M6800 CPU core [iq_132]
- Added driver for Air Buster [iq_132]
- Added driver for games on Angel Kids hardware [iq_132]
- Added driver for Baraduke [iq_132]
- Added driver for Egg Hunt [iq_132]
- Added driver for Fairy Land Story [iq_132]
- Added driver for Ginga NinkyouDen [iq_132]
- Hooked up the Y8950 sound in Ginga NinkyouDen [Barry]
- Added driver for games on Lady Bug hardware [iq_132]
- Added driver for Markham [iq_132]
- Added driver for Mogura Desse [iq_132]
- Added driver for Pushman [iq_132]
- Added driver for Sky Kid [iq_132]
- Added driver for Speed Spin [iq_132]
- Added driver for Asuka & Asuka and similar games on Taito hardware [iq_132 (thanks to JackC for testing)]
- Added driver for Welltris [iq_132]
- Added clone of 1942 to the 1942 driver [Barry]
- Added clone of Arkanoid to the Arkanoid driver [Barry]
- Enabled clones of Arkanoid that require the M68705 CPU [iq_132]
- Added bootleg of Final Fight to the CPS-1 driver [Barry]
- Added clone of Pang 3 to the CPS-1 driver [Barry]
- Added Street Fighter 2 (Double K.O. Turbo II) bootleg to the CPS-1 driver [iq_132]
- Added clone of Dark Stalkers to the CPS-2 driver [Barry]
- Added clone of Dungeons & Dragons: Shadow Over Mystara to the CPS-2 driver [Barry]
- Added clone of Hyper Street Fighter 2 to the CPS-2 driver [Barry]
- Added clone of Mega Man 2 to the CPS-2 driver [Barry]
- Added clone of Super Puzzle Fighter 2 Turbo to the CPS-2 driver [Barry]
- Rewrote the Dec0 driver from scratch (currently preliminary) [Barry]
- Added Dark Tower to the Double Dragon driver [Barry]
- Added clone of Moon Cresta to the Galaxian driver [Barry]
- Added clone of Scramble to the Galaxian driver [Barry]
- Added WOW New Fantasia to the Gals Panic driver [BisonSAS]
- Added clone of Ghosts n' Goblins to the Ghost's n' Goblins driver [Barry]
- Added clone of X-Men to the Konami driver [Barry]
- Added clone of Airwolf to the Kyugo driver [Barry]
- Added clone of Last Duel to the Mad Gear driver [Barry]
- Added clone of King of Fighters '95 to the Neo Geo driver [iq_132]
- Added clone of Samurai Shodown II to the Neo Geo driver [Barry]
- Added clone of Samurai Shodown IV to the Neo Geo driver [Barry]
- Added Ironclad to the the Neo Geo driver [iq_132]
- Added kof96ep, kof97pla, kf2k1pls, kf2k1pa, cthd2k3a, kf2k2plb, kf2k2plc, kf2k4pls, mslug5b, kof96cn, kof96ae, kof97cn, kof97xt, kof98ae and kf2k2ps2 to the Neo Geo driver [Barry]
- Added Popeye-Man to the Pacman driver [Barry]
- Added preliminary driver for Rally X [Barry]
- Added clone of Alien Syndrome to the Sega System 16B driver [Barry]
- Added clone of Super Hang-On to the Sega Hang-On driver (enabled in debug builds only because it doesn't work) [Barry]
- Added clone of Mega Blast to the Taito F2 driver [Barry]
- Enabled clones of Tiger Heli that require the M68705 core [iq_132]
- Added Demon World, Fire Shark, Rally Bike, and Vimana to the Toaplan-1 driver [iq_132]
- Added Knuckle Bash 2 to the Toaplan-2 driver [iq_132]
- Added clone of Outzone to the Toaplan-1 driver [Barry]
- PGM Changes [iq_132]
  - 02-27-2010
    - Added kov2a and kov2b (kov2b is disabled) partially dumped sets
    - Thanks to JackC for helping sort a few sets.
  - 12-05-2009
    - Added Happy6in1 (XingXing)
    - Added newer 68k bios (XingXing)
    - Added fake dip switch to switch beween 68k bios versions
    - Added kovsh103 (XingXing)
    - Added martmastc102 (XingXing)
    - Added region dips for martmastc102
    - Added proper dump for demon front (alt) (XingXing)
    - Added several pgm bootleg/hacks from MAME Plus
    - Added proper dump for orlegendc
    - Labeled region dips as "fake" as they are really hacks since PGM games usually have their regions supplied by the protection devices.
- Corrected the CPU clocks in the Outrun driver as per MAME 0.135u4 [Barry]
- Fixed a memory issue when exiting the CPS-1 driver [iq_132]
- Fixed a crash when loading games in the Blood Bros. driver [BisonSAS and iq_132]
- Fixed graphics in My Angel 2 [iq_132]
- Emulated the M68705 in Legend of Kage rather than simulate it [iq_132]
- Added layer disable to the CPS-3 driver [iq_132]
- Fixed CPS-3 sound synch when using non-standard frame rates [CaptainCPS]
- Fixed a romname in mslug4nd [kenshiro]
- Fixed init bug in Guardians in the Seta-2 driver [kenshiro]
- Added UniCode titles and fixed some details in the Cross Pang driver [BisonSAS]
- Fixed crash in the D-Con driver [BisonSAS and iq_132]
- Corrected dipswitches in the F-1 Grand Prix driver [BisonSAS
- Fixed graphics in Fantasia II (Less Explicit) in the Gals Panic driver [BisonSAS]
- Fixed crash in Ultra Balloon (SunA16 driver) [Bruce Lee and iq_132]
- Various fixes in the Tao Taido driver [BisonSAS]
- Added a new support file importer module [CaptainCPS]
- Added option to use a background image in the menu bar [CaptainCPS]
- Updated the jukebox and improved Neo Geo support [CaptainCPS]
- Converted the driver list generation perl script to C++ and changed the documentation output to HTML [CaptainCPS]
- Fixed an issue when loading tracklists in the jukebox [CaptainCPS]
- Updated the megadrive driver to the latest one generated from the database on barryharris.me.uk [Barry]
- Matched all sets to MAME 0.136u3 [Barry]
- Updated libpng to version 1.4.0 [Barry]
- Fixed a MSVC compile issue with the latest libpng [CaptainCPS]

### v0.2.97.07

- Ported YM2413 core from SMS Plus and added an interface for it [Barry]
- Added a seperate timer to the YM3812 interface allowing the chip to be used with other FM chips and updated all the drivers that use it [Barry]
- Added support to the AY8910 core to handle the ports outside of the init function, and updated the YM2203 interface to use them [iq_132]
- Fixed a stupid bug I introduced in the K051649 core [Barry]
- Added timer support for the M6502 CPU [iq_132]
- Seperated the op code area for the M6502 CPU [iq_132]
- Fixed cheat support in the SH-2 CPU core [iq_132]
- Small fix to the Z80 core to reset the registers [iq_132]
- Fixed typo in the HD6309 core as per MAME 0.132u4 [iq_132]
- Added a palette viewer for games on Cave, CPS-1/2/3, Megadrive, Neo Geo, PGM, Psikyo and Toaplan hardware and any game using the generic tiles module, which covers most games [Barry]
- Fixed the XML Dat file output to properly support ampersands in rom names [Barry]
- Made the maximum rom name length 100 characters instead of 32 [Barry]
- Added a warning to BurnTransferCopy when BurnTransferInit hasn't been called [iq_132]
- Fixed an issue with reporting some sound options in the System Info dialog that came about when changing the sound interface to plug-ins [Barry]
- Removed the active Z80 core from the System Info dialog as the ZET interface only supports one core [Barry]
- Added support for Vista, Server 2008 and Windows 7 detection to the System Info dialog [Barry]
- Added an Atari filter to the game selection dialog [Barry]
- Added driver for Blood Bros. and Sky Smasher [iq_132]
- Added driver for D-Con and SD Gundam Psycho Salamander no Kyoui [iq_132]
- Added a preliminary driver for games on DEC-8 hardware [iq_132]
- Added a preliminary driver for Gauntlet [Barry]
- Added driver for games on Karnov hardware [iq_132]
- Added driver for Konami Twin 16 hardware [iq_132]
- Added Bells & Whistles and Sunset Riders to the Konami drivers [Barry]
- Added Lightning Fighters, Punk Shot, Quiz Gakumon no Susume, Teenage Mutant Ninja Turtles - Turtles in Time, Thunder Cross II to the Konami drivers [iq_132]
- Added driver for Mitchell hardware [Barry]
- Added driver for games on NMK16 hardware [iq_132]
- Added driver for games on Psikyo SH hardware [iq_132]
- Added driver for Return of the Invaders [iq_132]
- Added driver for scooter Shooter [iq_132]
- Added Atomic Point and Snapper to the Sega System 16B driver [Barry]
- Added driver for Speed Rumbler [iq_132]
- Added preliminary driver for Toki [iq_132]
- Added driver for Vendetta, press F2 whilst booting to pass the ROM test [iq_132]
- Added driver for games on Yun Sung 16 hardware [iq_132]
- Added driver for WWF Superstars [iq_132]
- Added bootleg of Street Fighter 2 to the CPS-1 driver [Barry]
- Added Street Fighter II - Champion Edition Accelerator! bootleg to the CPS-1 driver [Barry]
- Added Street Fighter II Quicken Pt-I bootleg to the CPS-1 driver [Barry]
- Added sf2m9, sf2m10, sf2m11 and sf2m12 to the CPS-1 driver [Barry]
- Added clone of Dungeons & Dragons to the CPS-2 driver [Barry]
- Added clone of Battle of Atlantis to the Galaxian driver [Barry]
- Added a clone of Dambusters to the Galaxian driver [Barry]
- Added Kamakazi III to the Galaxian driver [Barry]
- Added various games and clones to the New Zealand Story driver [iq_132]
- Added clone of Pacman to the Galaxian driver [Barry]
- Added Phoenix Part 2 to the Galaxian driver [Barry]
- Added clone of Space War S to the Galaxian driver [Barry]
- Added clone of Strategy X to the Galaxian driver [Barry]
- Added clone of Metal Slug 4 to the Neo Geo driver [Barry]
- Added clone of Outrun to the Outrun driver [Barry]
- Added a clone to the Shadow Force driver [Barry]
- Added Back Fire to the Tecmo driver [iq_132]
- Added clone of Hellfire to the Toaplan-1 driver [Barry]
- Added clone of Battle Garegga to the Toaplan-2 driver [Barry]
- Added clone of X-Men to the X-Men driver [Barry]
- Fixed potential memory leak in the Tengai driver rom loading [kenshiro]
- Fixed the palette decoding in Dambusters to work with the correct PROM dump [Barry]
- Added Z-Rejection support to the K053245 module, fixing sprites in Bells & Whistles and Sunset Riders [iq_132]
- Added a module for the Konami K053936 IC module [iq_132]
- Added shadow support to the Konami IC chips where necessary [iq_132]
- Fixed Cue Brick [Barry]
- Fixed an issue with coin inputs in the 2 Player versions of Crime Fighters [iq_132]
- Fixed the Haunted Castle driver [Rasek, iq_132]
- Fixed an issue with the Konami Twin 16 driver when compiling with VC [Barry]
- Added support for the new graphic roms in gradius2 [Barry]
- Fixed savestates in the Gyrus driver [iq_132]
- Fixed the sound in Scooter Shoorer [Barry]
- Tidied up the Mad Gear driver to support the new sets and increased interleave which fixes the music [Barry]
- Modified the Power Instinct driver to use the generic drawing routines [iq_132]
- Added Mobile Suit Gundam EX Revue and the Sammy shooting games to the Seta2 driver [iq_132]
- Fixed the gun inputs in the Sammy shooting games [Barry]
- Added the ability to read from the X1-010 sound chip and hooked it up in the Seta2 driver, improving the sound [Barry]
- Fixed memory leaks in the Shadow Force driver's graphic rom loading [kenshiro]
- Tidied the Toki driver and added sound [Barry]
- PGM Updates [iq_132]
  - Fixed kov2106 thanks to the FBA Shuffle team :) [iq_132]
  - Added a few small speedups
    - Only recalculate the whole palette when needed now rather than every frame [iq_132]
    - Clear all video buffers in one loop [iq_132]
  - Fixed a crash when doing line scroll (see kovsh intro - fire stage background) [iq_132]
  - Fixed sound after save state load [iq_132]
- Megadrive Updates [Barry]
  - Fixed an issue with games' buggy sound programs expecting certain results back [Barry]
  - Added support for some custom banking cartridges [Barry]
  - Updated the web-based Megadrive driver database with the new games from HazeMD 0.14a [Barry]
  - Removed rom editing capability from the web form [Barry]
  - Updated the web-based Megadrive driver generator to support games with multiple roms [Barry]
  - Added a check to the driver generator to make sure any non-working parents are included in release builds if they have working clones [Barry]
- Matched all sets to MAME 0.134u3 [Barry]
- Changed the dat file output using the ROM_VERIFY compile-time flag to produce the XML datfile type [Barry]
- Updated libpng to version 1.2.40 [Barry]
- Updated the compile guides to work with the newest available tools [Barry]

### v0.2.97.06

This version includes a big change in the Z80 CPU interface. Specifically MAME's Z80 core is now used for all games. This should give better results and make the program more portable. We have done a lot of testing but if you notice any new problems please let us know and we can fix them.

This version also includes changes in the EEPROM code and input assignment code. As well as the changed save states for the ZET interface, these render old config and save files pretty much useless. It is advised to delete the contents of the config\games folder before using this version. Savestates are a bit hit-and-miss at the moment anyway. I plan to pay some attention to savestates in the next version and hopefully boost compatibility.

- Fixed the ZET interface when used with MAME's Z80 CPU core and removed support for all other Z80 CPU cores [Barry]
- Updated lots of drivers to work with the changes to the ZET interface [Barry]
- Updated some more drivers to work with the ZET interface changes [iq_132]
- Improved existing Konami IC chip emulation and added support for some new chips [iq_132]
- Ported the K0051649, K053260 and K054539 sound cores from MAME [iq_132]
- Fixed the K0051649, K053260 and K054539 sound cores sample rate support [Barry]
- Added a seperate timer to the YM3526 interface allowing the chip to be used with other FM chips [Barry]
- Added support for the M6801 CPU in the M6800 interface [Barry]
- Finally, and I do mean finally fixed the bug in the RF5C68 core, giving full sound in Sega System 18 [Barry]
- Fixed the issues with the YM2203 core [Barry]
- Big update to the cheat interface supporting multiple CPUs [iq_132]
- Added savestate support to the Namco Sound module [Barry]
- Converted the Galaga driver to use the ZET interface and added savestate support [Barry]
- Converted the Sega System 1 driver to use the ZET interface [Barry]
- Converted the MC8123 Sega System 16B games to use the ZET interface [Barry]
- Converted the games in the Galaxian driver that used a custom interface to use the ZET interface [Barry]
- Fixed savestate support in the M6809 CPU interface [iq_132]
- Fixed savestate support in the M6800 series CPU interface [Barry]
- Replaced the EEPROM code with a port from MAME [iq_132]
- Updated the Battle Bakraid, Cave, CPS-1, CPS-2, ESD 16, Kaneko 16, Midas, Space Gun and Zero Point 2 drivers to work with the new EEPROM code [Barry, iq_132]
- Fixed problem with the low-pass filter in the DirectSound plugin [Barry]
- Added lots of Konami games [iq_132]
- Added driver for Bubble Bobble and clones [Barry]
- Added driver for Arabian [iq_132]
- Added a bootleg of SCI to the Taito Z driver [Barry]
- Added a clone of Forgotten Worlds to the CPS-1 driver [Barry]
- Added clone of The Combatribes [Barry]
- Added clone of Final Star Force [iq_132]
- Added clone of The Legend of Kage[iq_132]
- Fixed the DAC sound in King & Balloon [Barry]
- Fixed Mighty Monkey and clones and enabled in release builds [Barry]
- Enabled the Kangaroo driver in release builds now that the ZET interface changes made it work [iq_132]
- Added support for hardware specific input presets, cps.ini, Neo Geo.ini and pgm.ini [Barry]
- Added a Save preset button to the input dialog to save the currently defined inputs into a hardware preset file [Barry]
- Updated the help file with details of the new items in the Input Dialog [Barry]
- Fixed some issues with saving and reading files for drivers with more than 8 characters in their name [Barry]
- Fixed an issue when updating the previous games list with drivers with more than 8 characters in their name [Barry]
- Widened the short gamename column in the selection dialog [Barry]
- Disabled the rather annoying system beep in DEBUG builds [iq_132]
- Matched all sets to MAME 0.131u3 [Barry]

### v0.2.97.05

- Tidied source to compile cleanly with GCC 3.4.5, GCC 4.3.3 and the latest Microsoft SDKs [Barry]
- Wrote compile guides for the above which are available on my website [Barry]
- Replaced the readme.txt with a detailed Windows help file [Barry]
- Replaced the whatsnew.txt with a HTML document and added a link to it from the help menu [Barry]
- Updated libpng to the current version (1.2.35) [Barry]
- Made a new higher quality icon, with support for the nice big vista icon [Barry]
- Ported MAME's Konami CPU core [iq_132]
- Fixed an issue with the M6809 interface [iq_132]
- Fixed Konami core to compile with VC [Barry]
- Added Signed Write support to the DAC core [Barry]
- Added control over the volume of the DAC core [Barry]
- Added option to control whether the DAC core adds to the current buffer or not [Barry]
- Big update to the Megadrive driver [Barry]
  - Greatly improved timing
    - Changed the YM2612 to use the 68000 for timing since the Z80 can be disabled
    - Properly supported PAL
    - Updated the reset routine to support switching between regions
  - Changed to MAME's Z80 core - it works much better
  - Basic SRAM support
  - Added support for most games that require special init functions
  - General tidy-up and many small fixes
  - Most games now work - testing is under way to enable games that are working (see my site for details on how you can help this effort)
  - Updated to the latest driver generated from the database
- Added driver for 1943 [Barry]
- Added driver for F1 Grand Prix [iq_132]
- Added driver for games on Fuuki FG-3 hardware [iq_132]
- Added driver for Gyrus [iq_132]
- Added driver for Haunted Castle [iq_132]
- Added driver for Lethal Crash Race [iq_132]
- Added driver for Vigilante and games on similar hardware [Barry]
- Added clone of Chase HQ to the Taito Z driver [Barry]
- Added clone of Mighty Pang to the CPS-2 driver [Barry]
- Added clone of Night Warriors to the CPS-2 driver [Barry]
- Added clone of Operation Wolf to the Taito Misc driver [Barry]
- Added support for the Neo Geo Deck BIOS [Barry]
- Made the Neo Geo BIOS select more intuitive [Barry]
- Improved the PGM driver, see changes.txt in the PGM folder for full details [iq_132]
- Simulated the protection in Oriental Legends Special/Super making it playable [XingXing]
- Fixed background colours and added savestates to 1943 [iq_132]
- Fixed an issue with some sprites in World Cup '90 [Barry]
- Fixed text layer in Metal Slug 4 Plus [kenshiro]
- Added XAudio2 Sound plugin, partially based on FBA Shuffle [Barry]
- Fixed an issue with the Neo Geo driver flags, fixing Memory Cards and Button Macros [Barry]
- Added the full range of button combinations to the Neo Geo macros [Barry]
- Added macro support for the PGM driver [Barry]
- Changed the parent filters in the selection dialog to behave in the expected way [Barry]
- Fixed MAWS links [Barry]
- Moved the FPS display in the DirectX 9 blitter to the top right [FBAShuffle]
- Matched all sets to MAME 0.131 [Barry]

### v0.2.97.04

- Moved Namco sound to it's own module and updated the Pac-Man driver [Barry]
- Added driver for Galaga [Barry]
- Added driver for Pass [iq_132]
- Added a hack to get Knights of Valour 2 Plus working [XingXing]
- Tidied up the SoftFX blitters [Barry]
  - Updated the Enhanced blitter to allow more filters
  - Added support to the ini file for long long integers to support the Enhanced blitter
  - Added hq2xS, hq3xS, hq2xBold, hq3xBold, EPXB and EPXC filters from SNES9X ReRecording
  - Added SuperEagle, 2xSaI, Super 2xSaI filters from VBA ReRecording
- Fixed issue with board roms in ClrMAME XML DAT generation [Barry]
- Changed ampersands in the ClrMAME XML DAT output to their HTML entity [Barry]
- Some updates to the Megadrive driver via the online generator [nj7, JackC, arturf]
- Fixed some rom sizes in non-working parents [Barry, pointed out by JackC]
- Fixed license2rtf.pl to allow hyphens in URLs [Barry]
- Matched all sets to MAME 0.129u6

### v0.2.97.03

- Ported MAME's ARM7 CPU core and added an interface to it [iq_132]
- Fixed some issues with the ARM7 code when compiled with VC [Barry]
- Ported MAME's S2650 CPU core and added an interface for it [iq_132]
- Added support for IRQ callbacks to the S2650 interface [Barry]
- Added support to retrieve the PC from the S2650 interface [Barry]
- Added support for hiscore.dat [Barry]
  - The default path is support\hiscores, and .hi files will be stored there
  - The path is configurable via the support files dialog
  - hiscore.dat should be placed in the path
  - Hi Scores are only loaded and saved if the option "Save high scores when supported" is enabled
  - Hi scores are only loaded and saved if a driver supports it (the various info dialogs will inform in the comments section if high scores are supported for a game)
  - Added support to the Galaxian and World Cup 90 drivers
- Added S2650 support to the cheat and hiscore modules [Barry]
- Added support for hq2xS and hq3xS filters from FBA Shuffle (hq3xS only built with VC) [Barry]
- Added 2xPM LQ and 2xPM HQ to the SoftFX blitters [Barry]
- Big update to the PGM driver (see driver for details) [iq_132, tested by JackC and Aquashark]
- Added games on the S2650 CPU to the Galaxian driver [Barry]
- Added clone of Super Cobra to the Galaxian driver [Barry]
- Added clone of Dogyuun to the Toaplan2 driver [Barry]
- Added clone of World Cup 90 to the driver [Barry]
- Added driver for Diver Boy [iq_132]
- Added driver for games on Armed Formation hardware [iq_132]
- Added driver for games on Magical Cat Adventure hardware [iq_132]
- Added driver for Sky Fox [iq_132]
- Added driver for Got-cha Mini Game Festival [iq_132]
- Updated EPOS driver, fixing Dealer [iq_132]
- Added Warriors of Fate to the CPS Changer driver [iq_132]
- Changed the Megadrive driver to be generated from a status database on my website [Barry]
- Fixed sprite based Capcom logos in CPS-2 Phoenix games [Barry]
- Fixed memory leak with CPS-2 games, noticed by kenshiro and Leaf [Barry]
- Added savestate support to the Galaxian driver [Barry]
- Fixed the default dips in Tiger Road and hooked up the correct dips in F1 Dream [Barry]
- Corrected aspect ratio for Bank Panic [CaptainCPS]
- Cleaned up the 4 En Raya, Ambush, Dotrikun, Minivader, Silkroad and Wall Crash drivers [iq_132]
- Fixed an error in the selection dialog when pressing Cancel [CaptainCPS]
- Corrected an issue with scaling some PNGs for the selection dialog [CaptainCPS]
- Improved the Options tab in the selection dialog [CaptainCPS]
- Stopped the selection dialog switching to the favourites tab when adding a game to your favourites [CaptainCPS]
- Fixed the game information printed from the favourites game list [Barry]
- Added new clrMame Pro XML dat file output [Barry]
- Fixed rotated games when using the DirectX 9 blitter [fbashuffle]
- Added FPS display to the DirectX 9 blitter [fbashuffle]
- Matched all sets to MAME 0.129u5 [Barry]

### v0.2.97.02

- Added a driver for games on Galaxian hardware, 177 new sets [Barry]
- Added support for insane sample Galaxian sound sample hardware and the various AY8910 interfaces in the Galaxian driver [Barry]
- Moved PPI8255 module to the burn folder so it can be accessed by all drivers [Barry]
- Added support for a third PPI8255 [Barry]
- Added driver for Aquarium [iq_132]
- Added driver for Dark Seal [iq_132]
- Added driver for games on Deniam hardware [iq_132]
- Added driver for games on Midas hardware [iq_132]
- Changed the left and right sound channels in the CPS-3 driver [Barry]
- Fixed the speed-up hacks for Jojo's Venture [Barry]
- Improved analog controls in the Sega drivers when used with analog devices [CaptainCPS]
- Added some clones to the Toaplan2 driver [Barry]
- Added some new Phoenix sets to the CPS-2 driver (provided by bonky0013) [Barry]
- Some renames of roms in Neo Geo decrypted sets as reported by pmc2 [Barry]
- Fixed the aspect ratio in the Arkanoid driver [CaptainCPS]
- Added support to the Game Information dialog for Select, Versus, How To, Scores, Bosses and Game over previews [Barry]
- Added configurable path support for the above new previews [Barry]
- Fixed issue with selection dialog when clicking filters too fast [CaptainCPS]
- Added buttons to the selection dialog for tasks in the context-sensitive menu [CaptainCPS]
- Moved the options in the selection dialog to their own tab [CaptainCPS]
- Tidied the selection dialog [CaptainCPS]
- Tidied the rom and support path dialogs and made them less cumbersome [CaptainCPS]
- Changed the PNG load functions to use PNGlib [CaptainCPS]
- Added support for loading support files from zips [CaptainCPS]
- Added filter for Galaxian hardware to the selection dialog [Barry]
- Matched all set to MAME 0.129u3 [Barry]
- nb, the source is now doule-zipped similar to MAME for better compression

### v0.2.97.01

- Added driver for Black Tiger [iq_132]
- Added driver for Block Out [iq_132]
- Added driver for Blue Print [iq_132]
- Added driver for Cross Pang [iq_132]
- Added driver for Mug Smashers [iq_132]
- Added driver for Pirates [iq_132]
- Added driver for Tao Taido [iq_132]
- Added clone of Double Dragon 3 to the Double Dragon 3 driver [Barry]
- Added clone of Power Instinct to the Power Instinct driver [Barry]
- Added Street Fighter 2 Rainbow Set 3 to the CPS-1 driver [Barry]
- Applied fm.c fixes from MAME 0.128u2 [Barry]
- Added support to Zet to get the DE register [iq_132]
- Fixed the sound in Double Axle [Barry]
- Corrected the clocks in Prehistoric Isle fixing the music tempo [Barry]
- Fixed decryption for Street Fighter Zero 2 Alpha and clones [Barry]
- Matched all sets to MAME 0.128u7 [Barry]
- Changed the version string to include leading zeros in the final section [Barry]

### v0.2.96.99

- Added driver for Contra [iq_132]
- Added driver Funny Bubble [iq_132]
- Added driver for Legend of Kage [iq_132]
- Added driver for games on Legendary Wings hardware [iq_132]
- Added driver for Son Son [iq_132]
- Added Cue Brick to the Konami driver [Barry]
- Added clone of Armored Warriors to the CPS-2 driver [Barry]
- Added clone of Capcom Sports Club to the CPS-2 driver [Barry]
- Added clone of Giga Wing to the CPS-2 driver [Barry]
- Small speed-up in the generic tile handling, improving the speed slightly in lots of drivers [Barry]
- Corrected the text rom size in Samurai Shodown V and Samuari Shodown V Special [Barry]
- Updated the Neo Geo Bios roms [Barry]
- Added support for the Samurai Shodown V bootleg [Barry]
- Hooked up the region dip switch in the PCB version of Metal Slug 5 - this won't work until we have dumps of the actual PCB program roms though [Barry]
- Corrected the road colours in Enforce [Barry]
- Fixed sound in Ali Baba [iq_132]
- Fixed an issue with icon handling in the favourites module [CaptainCPS]
- Disabled the Neo Geo multislot menu item until such time it does something useful [Barry]
- Matched all sets to MAME 0.128

### v0.2.96.98

- Removed the keys for Neo Geo M1 decryption - the values are now derived from the rom, thanks to Haze and cyberwills [Barry]
- Fixed a memory issue in the HD6309 and M6809 CPU interfaces [kev]
- Allowed hi-res PNG images [CaptainCPS]

### v0.2.96.97

- Added decryption of the Neo Geo M1 roms, thanks to Andreas Naive and Haze [Barry]
- Added clone of Marvel vs Capcom to the CPS-2 driver [Barry]
- Added clone of Tengai to the Psikyo driver [Barry]
- Moved Cps1Draw() out of a loop resuling in a big speed up for CPS-1 [Barry]
- Added a "Deselect All" button to the IPS Manager dialog [Barry]
- Fixed an issue with the menu translation template [Barry]
- Matched all sets to MAME 0.127u4 [Barry]

### v0.2.96.96

- Ported MAME's M6809 CPU core [Barry]
- Ported MAME's HD6309 CPU core [Barry]
- Ported MAME's M6800, HD63701 CPU cores [Barry]
- Added an interface to the M6809 core and added support for it to BurnTimer and the cheat module [Barry]
- Added an interface to the HD6309 core and added support for it to BurnTimer and the cheat module [Barry]
- Added an interface to the M6800 and family cores and added support for them to BurnTimer and the cheat module [Barry]
- Added driver for Double Dragon and Double Dragon II [Barry]
- Added driver for Ghouls & Ghosts [Barry]
- Added driver for Renegade [Barry]
- Added SNK16 driver [iq_132]
- Added clone of The New Zealand Story to it's driver [iq_132]
- Added analog inputs to the SNK16 driver [Barry]
- Hooked up the sound CPU comms in the Power Instinct 2 driver [Barry]
- Very big update to the Jukebox [CaptainCPS]
- Rewrote favourites module - delete your old favorites.dat file [CaptainCPS]
- Added support for icons in the gamelists [CaptainCPS]
- Added options to configure vertical and horizontal full-screen resolutions seperately [CaptainCPS]
- Fixed another bug when FBA was used under Vista [CaptainCPS]
- Made the inputs dialog stop the sound properly when using the shortcut key [CaptainCPS]
- Applied the dialog sound fix above to the dip switch and cheat dialogs [Barry]
- Fixed a memory leak when loading PNGs [CaptainCPS]
- Optimised the automatic support file download feature [CaptainCPS]
- Matched all sets to MAME 0.127u2 [Barry]

### v0.2.96.95

- Added driver for Zero Zone and Las Vegas Girl [iq_132]
- Added a clone of Three Wonders to the CPS-1 driver [Barry]
- Changed the FD1089 module to use the external keys [Barry]
- Set CPS-3 back to 60fps [Barry]
- Matched all sets to MAME 0.127u1 [Barry]

### v0.2.96.94

- Fixed Windows Vista crash when opening the game selection dialog [CaptainCPS]
- Added Missing In Action to the TMNT driver [Barry]
- Removed an unnecessary array in sys16_run.cpp reducing the exe size [Barry]

### v0.2.96.93

- Added support for the K007232 sound chip [Barry]
- Added support for the K051960 and K052109 gfx chips [Barry]
- Rewrote the TMNT driver which is now fully working [Barry]
- Added driver for Commando and clones [Barry]
- Added ESD16 driver [iq_132]
- Added NMG5 driver [iq_132]
- Added Tecmo driver [iq_132]
- Added SunA16 driver [iq_132]
- Added Kangaroo driver to debug builds [iq_132]
- Added daimakr2 to the CPS-1 driver [Barry]
- Added snowbrod to the Snow Bros. driver [Barry]
- Added sound to the Pacman driver and fixed some issues with the default inputs [Barry]
- Added support for the YM3562 sound chip [Barry]
- Added the YM3526 sound to bestbest in the SunA16 driver [Barry]
- Added DAC support to Stratovox [iq_132]
- Corrected the refresh rate in the CPS-1 driver [Barry]
- Changed the refresh rate in the CPS-3 driver [Barry]
- Imported fixes from MAME 0.126u5 for fm.c [Barry]
- Reduced DAC volume in fm.c for YM2612 matching MAME 0.127 [Barry]
- Marked the fake CHD CPS-3 sets as hacks so they can be filtered out [Barry]
- Fixed an issue with cheats in Z80 (ZET) based games [Barry]
- Added a feature to auto-download support files [CaptainCPS]
- Merged all the LoadPNG() calls [CaptainCPS]
- Added favourite gamelist support [CaptainCPS]
- Allowed the recent gameslist to cycle games currently in the list [CaptainCPS]
- Fixed issues with mouse events on the game window [CaptainCPS]
- Added zlib/libPNG to FBA source, they are now compiled rather than using pre-compiled libraries [CaptainCPS]
- Some updates to the minGW Win32 header file allowing Win32 API Versions 3.8+ to be used, and also to add support for some new functionality to older versions[Barry, CaptainCPS]
- Added a filter for Konami games [Barry]
- Matched all sets to MAME 0.127 [Barry]

From this point forward, all releases are handled by Barry and each individual contribution is labelled.

### v0.2.96.92

- CaptainCPS readded netplay and removed the dependancy on any external dlls - use them at your own risk
- Fixed a problem with the SuperScale filter on nVidia gfx cards
- Merged in CaptainCPS's improvements to the game selection dialog
- Fixed a problem with the game information dialog displaying incorrect images
- Updated the romcenter dat module to support the latest romcenter
- Imported fixes from MAME 0.126u4 for fm.c
- Added a flag for MVS Cartidges and changed hardware description output
- Matched all sets to MAME 0.126u4

### v0.2.96.91

- Added the 2xPM filter to the softfx filters with help from CaptainCPS
- Added ElSemi's SuperScale and SuperScale75 filters
- Made the IPS Manager fallback to Simplified Chinese as a last resort as this is the reference language for the MAME Plus IPS collection
- Made the IPS Manager description vertically scrollable for long descriptions and reorganised the dialog
- Added CaptainCPS's auto monitor aspect ratio code
- Added driver for Unico games
- Moved the drawing code in CPS-1/CPS-2 to happen after the VBLANK IRQ - this shouldn't cause any problems but if you see anything that didn't happen in previous builds let us know

### v0.2.96.90

- Burner (interface) changes
  - Added board type, genre and family filters to the game selection dialog
    - Updated all drivers with the new flags
    - Amended the relevant dialogs to display the new genre and family information
    - Added the genre and family flags to the -listextrainfo output
  - Added gamelist localisation functionality
    - It works in much the same way as the UI localisation, beware though, that if you have a large file it can take some time to start the program, try and keep the file small and with only the titles you want to translate
    - Maximum titles to translate is currently set at 5000
    - The advantage of doing it this way is that the whole program benefits from translated titles, not just certain parts and the speed hit is only felt once rather than every time a title is retrieved
    - Obviously this only works with UNICODE build
  - Fixed some issues with clicking behind some dialog boxes
  - Fixed a problem with the config file, allowing multi-byte paths to be specified
  - Double clicking on cheats in the dialog now selects the next option, thanks to sho
  - Changed the menu in the game selection dialog to a basic menu
  - Increased the width of the info boxes in the game selection dialog to use all available space (and not crop text unnecessarily)
- Burn (emulation) changes
  - Hooked up the SN76496's in Van-Van Car
  - Finished up sf2m13 thanks to a small patch posted by iq_132 years ago
  - Added various homebrew games and demos (can be filtered out if you don't want to see them)
  - Added various decrypted C sets to the Neo Geo driver (can be filtered out if you don't want to see them)
  - Fixed a rom size issue in 8ballact
  - Matched all sets to MAME 0.126u3

### v0.2.96.89

- Added IPS support via a manager dialog.
  - Right click on the game list, open the manager, enable the patches you want, they are saved to a config file, then right click and play with your saved patches
- Fixed a problem with the saving of config files where the game title has unicode in it
- Added iq_132's Street Fighter driver
- Seperated the pacman driver from the misc section
- Removed some CPS-1 hacks

### v0.2.96.88

- Fixed an issue with the monitor aspect radio buttons
- Various fixes to the themed menus
- Added themed menus to the game selection dialog
- Prevented modeless menus being used with themes
- Added options to view details in MAWS, CAESAR, and progretto EMMA to the game selection context menu
- Added PNG support to the place holder image
- Added option to choose skins to the Misc menu
- Improved the localisation support for the game selection dialog and the game information dialog
- Added "Enable VSync" to the video menu
- Matched all sets to MAME 0.126u2

### v0.2.96.87

- Added dynamic video size switching to the core
- Merged in CaptainCPS's menu themes code and added the options to the misc menu (disabled by default)
- Merged in kev's and oopswares changes to zet and added CZ80 to the source distribution
- Fixed an issue causing the preview image not to display on program start when the Enhanced blitter was enable
- Fixed an issue with localisation support and added an option to reset to UI default language
- Changed the hotkeys for cheat search to be used with Ctrl
- Added support for the widescreen mode in Street Fighter III 2nd Impact
- Added a fake dipswitch to Street Fighter III for widescreen since the game seems to support it
- Added extracted roms to all CPS-3 sets (noone is likely to port CHD support just for CPS-3 which already works anyway)
- Added fake dip hack to make Red Earth and War Zard work
- Added sf2m8 to release builds
- Added tigerhb1 to the Tiger Heli driver
- Fixed a potential crash in the ICS2115 reset routine (spotted by iq_132)
- Matched all sets to MAME 0.126u1

### v0.2.96.86

- Burner (interface) changes
  - Added a game information dialog to burner
  - Tidied up the game selection dialog and seperated Kaneko 16 and Psikyo
  - Added a context menu to the game selection dialog
  - Added a most recently played games menu item
  - Changed the roms dir config dialog to support upto 8 paths
  - Fixed an issue with the roms dir config dialog that didn't let the user clear an entry
  - Added the roms dir config dialog to the Misc menu
  - Added a dialog to configure support files (previews, titles, flyers, marquees, controls, cabinets, pcbs, cheats and history) and added it to the Misc menu
  - Added an option to the Misc menu to stop FBA playing with the Num Lock status (don't use this if you use a Hotrod or X-Arcade stick)
  - Added an option to the Video menu to auto-switch to full screen after loading a game from the selection dialog
  - Added iq_132s improvements to the cheat system
    - Adds support for Nebula/Kawaks cheat dats
    - Adds limited (although most cheats work) support for the old format MAME cheat.dat file
    - Adds cheat support to drivers using the ZET interface, or NEC, SH-2 and M6502 CPUs
  - Added a basic cheat search engine
  - Added a jukebox player - this is very preliminary and only supports WWF Wrestlefest for now (it has many problems for now)
  - Added a menu item to write decrypted C Neo Geo roms to disk
  - Various little GUI fixes/improvements
- Burn (emulation) changes
  - Merged in Oopsware's changes to the ZET interface improving support for MAME's Z80 emulator - some things are still broken though so DOZE is still the default
  - Added a function to the CPU interfaces to return the active CPU
  - Fixed a screen clearing issue in the CPS-1 and CPS-2 drivers when not using a 16-bit colour depth
  - Added various bootlegs to the CPS-1 driver in various states of working and attempted to differentiate between the good, the bad and the ugly (dumps)
  - Added offset support to the CPS-1 scroll layers
  - Added a flag to define whether or not CPS-1 sprite rendering should happen in reverse
  - Fixed an issue with rom loading in the sf2yyc driver
  - Got the sf2m3 set working and the sf2m1 set almost working
  - Added "Phoenix Edition" sets to the CPS-2 driver
  - Changed to iq_132s current Neo Geo driver (thanks to iq_132 for updating it)
  - Enabled the decrpyted C Neo Geo clones and bootlegs from Kawaks
  - Added two clones of Night Striker to the Taito driver
  - Changed some dip switches in the Double Dragon 3 driver
  - Added Wonder League '96 to the Tumble Pop bootleg driver
  - Updated dip switches in Wonder League Star and Jumping Pop
  - Added the 16-bit only flag to the megadrive games - fixes rendering issues in the basic blitters
  - Added iq_132s Vulgus driver
  - Matched all sets to MAME 0.126

### v0.2.96.85

- Added Mazinger Z, Metamoqester, Power Instinct 2 and Power Instinct Legends to the Cave driver
- Lagged the sprite palette in all CPS-2 games - fixes issue in ssf2 attract
- Tidied up the CPS-2 split graphics rom loading
- Properly fixed the qadj ninja sprite bug without resorting to hacks
- Changed the 68000 clock frequency in later CPS-1 games
- Various fixes to the Double Dragon 3 / Combatribes driver
- Added an Italian bootleg of The Combatribes to the ddragon3 driver
- Added clone of Turbo Outrun and clone of Alien Storm to the Sega drivers
- Added iq_132s Bionic Commando driver
- Added iq_132s Ninja Gaiden driver
- Matched all sets to MAME 0.125u6

### v0.2.96.84

- Added module to emulate the TC0280GRD/TC0430GRW Taito roz layer chips
- Added support to the TC0100SCN module for double width rendering
- Added support to the TC0100SCN and TC0110PCR emulation for multiple chips
- Fixed priorities in Metal Black
- Fixed the CPS-1 palette and added screen clearing to the last palette entry
- Fixed a glitch in the ninja's sprite animation in qadj in the CPS-1 driver
- Added support for split CPS-2 graphics roms
- Added rent version of Capcom Sports Club to the CPS-2 driver
- Added clone of Mighty Pang to the CPS-2 driver
- Added Hotdog Storm to the Cave driver
- Added iq_132s The Legend of Silkroad driver
- Added BisonSAS's fixes to the CPS-3 driver
- Added proper screen clearing to the Final Star Force driver
- BisonSAS added various unicode titles and dip switches to 1943
- Matched all sets to MAME 0.125u4

### v0.2.96.83

- Added a module to control the Taito IC chips in a more efficient way
- Added a module to do all the common Taito functions and tidied the drivers
- Rewrote the PC080SN and PC090OJ emulation adding support for row scroll, double width and other features
- Added tile banking support to the TC0100SCN emulation
- Added support for configurable bit-depths to the TC0100SCN emulation
- Added palette offset support to the TC0480SCP emulation
- Added driver for Darius
- Added Dead Connection, Dino Rex, Growl, Koshien, Liquid Kids, Mahjong Quest, Mega Blast, Metal Black, Ninja Kids, Solitary Fighter and various quiz games to the Taito F2 driver
- Rewrote the Operation Wolf, Rainbow Islands and Rastan drivers to support the new Taito IC module
- Added Jumping and the original versions of Operation Wolf to the Taito PC080SN & PC090OJ based driver
- Rewrote the Taito X driver to support the new Taito IC module
- Added Balloon Brothers, Gigandes and Last Striker to the Taito X driver
- Added iq_132s Dr. Tomy driver
- Added iq_132s Exed Exes driver
- Added proper screen clearing to the Hyper Pacman driver
- Fixed a small bug in the ClrMAME dat generation with missing quotes
- Matched all sets to MAME 0.125u2

### v0.2.96.82

- Added driver for Taito F-2 hardware supporting Final Blow, Football Champ, Gun & Frontier, Liquid Kids and Super Space Invaders '91
- Added tilemap flip support to the TC0100SCN emulation
- Added priority map support to the TC0100SCN emulation to allow sprite blending in the Taito F2 driver
- Added support to the CPS-1 driver for loading stars from alternate format graphics roms
- Corrected all dips in the CPS-1 driver
- Updated mappers and configs in the CPS-1 driver to match MAME
- Big tidy up of the CPS-1 and CPS-2 drivers
- Added dynwaru and ffightj2 to the CPS-1 driver
- Added clone of Street Fighter Alpha 2 to the CPS-2 driver
- Added iq_132s driver for Pirate Ship Higemaru
- Updated megadrive driver to nganiere's which fixes some game names
- Matched all sets to MAME 0.125

### v0.2.96.81

- Added support for the TC0480SCP Taito tilemap controller
- Rewrote the System 16 tile rendering to allow proper col and row scroll and also support alternate tilemap selection
- Added Double Axle to the Taito Z driver
- Added 1942w to the 1942 driver
- Added more games to the System 1 driver
- Added iq_132s Green Beret driver
- Updated the CPS-1 mappers as per MAME
- Corrected clock in Varth
- Corrected clocks in the Kyugo driver as per MAME
- Corrected sprite positioning in the Kyugo driver
- Added a feature allowing users to go to fullscreen and back by double-clicking
- Added command line option -listextrainfo
- Fixed compile errors when using the MAME Z80 core with the Zet interface
- Updated the Mole, Green Beret, Pooyan and Gun Smoke drivers with BisonSAS' changes

### v0.2.96.80

- Ported MAME's Z80 core to FBA
- Hooked up MAME's Z80 core in the System 16 games that use MC-8123 encryption, sound now works in these games
- Hooked up MAME's Z80 core in the Sega System 1 games, encrypted games now work
- Added more games to the Sega System 1 driver
- Changed the Sega System 1 drivers to appear in the Sega games list
- Got the YM2151 sound working in Cotton
- Added support for the UPD7759 sound chip
- Hooked the UPD7759 chip up in the System 16B driver
- Hooked the UPD7759 chip up in the prehisle driver
- Hooked the UPD7759 chip up in the tmnt driver
- Rewrote the Sega PCM support - solves quite a few problems, particuarly in enduror, outrun and smgp
- Fixed an issue in the Sega System X driver which caused missing sounds in abcop and smgp
- Fixed bug in the YM2612 emulation when more than one chip is emulated
- Changed the CPS-1 rendering code to use the mapper tables from MAME
- Added smgpja to the X-Board driver
- Added shinobi4 to the System 16B driver
- Added ledstrm2 to the madgear driver
- Added command line options, -listinfowithmd and -listinfomdonly
- Fixed the version output in dat files
- Fixed bug where any rom errors weren't reported
- Matched all sets to MAME 0.124u3

### v0.2.96.79

- Corrected sound in the tnzs driver
- Correctly fixed coins in the wc90 driver
- Enabled Tazmania in the megadrive driver (it works and I like it :) )
- Added support to the FM core interfaces for sound mixing
- Removed kaillera support. The client can be removed and probably should be due to being a potential security risk. Left netplay, chat, etc. code in the program so it has potential to be used with a different netplay system.

### v0.2.96.78

- Added oopsware's Picodrive Megadrive driver port and tidied up and improved
- Started to go through Megadrive games and enabling ones that work in release builds. Only got to letter B and checked my favourites!
- Added iq_132s Funky Bee driver
- Added iq_132s Pooyan driver
- Ported MAME's I8039 core to FBA
- Added support for DAC sound
- Hooked up the I8039 and DAC in System 16A to add voice support to the driver
- Added gpilotsh and samshoh to the Neo Geo driver
- Updated the SN7649 emulator to determine whether to add to the sound buffer or not
- Removed the AY8910 part of the YM2612 emulation since it's not needed
- Fixed sound in 1943
- Fixed sound in Gunsmoke
- Changed the default DAT file handling to not include Megadrive games
- Added menu option to write DATs including Megadrive games

### v0.2.96.77

- Added driver for Taito Z hardware
- Added oopsware's Raiden driver and updated the nec core and vez module
- Retidied the nec core and vez module
- Added iq_132s Gun Smoke driver
- Added iq_132s Scrambled Egg driver
- Changed the M6502 core to Marat's with the interface wrote by kev
- Added kev's m90 driver and his updates to the m92 driver to debug builds
- Tidied the m90 and m92 drivers and corrected the gfx decoding in the m90 driver
- Updated Dec0 drivers to kev's latest version
- Updated Jack the Giantkiller driver to the iq_132s latest version
- Made the "In Game" tab the default on the game selection dialog
- Added a checkbox for Taito to the game selection dialog
- Changed some names to prevent duplicate descriptions
- Matched all sets to MAME 0.124u1

### v0.2.96.76

- Added driver for games on Tumble Pop bootleg hardware
- Tidied the System 1 driver and enabled working sets in normal builds
- Added support for the SN76496 family of sound chips
- Added sound to the Mr. Do driver
- Added sound to the Bank Panic driver
- Fixed missing music in Combatribes
- Fixed a compile issue with VC in the Bank Panic and New Zealand Story drivers
- Fixed an issue in VC builds with inputs not working in various drivers
- Fixed a bug in the Mysterious Stones driver with AY8910 memory allocation
- Corrected the ZetBc call in the 1943 driver making it playable (but still preliminary)
- Updated the Jack the Giantkiller driver to iq_132s latest release
- Updated the dec0 and tmnt drivers to the latest versions released by kev
- Matched all sets to MAME 0.124a

### v0.2.96.75

- Added driver for Double Dragon 3 / Combatribes
- Added driver for WWF Wrestlemania
- Added driver for Kyugo Z80-based hardware
- Updated the pacman driver to the latest version released by iq_132
- Added iq_132s Bank Panic driver
- Added iq_132s Mr. Do driver
- Added iq_132s Mysterious Stones driver
- Added iq_132s The New Zealand Story driver
- Added clone of Real Bout Fatal Fury to Neo Geo driver
- Added clone of Metal Slug 5 to Neo Geo driver
- Added clone of Dungeons & Dragons: tower of doom to the CPS-2 driver
- Matched all sets to MAME 0.123u4

### v0.2.96.74

- Updated the CPS-3 driver to include Oopsware's latest fixes
- Fixed a problem with the size of m1 rom in Metal Slug 5

### v0.2.96.73

Thanks go to the neosource forum regulars for a lot of this stuff. iq_132 has written many drivers for older games, and Oopsware has contributed some impressive drivers too. CaptainCPS and KOF2112 have also tidied up some things. This list is from memory and some stuff is sure to be missing. Here's what's new anyway;

- Added a generic tiles decoding routine and updated various drivers to use it
- Added support for 32x32 tiles in the generic tile rendering module
- Added support for multiple YM2203s to the YM2203 interface
- Updated all sets to match MAME 0.123u1
- Tidied up all source code to compile cleanly for all builds (unicode, non-unicode, debug, non-debug)
- Added support for M6502 CPU
- Added support for SH-2 CPU
- Added support for NEC V30 family CPU
- Seperated misc drivers into "Misc (pre 90s)" and "Misc (post 90s)"
- Moved some common sound cores into the burn folder
- Added various clones and fixed some little issues in various games
- Added driver for Madgear and Last Duel
- Added driver for 1942
- Added preliminary driver for 1943 and added support to the Zet interface to get the BC register
- Added Oopsware's CPS-3 driver
- Added various drivers by iq_132
- Cleaned up the drivers by iq_132 (seperated into Misc pre 90s category, corrected aspect ratios, fixed rom-sets, etc.)
- Added driver for seta2 hardware
- Added preliminary driver for m92 hardware in debug builds
- Added a d_parent module to put required parent drivers that don't have a specific driver

### v0.2.96.72

This list is nothing like exhaustive. These are only the highlights of a big new version;

- Thanks to the contributions of OopsWare we have some nice new drivers
  - PGM Hardware
  - Video System Hardware
  - 1945k III
  - Gals Panic
  - Power Instinct
  - Shadow Force
- I have been busy with the following
  - Added a Sega System 18 driver
  - Added Ace Attacker, Excite League and Super League to the Sega System 16 drivers
  - Added various bootlegs to the Sega System 16 driver
  - Added driver for Kaneko 16 Hardware
  - Added Honey Dolls, Snow Bros. 3, and The Winter Bobble to the Pandora based driver
  - Added a generic lightgun interface to the burn library and converted all existing drivers to use it
  - Emulated column and row scroll in System 16 tilemaps (still has a few issues with a few instances)
  - Added support for (multiple) YM2612/3438 sound chips (as used by System 18)
  - Added support for the RF5C68 PCM sound chip (still has issues which escape me at present, used by System 18)
  - Fixed an issue with high BPP support in the generic tiles interface
  - Matched all sets to MAME 0.117u3 and added some clones to various driver
- Added Ganbare Ginkun and Riot to the Tecmo 16 driver [BisonSAS]
- Added kev's preliminary Dec0 driver to debug builds [kev]

### v0.2.96.71

- Added driver for Galaxy Force 2 (gforce2, gforce2j)
- Added driver for G-LOC (gloc, glocr360)
- Added driver for Line of Fire (loffire, loffirej, loffireu)
- Added driver for Major League (mjleague)
- Added driver for Power Drift (pdrift, pdrifta, pdrifte, pdriftj)
- Added driver for Rail Chase (rchase)
- Added driver for Strike Fighter (strkgftr)
- Fixed sprite flip in Sonic Boom
- Added some unicode titles [BisonSAS]
- Matched sets to MAME 0.114u1

### v0.2.96.70

- Datfiles should be sorted properly now - thanks to LogiqX for pointing out the errors again

### v0.2.96.69

- Optimised the FD1094 routines resulting in a big speedup for those games
- Fixed some minor dat file issues - thanks to LogiqX for pointing them out

### v0.2.96.68

- Added driver for Bullet using Aaron's preliminary FD1094 key (bullet)
- Added driver for Enduro Racer (enduror, enduror1, endurobl)
- Added driver for Final Tetris (finalttr)
- Added driver for Hang-On (hangon)
- Added driver for SDI (sdi, sdib, sdibl, defense)
- Added driver for Space Harrier (sharrier, sharrir1)
- Added driver for Sukeban Jansi Ryuko (sjryuko, sjryuko1)
- Added driver for Twin Adventure (twinadv, twinadvk)
- Emulated the NVRAM for X-Board, Out Run, System 16B and System 16A drivers, although Out Run games don't seem to use it
- Emulated the PPI I/O Chip and hooked it up for the System 16A and Out Run drivers
- Fixed a bug in the System 16 Tilemap rendering (fixes Golden Axe, Wrestle War and some others)
- Optimisations to the graphics rendering in the System 16, Out Run and X-Board drivers
- Added an interface to the YM2203 FM sound core
- Added mahjong controls to the default assignment routine and updated the mahjong games to use it
- Fixed savestate support in some Cave drivers [BisonSAS]
- Various driver cleanups [BisonSAS]
- Improved the rom verify feature and moved the define to the makefile
- Updated some unicode titles [BisonSAS]
- Updated sets to match MAME 0.114

### v0.2.96.67

- Added driver for AB Cop (abcop)
- Added driver for After Burner (aburner2, aburner)
- Added driver for Dunk Shot (dunkshot)
- Added driver for E-Swat (eswat, eswatj, eswatu)
- Added driver for Golden Axe (goldnaxe, goldnaxj, goldnaxu, goldnax1, goldnax2, goldnax3)
- Added driver for GP Rider (gprider, gprider1)
- Added driver for Heavyweight Champ (hwchamp)
- Added driver for Racing Hero (rachero)
- Added driver for RyuKyu (ryukyu)
- Added driver for Super Monaco GP (smgp, smgp5, smgp6, smgpj, smgpu, smgpu1, smgpu2, smgpu3)
- Added driver for Thunder Blade (thndrbld, thndrbd1)
- Added Jan's preliminary driver for Madgear in debug builds only (madgear)
- Added Kev's preliminary driver for Teenage Mutant Ninja Turtles in debug builds only (tmnt, tmntu, tmntua, tmht, tmntj, tmht2p, tmnt2pj, tmnt2po)
- Rewrite of the Bombjack driver [kev]
- Fixed a crash in some FD-1094 encrypted games
- Fixed the reset function for FD-1094 encrypted games
- Cleanups to the Taito 68K drivers [BisonSAS]
- Fixed bug in the preview cycling code for the Game Select dialog [CaptainCPS]

### v0.2.96.66

- Added driver for Cotton (cotton, cottonj, cottonu)
- Added driver for Out Run (outrun, outrun1, outrun2, outrunb)
- Added driver for Passing Shot (passshot, passshta, passshtj)
- Added driver for Super Hang-On (shangon, shangon2, shangon3, shangnle)
- Added driver for Turbo Out Run (toutrun, toutrun2)
- Fixed a bug in the System 16 Sprite rendering [kev]
- Fixed a problem with memory card support
- Updated the region dips in the Battle Bakraid and Batrider drivers [BisonSAS]
- Forced the Battle Bakraid driver to use the Musashi 68K core [BisonSAS]
- Updated some unicode titles [BisonSAS]

### v0.2.96.65

- Corrected the rom size of the v4 rom in lastbldh and lastsold
- Finally beat the bug that sometimes hides the license dialog (hopefully!)
- Updated the load dialog based on code from CaptainCPS, should be the last change as I'm really happy with it
- Updated sets to match MAME 0.112u4

### v0.2.96.64

- Big update to the System 16 drivers - these drivers are still preliminary and thus still have issues (major issues only listed);
  - Dynamic memory maps for System 16B are not emulated
  - Row and Column scroll not emulated for System 16A and B
  - Alernate tilemap select for System 16B not emulated
  - Some of the FD1094 encrypted games require a driver reset after loading before they boot
  - There are plenty of other small issues as well but most games are running well
- Added driver for Biomechanical Toy (biomtoy) [kev, cleanup by BisonSAS]
- Fixed blank tile bug in the Prehistoric Isle driver
- Fixed bad tiles in The King of Fighters 99 driver [BisonSAS, Ryo, Robert, Yuri, Takuma)
- Updated the CPS-1 drivers to allow brightness control in the palette
- Removed the XOR from spf2ta now the decryption key is known
- Cleanup to the Bombjack driver [BisonSAS]
- Fixed issues with savestates in several drivers
- Changed the game selection dialog again
- Added/fixed several non-Latin titles [doomking, BisonSAS]
- Updated several romsets to match MAME 0.112u3
- Fixed the perl script that generates the driver list so that sets can be assigned to debug builds only again

### v0.2.96.63

- Added garoubl to the Garou driver

### v0.2.96.62

- Added driver for Choko (choko)
- Added driver for Jyangokushi: Haoh no Saihai (jyangoku)
- Added various CPS-2 clones now the decryption keys are known
- Added rastsag1 to the Rastan driver
- Fixed bug with EEPROM on startup in CPS games
- Fixed crash bug in Q-Sound games with sound disabled
- Enabled the "Tournament" mode in the tournament versions of Super Street Fighter 2 - now they try to connect to other terminals (if you just want to play the games then change the setup in the "Test Menu", access using F2)
- Fixed bug in datfile generation module
- Various rom changes to match MAME 0.112u2 (with the exception of the XOR for spf2ta)

### v0.2.96.61

- Fixed bug in System 16 sound - won't test with volume down in future!

### v0.2.96.60

- Added Sega System 16A driver supporting Action Fighter, Alex Kidd, Fantasy Zone, Quartet, Shinobi and Time Scanner
- Added various clones to the CPS-2 driver as the keys are now known
- Added driver for Street Fighter Alpha CPS-Changer
- Various renames and XOR removals to match MAME 0.111u5
- Improved save state support in numerous drivers
- Dropped the "(BH)" monikor from the App title

### v0.2.96.59

- Fixed issues with sound in irrmaze, joyjoy, mahretsu, pspikes2 and socbrawl
- Added sf2m2 to the Street Fighter 2 Champion Edition driver
- Amended the game selection dialog and separated CPS-1/CPS-2 games
- Widened the dip switch dialog

### v0.2.96.58

This is a fairly big update; changes are summarised below;

- Neo Geo
  - Added driver for Diggerman (diggerma)
  - Added driver for Jockey Grand Prix (jockeygp)
  - Added driver for Metal Slug 5 (mslug5, ms5plus, ms5pcb)
  - Added driver for Pochi and Nyaa (pnyaa)
  - Added driver for Samurai Shodown V (samsho5, samsho5h, samsho5b, samsh5sp, samsh5sh, samsh5sn)
  - Added driver for SvC Chaos - SNK vs Capcom (svc, svcboot, svcplus, svcplusa, svcsplus, svcpcb, svcpcba)
  - Added driver for The King of Fighters 2003 (kof2003, kf2k3bl, kf2k3bla, kf2k3pl, kf2k3upl, kf2k3pcb)
  - Added driver for V-Liner (vliner, vlinero)
  - Added driver for Zintrick (zintrckb)
  - Added aof3k to the Art of Fighting 3 driver
  - Added ct2k3sp to the Crouching Tiger Hidden Dragon 2003 driver
  - Added kog to the King of Fighters '97 driver
  - Added lastsold to the Last Blade driver
  - Added mslug3b6 to the Metal Slug 3 driver
  - Added ms4plus to the Metal Slug 4 driver
  - Added fswords to the Samurai Shodown III driver
  - Added lans2004 to the Shock Troopers 2 driver
  - Added kof10th, kf10thep, kf2k5uni, kf2k2mp, kf2k2mp2, kf2k2pls, kf2k2pla, kof2k4se to the King of Fighters 2002 driver
  - ROMset changes to match MAME affecting the kizuna, kof2000, kof2001, kof2002, lastblda, matrim, mslug4, and rbff1 drivers
  - Added emulation for PVC Protection
  - Added extra emulation for various bootlegs and gambling games
  - Enabled a protection patch for Metal Slug X making the game playable
  - Updated Universe BIOS to latest version (2.2)
  - Added missing bioses from MAME
  - Added a compile-time define in the Neo Geo driver to strictly match the MAME bios set for romset validation purposes
  - Removed driver for bangbedp
- CPS-2
  - Added the decryption algorithm routines to allow games to be decrytped without XORs
  - Removed the XORs from drivers where the decryption key is known
  - Added driver for Hyper Street Fighter 2 (hsf2a)
  - Added driver for Puzz Loop 2 (pzloop2, pzloop2j)
  - Added 19xxa to the 19XX driver
  - Added avspa to the Alien vs Predator driver
  - Added armwar to the Armored Warriors driver
  - Added ddsomr1, ddsomr3 to the Dungeons & Dragons: Shadow of Mystara driver
  - Added ddtodr1 to the Dungeons & Dragons: Tower of Doom driver
  - Added mshj to the Marvel Super Heroes driver
  - Added mshvsfj2 to the Marvel Super Heroes vs Street Fighter driver
  - Added spf2ta to the Super Puzzle Fighter 2 Turbo driver
  - Added ssf2tbr1 to the Super Street Fighter 2 driver
  - Added ssf2u to the Super Street Fighter 2 Turbo driver
  - Added xmvsfu to the X-Men vs Street Fighter driver
  - Emulated the paddles in Puzz Loop 2 (pzloop2, pzloop2j)
  - ROMset changes to match MAME affecting the armwar, avsp, ddsom, ddtod, dstlk, msh, mshvsf, msvc, progear, sfa, sfa3, sgemf, spf2t, vhunt2, and xmvsf drivers
  - Corrected the descriptions in the Cyberbots driver
  - Disabled drivers for games without XORs or decryption keys
- CPS-1
  - Added cawingr1 to the Carrier Air Wing driver
  - Added ffightua to the Final Fight driver
  - Fixed the Saturday Night Slam Masters driver so the games now boot
  - ROMset changes to match MAME affecting the forgottn, sf2, and varth drivers
  - Removed driver for knightsh
- Toaplan
  - Added driver for Hell Fire (hellfire, hellfir1, hellfir2)
  - Added driver for Truxton (truxton)
  - Added driver for Zero wing (zerowing)
  - Added batsugna to the Batsugun driver
  - Added outzoneb, outzonec to the Out Zone driver
  - Fixed the dip switches in the Out Zone driver
  - ROMset changes to match MAME affecting the bbakraid, dogyuun, outzone and shippumd drivers
- Cave
  - Added donpachk to the Donpachi driver
  - Added theroes to the Gaia driver
  - Added uopoko to the Puzzle Uo Poko driver
  - ROMset changes to match MAME affecting the btlkroad, ddonpach, dfeveron, donpach, gaia and uopoko drivers
- Misc
  - Added driver for Cooki and Bibi 2
  - Added driver for Cooki and Bibi 3
  - Added driver for More More
  - Added driver for More More Plus
  - Added driver for Puzzle King
  - Added driver for Toppy & Rappy
  - Added driver for Twinkle
  - Added driver for XESS - The New Revolution (SemiCom 3-in-1)
  - Added gtstarba to the Guardian driver
  - Added newsa to the News driver
  - Added slapftuk, slapfgtr to the Slap Fight driver
  - Added snowbroc to the Snow Bros. driver
  - Added solomon to the Solomons Key driver
  - Added s1945a, s1945k to the Strikers 1945 driver
  - Added supermanj to the Superman driver
  - Added tigerhb2 to the Tiger Heli driver
  - Added daisenpu to the Twin Hawk driver
  - Fixed the sound generated by the YM2151 in the Final Star Force driver
  - Fixed the hang bug in the Rastan driver when starting the game
  - ROMset changes to match MAME affecting the gunbird, opwolf, rastan, s1945, solomon, tengai and tigerh drivers
- Application
  - Added a NODUMP flag for rom definitions and updated DAT file generation and rom scan routines to support it
  - Increased the max length of a rom name to 32 characters
  - Added support for the extra V-Liner inputs to the input dialog
  - Made game selection dialog wider to accomodate longer game titles
  - Fixed the player descriptions in the input dialog (Player 0 becomes Player 1, etc.)

From this point forward, all releases are handled by Barry and each external contribution is labelled.
The releases below were available on the old FBA site.

### v0.2.95.23

Time for another FinalBurn Alpha release, bringing with it an assortment of fixes and additions. Grab it while it's hot, from our files page. Any bugs / issues should be reported to the FBA official forums.

- This is still an alpha release!
- Note that, if compiled with GCC, you will need to use version 3.3.x, and the experimental DirectX 9 blitter is not built
- Changed the way FB Alpha looks for ROMs. Now, it will always check the last path for any given .zip file, even when a .zip file of the same name is present in another path. This way, we can keep ROMs that are only needed for FB Alpha seperate without sacrifising compatibility with other emulators
- Changed the way Neo Geo memory cards work, allowing the use of 1 megabit cards
- Emulated protection in Super Sidekicks (was patched before)
- Fixed the last few bad game names / bad ROM definitions
- Fixed a few minor issues in the makefile for mingw/cygwin
- The debugger is now only compiled for debug builds
- Minor updates to compile documentation
- Fixed a crash at startup for some systems when autopause was activated

### v0.2.95.22

This release fixes a few bugs that crept into yesterdays release. GCC is supported in this release, with a few stipulations. See below for more details regarding compiling this release with GCC. Grab this latest release from our files page.

- This is still an alpha release!
- Note that, if compiled with GCC, you will need to use version 3.3.x, and the experimental DirectX 9 blitter is not built
- Implemented workarounds to the FB Alpha executable to allow the use of windres as the resource compiler (it cannot zero-terminate strings or use a string as an RCDATA resource)
- Cleaned up the makefiles (variables/options now defined in the main makefile)
- Fixed a few game names / bad ROM definitions
- Fixed CPS1 games sound / crashing if started as the 1st game
- Fixed the Psikyo games that use an YM2610 for sound
- Fixed a few problems with ANSI builds

### v0.2.95.21

At long last its time for a new version of FBA! On offer are the standard build, the source code and an optimised binary for use on Win9x / Pentium machines. You can download the latest version, from our Files page.

This is still an alpha release!

Note that this version CANNOT be compiled with GCC!

- converted all code to optionally use unicode
- Added a driver for 68EC020 based Psikyo hardware
- Added a second 68000 CPU core. For plain 68000 CPUs you can select which core to use, the new one also emulates 68010 and 68EC020 CPUs
- Fixed the overclock feature for Neo Geo
- Added a DirectX Graphics 9 blitter (see system requirements, below)
- Performed miscellaneous minor bugfixes

### v0.2.94.98

Special Christmas Eve Release!

A new version of FBA has been released, with the following fixes and updates. Please remember that this is still considered to be an alpha release and while we are pretty sure most of the nastier bugs have been squashed, a few may remain. So if you find a bug, please report it to the appropriate forum. All that remains is too wish our Christmas celebrating users a Merry Christmas! And to everyone else, happy Winter Solstice!

- Fixed all the new bugs introduced in the previous version
- Fixed the raster effects in Samurai Shodown 3
- Preview images can be any png file upto 1024×0124 pixels
- Added descriptive text to screenshot png files
- Added a system information dialog that's used when FB Alpha crashes
- Added the english language versions of mahoudai and shippumd

### v0.2.94.97

There is a new version of FBA available from our downloads page. At present an upgrade .msi is unavailable. Any users wishing to upgrade, should download the standard fba_029497.exe and extract the contents to their installation directory.

This is an alpha release! Again, although we expect very few problems, there still might be some we've not seen.

- Fixed most of the remaining problems in v0.2.94.96
- Shortcut keys have changed
- Directories used by FB Alpha have changed
- Readme updated (read it completely even if you've read the earlier versions)
- The Neo Geo driver now always uses a real AES BIOS in AES mode, more differences between AES and MVS are emulated now as well

### v0.2.94.96

All the files are now back online. If you downloaded the previous installer, then you only have to download the smaller upgrade installer this time around. There is also an optimised build for K6 users; as after all, they are people too; Please remember to delete the contents of you cfg/ folder before you start FBA, as the old cfg files will not be fully compatible with the new release.

### v0.2.94.95

A new version of FBA has been released. This version fixes most of the problems in v0.2.94.56. If you downloaded the fba.msi last time, we recommend that you wait for the fba_029495_update.msi that should be released later this evening. For all the K6 people out there, an optimized K6 version will be available shortly as well. Please note that certain CPS1 games still lack sound. Downloads are currently available from the torrents page. Direct downloads will be available in a little while. If you are using FB Alpha v0.2.94.56, please upgrade. Delete all files in the FB Alpha cfg directory.

### v0.2.94.56

- Added a driver for Neo Geo games
- too many other improvements to name

### v0.2.94

- Added a driver for Cave games
- Added a driver for Rainbow Islands
- Added support for X-Arcade joystick
- Improved compatibility of the Direct3D blitter, and added new options
- re-added 3x macros for Street Fighter 2 style games
- Added 4-point interpolation to the ADPCM sound cores

### v0.2.92

- Small bug-fix release, relating to inputs (Z-Axis), NetPlay Chat font-size and a small speed increase

### v0.2.91

(This is basically a new emulator with far too many new features to list - the following is merely a very brief summary).

- Toaplan2 emulation
- Massively improved CPS-2 emulation with support for all currently XORed games
- Improved CPS-1 emulation with support for the recent (Chinese?) hacks
- Many, many UI enhancements
- New blitters - including RGB effects, etc
- Demo recording and playback

### v0.2.6

- Added drivers for sgemf, sgemfa, pfghtj, ssf2a, ssf2ar1 & spf2t.
- Added Dynasty Wars (World) and Knights of the Round (Hack).
- Fixed the off-set of the sprites in the mvsc ending.
- Fixed the sound in some CPS-1 games (all work fine now).

### v0.2.5

- Fixed menu/cheat incompatibilty bug
- Added a suprise (in the source)

### v0.2.4.0

- Fixed dstlk driver for euro parent set
- Added mvsc driver

### v0.2.3.0

- This build should fix the drop in performance that has been experienced by people with slow PC's. This was probably caused by new Platform SDK DirectX 8.0 elements. Please let us know if you still experience a drop in performance
- Fixed bug with Mercs driver

### v0.2.2.7

- Added starfield emulation
- Added support for changing layer-sprite priorities with raster effects. (fixes glitches in Manhattan and Apocalypse stages)
- Fixed pgear/armwar glitch
- Added hotkeys for savestate slots
- Updated the cheat engine so it can use same cheats for multiple games
- Added screenshot feature
- Added a basic shot factory. F8 to activate
- Slightly changed shot factory to include sprite toggle
- Updated the fbcheat.dat file with a ton of cheats
- Driver changes
- Fixed controls for mercs & clones

### v0.2.2

- Fixed cawing & clones buildings gfx error
- Fixed repeating sounds
- Fixed sound crashing in DDTOD and other games
- Changed keys for volume up and down
- Fixed aspect ratio for vertical games
- Added the third button to the mtwins driver
- fixed crash bugs in cawingj, knightsj, qadj, striderj, varthj & varthu
- Added more cheats

### v0.2.1

- Added drivers for ddtod, sfz3a, vsava, xmvsf & xmcota

### v0.200

- Re-added T key.
- Fixed sound stop when you select menu.
- Fixed slammast input players 3/4.
- Fixed captcomm input player 4.
- Fixed forgottn analogic input.
- FBA version in About dialog is dynamically updated.
- Show volume value.
- Added Pang! 3 working driver.
- Fixed the menu to disable a few options during netplay.
- Added sprite masking.
- Added small sprite fix.
- Added BgHi. (thanks ElSemi)
- Added scroll limits.
- Added new load dialog.
- Ported FBA to Cygwin/MinGW.
- Added new stretch options.
- Added switch to use arcade resolution for full-screen mode.
- Added support for beam-synchronized interrupts.
- Optimized sprite masking.
- Numerous small fixes.
- Added (and fixed) new sound interpolation routines by ComaC.
- Added command line parsing.
- Added automatic generation of the driver list & gamelist.txt.
- Fixed the dip switch engine so it works with the sega games.
- Fixed CpsFsStopOpposite so it won't stop 3kick and 3punch.
- Added fix to cpst.cpp by TRAC of the SNEeSe Emulator to fix a sprite clipping bug on CPS games.
- Redid most of the VC++ project files to allow the emulator to build.
- Added Jan_Klaassen to the about box.
- Alphabetically listed the drivers (so the Kaillera game list doesn't screw up).
- Fixed batcir 4 player fix, so it actually works.
- Added a huge amount of new cheats in the fbcheat.dat file.
- Updated some of the docs and stuff.
- Fixed the default controllers so they are set to different devices.
- Removed the 'flip monitor as standard for XMvSF in netplay' fix as it's no longer needed.
- Re-arranged the panel in netplay a little so it's a little more compact.
- Updated the CpsFsStopOpposite function with lots of new input ports and updated a few CPS-2 drivers to use it.
- Updated most CPS drivers so that the correct sound codes are blocked when the user selects that option.

### v0.138a

- Added Drivers for mshvsf, mshvsfj, mshvsfjr1, vsav & armwar
- No further updates have been made to this version

### v0.137a

- Fixed auto-pause
- Fixes to dozea.asm
- Fixed HotRod inputs
- Fixed an input menu bug when there's no DIP-SW data available
- Updated and fixed dipinfo.dat file
- Updated fbcheat.dat file
- Added volume control
- Added more accelerators

### v0.137

REALLY IMPORTANT BIT: We require your feedback/input, regarding any problems/bugs you may have with the Kaillera netplay & new menu. Please report any bugs to http://www.xsorbit.com/users/LEvilElmo/index.cgi - and use the FinalBurn Alpha Bug Report Board. Remember to provide details about your PC's spec's, OS, etc etc.

SECOND IMPORTANT BIT: Ayeye & HyperYagami have joined "Team FB Alpha."

- Added a new GUI
- Added rom scanning to check what roms you have
- Added options to show all, CPS-1 only or CPS-2 only games
- Added option to only show the games you got
- Added esc=exit for all dialogs
- Added CPS1 QSound (thanks for info ElSemi)
- Added IIR low pass filter
- Added Dip Switches Engine
- Fixed stupid error I made with the cheat dialog column widths :P
- Set nApplyCheatEveryXFrame to 0 as standard
- Fixed so the 4 player fix for batcirj only applies to netplay
- Added light blue background as standard for SFA3 + clones in netplay
- Added flip monitor as standard for XMvSF in netplay
- Added drivers for ddsom, dstlk, dstlkr1, sfa & sfar1
- Updated cheats file

### v0.136 WIP

- A small fix so the the option bReadInputEveryFrame is always *ON* during netplay. Changing the value in the .ini file now only effects local play
- Disabled the T key during netplay until i can fix it and still make FB run under Win95
- Fixed four player in Battle Circuit

### v0.136

REALLY IMPORTANT BIT: Delete all of the files in the "cfg folder" apart from the "finalburn file." The new cheat engine has "issues" with the old config files.

- Disabled the T (talk) key during netply until i can figure out a way of fixing the problem
- A small fix so the the option bReadInputEveryFrame is now always ON during netplay. Changing the value in the .ini file now only effects local play
- Merged in some changes from big fool
- Added an options dialog, still needs a bit of work but works in its current state
- Added the layer toggle code by gangta and removed the old Alt+L layer toggle stuff keys alt+6 -0 are used
- Added version 2 of HyperYagami's Cheat engine. A lack of space on the cheat menu has ment that you cannot disable cheats, but that doesn't really matter. Also made a small change for netplay cus the input dialog was getting screwed
- Removed the Dat type code from the .ini file. Use the buttons under options instead
- Cheat options input screen added :)
- Fixed 4 player under Battle Circuit
- Added lots more cheats to the fbcheat.dat file
- Fixed so the 4/3 player fixes only applies to the netplay games
- Minor tweak to the Options Input screen
- Added Mike's lovely FBA logo to all the doc's

### v0.135

- Readded Ayeye's pause code, works a lot better now. Also added his latest version which fixes a few bugs. the game will now pause when the panel is shown and when the window loses foucus. It is still disabled during netplay
- Readded HyperYagami's multi rom path stuff
- Fixed the updated Megaman driver
- Added the first version of HyperYagami's cheat engine as well as making a few changes to disable it during multiplayer
- A small fix so the the option bReadInputEveryFrame is always off during netplay. Changing the value in the .ini file now only effects local play
- Fixed the warnings that were starting to creep in all over the place
- Added region switches for: Battle Circuit, Eco Fighters, Armored Warriors & Street Fighter Zero 2 Alpha
- Fixed player 2 & 3 controls in Mercs
- Merged Logiqxs driver changes
- Merged Logiqxs .dat generator and added .ini setting for it
- Added Hotrod support in the ini
- Added extra ports to CPS_RW.CPP to get the kicks working in sf2ue and gain more control over rotation in forgottn
- Altered the Driver list so that all drivers are listed alphabetically, this fixes the "Alphabetical Doubling" in the game list, when creating an online game
- Got 3Player controls working in Knights of the Round
- Yet another tweak to the load menu - everything should now be in the correct order
- Added AvsP 3 Player fix & DD:SoM 4 Player fix, should work fine in netplay now!
- Fixed Ghouls, SSF2T & SF2T + Clones in netplay, they were unplayable before!
- Fixed the region switches in netplay!
- Added region switches for: DD:ToD, Pnickies, Mega Man
- Added Infinite Time cheats to all 1 on 1 fighting games
- Fixed the QNDream controller

### v0.134

FinalBurn Alpha is now updated by "Team FB Alpha" (LoopMaster, KEV, Mike_Haggar & TrebleWinner)

- Fixed FFightj GFX Loading
- Added 2 new fields to the driver structure
- Added Treble Winner's changes fixing descriptions of many of the inputs
- Changed the load dialog to support the new text fields
- Removed the multi rom path code as it needs fixing
- Added Merged CPS1 Drivers (Rest of the games!)
- Fixed Mercs and clones, Cawingj, Cworld2j, Pnickj & Qad GFX Loading
- Fixed 3wonders and clones & willow and clones GFX Loading + Banks
- Added the inputs that was missing, but were included in MAME
- Added Captain Commando and clones driver
- Added Mega Twins and clones driver (thanks to Diablo82 & Treble_Winner)
- Fixed SF2 Init13 (thanks to Treble_Winner)
- Added TrebleWinners default controls code. Default controls can now be set in the ini (eg: 0=keyboard, 1=joystick 1, 2=joystick 2, etc...
- Minor tweak to the load menu display
- Added Ayeye's Pause Code. FinalBurn Alpha will now pause when the window loses focus. NB: the gui must be hidden for this to occur
- Fixed problems with Win95/Kaillera incompatabilities (KEV)
- Added drivers for the new CPS2shock releases (Battle Circuit, Eco Fighters, SFA3 clones & Vampire clone)

### v0.133

- An apology for releasing the debug version by accident, sorry all. C++ caused several lock ups & crashes on my PC before I built the .exe file. Several configuration setting's fouled up & I lost a few unimportant files as well :(

### v0.132

- Hack Fixed the UN Squadron driver (KEV)
- Add WIP for better Multiply protection
- Patched Knights of the round so you can play it
- Added King of Dragons driver By Mike_Haggar with a fix by KEV
- Added Support for 1941 and clones
- A fully working King Of the Dragons Driver
- A very very small tweak to the game selection dialog
- Re-added a few lines in drv.cpp to fix on-line mode and tweaked rom search path
- Added Better support for the CPS1 board IDs to get all the games that need it working and changed drivers as needed
- Added Merged CPS2 Drivers (All games!)
- Added Merged CPS1 Drivers for : UN Squadron, Varth, Strider, MSword and Final Fight!
- Added Merged Sf2 and Sf2ce drivers with all clones with thanks to JeldrosJ3 for SF2RB2
- Fixed the problem with Marvel Super Heroes (Japan) loading the USA version instead of the Japan version.

### v0.131

- Now compiled with Christophe's Alpha 5 Kaillera code
- Fixed the crash when using Strider Hiryu (USA)
- Multiple ROM path support added courtesy of HyperYagami

### v0.130

- Now compiled with Christophe's Alpha 4 Kaillera code, a new version of the kailleraclient.dll is also included in this release
- Added lots of new drivers for Street Fighter (C.E. & Turbo), mainly clones though, thanks to everyone who donated these. Too many to mention here, but SF2 Red Wave & Rainbow Edition are included
- Drivers added for Magic Sword (Mike Haggar) and UN Squadron (KEV)
- Added my own Knights of the Round driver, thanks go out to Mike Haggar for fixing the GFX issues. Unfortunately the in-game controls don't work at present :(
- In theory it should be possible to play against someone who is using FinalBurn Kaillera Alpha 4, as both use the same code. That said, it would be better if you play against someone who is using Final Burn Alpha v0.130 :)

### v0.129

- There's no need to use patched XOR's anymore! Armwar, Pgear & Pgearr1 now use the original XOR tables released by Raz. A very big thankyou goes out to Raz & FinalDave for helping me solve this problem :)
- Pgearr1 now works correctly, and no longer reports the "1010 EXCEPTION 0000716C" message
- Re-ordered the games list. CPS-1/CPS-Changer games can now be found at the bottom of the game list, in alphabetical order
- Forced "bReadInputEveryFrame" to default as "0" (off). According to Raz this should help with the netplay. The "bDrvSaveAll" option should also be set to "0" if you are using the netplay feature

### v0.128

- Added Christophe's Kaillera source code (Alpha3), so netplay is now available!

### v0.127

- Enabled the CPS-1 drivers for:
  - Megaman/Rockman: The Power Battle
  - Final Fight (World)
  - Ghouls & Ghosts
  - Strider
  - Street Fighter 2 (ETC)
  - Street Fighter 2: C.E. (ETC)
  - Street Fighter 2 Turbo (USA)
- Enabled the CPS-Changer driver for:
  - Street Fighter Zero

### v0.126

- Updated all CPS-2 drivers, to be compliant with Logiqx CPS-2 DAT 20010727
- Added drivers for Armwar, Pgear & Pgearr1 - they currently use Haze's patched XOR's
- You need to add the following patched XOR's to the following ROMset's:
  - pgear_xor_haze.zip ------> pgear.zip
  - pgearr1_xor_haze.zip ----> pgearr1.zip
  - armwar_xor_haze.zip -----> armwar.zip
- Pgearr1 loads but does not work properly, it only displays a "1010 EXCEPTION 0000716C"

### v0.125

- Altered Driver for Ddsomj so that it now points to Ddsomjr1

### v0.124

- Removed CPS-1 & Sega drivers
- Added Drivers for all CPS-2 titles, with the exception of Armoured Warriors & Powered Gear